
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest5 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test001"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test002"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    int i5 = eventState4.getMaxIterationCount();
    double d6 = eventState4.getMaxCheckInterval();
    double[] d_array8 = null;
    boolean b9 = eventState4.reset(1.0E-15d, d_array8);
    double d10 = eventState4.getMaxCheckInterval();
    double d11 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator12);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    // The following exception was thrown during execution in test generation
    try {
      boolean b15 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-6d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test003"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test004"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    dummyStepInterpolator5.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    double d11 = dummyStepInterpolator10.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test005"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    java.lang.String str8 = maxIterationsExceededException5.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, Double.NaN);
    double[] d_array13 = functionEvaluationException12.getArgument();
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array19, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, Double.NaN);
    double[] d_array42 = functionEvaluationException41.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver44 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i45 = brentSolver44.getMaximalIterationCount();
    brentSolver44.resetMaximalIterationCount();
    brentSolver44.setMaximalIterationCount(10);
    brentSolver44.setMaximalIterationCount((-1));
    double d51 = brentSolver44.getFunctionValueAccuracy();
    java.lang.Object[] obj_array52 = new java.lang.Object[] { d51 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "evaluation failed for argument = {0}", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException5, d_array13, "org.apache.commons.math.ode.events.EventException: ", obj_array52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str58 = maxIterationsExceededException57.getPattern();
    java.lang.Throwable[] throwable_array59 = maxIterationsExceededException57.getSuppressed();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ode.DerivativeException: hi!", (java.lang.Object[])throwable_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(100, "", (java.lang.Object[])throwable_array59);
    int i63 = maxIterationsExceededException62.getMaxIterations();
    int i64 = maxIterationsExceededException62.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str8.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str58.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 100);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test006"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = brentSolver0.solve(univariateRealFunction5, Double.NaN, 1.0E-6d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test007"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.setRelativeAccuracy(1.0d);
    int i10 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test008"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    boolean b5 = dummyStepInterpolator4.isForward();
    boolean b6 = dummyStepInterpolator4.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator4);
    double d8 = dummyStepInterpolator7.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test009"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException15);
    java.lang.String str18 = maxIterationsExceededException15.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, Double.NaN);
    double[] d_array23 = functionEvaluationException22.getArgument();
    java.lang.Throwable throwable25 = null;
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(throwable25, "", obj_array27);
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(throwable25, d_array29, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, Double.NaN);
    double[] d_array52 = functionEvaluationException51.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver54 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i55 = brentSolver54.getMaximalIterationCount();
    brentSolver54.resetMaximalIterationCount();
    brentSolver54.setMaximalIterationCount(10);
    brentSolver54.setMaximalIterationCount((-1));
    double d61 = brentSolver54.getFunctionValueAccuracy();
    java.lang.Object[] obj_array62 = new java.lang.Object[] { d61 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "evaluation failed for argument = {0}", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException15, d_array23, "org.apache.commons.math.ode.events.EventException: ", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException12, "hi!", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 1.0E-15d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 10.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str18.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test010"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array6);
    java.lang.Throwable throwable25 = null;
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(throwable25, "", obj_array27);
    java.lang.Object[] obj_array29 = mathException28.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "hi!", obj_array29);
    java.lang.Throwable throwable33 = null;
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable33, "", obj_array35);
    java.lang.Object[] obj_array37 = mathException36.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array37);
    double[] d_array40 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str46 = maxIterationsExceededException45.getPattern();
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException45);
    java.lang.Object[] obj_array49 = null;
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException47, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array49);
    java.lang.Throwable[] throwable_array51 = convergenceException50.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException52 = new org.apache.commons.math.ode.DerivativeException("hi!", (java.lang.Object[])throwable_array51);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array51);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException39, d_array40, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str46.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test011"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    dummyStepInterpolator5.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator8 = dummyStepInterpolator5.copy();
    dummyStepInterpolator5.storeTime(1.0E-6d);
    dummyStepInterpolator5.storeTime(1.0E-14d);
    dummyStepInterpolator5.finalizeStep();
    java.io.ObjectOutput objectOutput14 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.writeExternal(objectOutput14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator8);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test012"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    double[] d_array15 = null;
    boolean b16 = eventState12.reset(0.0d, d_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, Double.NaN);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver24 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i25 = brentSolver24.getMaximalIterationCount();
    brentSolver24.resetMaximalIterationCount();
    brentSolver24.setMaximalIterationCount(10);
    brentSolver24.setMaximalIterationCount((-1));
    double d31 = brentSolver24.getFunctionValueAccuracy();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d31 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "evaluation failed for argument = {0}", obj_array32);
    boolean b34 = eventState12.reset(0.0d, d_array22);
    boolean b35 = eventState4.reset(1.0d, d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler36 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler37);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test013"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    java.lang.String str29 = maxIterationsExceededException28.getPattern();
    int i30 = maxIterationsExceededException28.getMaxIterations();
    java.lang.Object[] obj_array31 = maxIterationsExceededException28.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", obj_array31);
    java.lang.Throwable[] throwable_array33 = functionEvaluationException32.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str29.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test014"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 1.0d);
    double[] d_array11 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 1.0d);
    java.lang.Throwable throwable16 = null;
    java.lang.Throwable throwable17 = null;
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable17, "", obj_array19);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(throwable17, d_array21, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable16, d_array21);
    org.apache.commons.math.ode.DerivativeException derivativeException39 = new org.apache.commons.math.ode.DerivativeException(throwable16);
    java.lang.Object[] obj_array40 = derivativeException39.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, (-1.0d), "evaluation failed for argument = {0}", obj_array40);
    java.lang.String str42 = functionEvaluationException13.getPattern();
    double[] d_array43 = functionEvaluationException13.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array43, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + ""+ "'", str42.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test015"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test016"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test017"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    dummyStepInterpolator1.setInterpolatedTime(1.0d);
    dummyStepInterpolator1.setInterpolatedTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test018"); }


    java.lang.Throwable throwable2 = null;
    java.lang.Throwable throwable3 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable3, "", obj_array5);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array7, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    double[] d_array26 = functionEvaluationException25.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException25);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.ode.DerivativeException derivativeException40 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException40, 100.0d);
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45);
    java.lang.String str47 = functionEvaluationException46.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException46);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException48);
    java.lang.Throwable throwable50 = null;
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable50, "", obj_array52);
    double[] d_array54 = new double[] {  };
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException("", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array54);
    double[] d_array63 = new double[] {  };
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException68 = new org.apache.commons.math.ode.events.EventException("", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(throwable50, d_array54, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array74 = new java.lang.Object[] { functionEvaluationException73 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "Maximal number of iterations ({0}) exceeded", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException49, d_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, Double.NaN);
    double[] d_array82 = functionEvaluationException81.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver84 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i85 = brentSolver84.getMaximalIterationCount();
    brentSolver84.resetMaximalIterationCount();
    brentSolver84.setMaximalIterationCount(10);
    brentSolver84.setMaximalIterationCount((-1));
    double d91 = brentSolver84.getFunctionValueAccuracy();
    java.lang.Object[] obj_array92 = new java.lang.Object[] { d91 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array82, "evaluation failed for argument = {0}", obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException49, "org.apache.commons.math.ode.DerivativeException: ", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ode.DerivativeException: ", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, 10.0d, "hi!", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array92);
    java.lang.String str98 = functionEvaluationException97.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str47.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str98 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"+ "'", str98.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test019"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator6 = dummyStepInterpolator1.copy();
    double d7 = dummyStepInterpolator1.getInterpolatedTime();
    dummyStepInterpolator1.storeTime(1.0E-15d);
    dummyStepInterpolator1.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test020"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array2);
    java.lang.String str4 = functionEvaluationException3.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test021"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getRelativeAccuracy();
    int i9 = brentSolver0.getIterationCount();
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test022"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator1.shift();
    dummyStepInterpolator1.setInterpolatedTime(1.0E-15d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator1.copy();
    dummyStepInterpolator1.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test023"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    brentSolver0.resetRelativeAccuracy();
    int i11 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test024"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test025"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array43 = functionEvaluationException1.getArgument();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test026"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    int i7 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test027"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test028"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    java.lang.Object[] obj_array28 = mathException27.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "hi!", obj_array28);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator31 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, false);
    dummyStepInterpolator31.finalizeStep();
    dummyStepInterpolator31.storeTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test029"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test030"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b6 = dummyStepInterpolator1.isForward();
    dummyStepInterpolator1.finalizeStep();
    dummyStepInterpolator1.setInterpolatedTime(100.0d);
    double d10 = dummyStepInterpolator1.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test031"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    dummyStepInterpolator1.shift();
    double d7 = dummyStepInterpolator1.getInterpolatedTime();
    double d8 = dummyStepInterpolator1.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test032"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    dummyStepInterpolator16.shift();
    dummyStepInterpolator16.storeTime(100.0d);
    double[] d_array21 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array21, false);
    dummyStepInterpolator23.shift();
    double d25 = dummyStepInterpolator23.getPreviousTime();
    double d26 = dummyStepInterpolator23.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test033"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(1);
    double d10 = brentSolver0.getAbsoluteAccuracy();
    double d11 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test034"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    java.lang.Throwable throwable16 = null;
    java.lang.Throwable throwable17 = null;
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable17, "", obj_array19);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(throwable17, d_array21, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable16, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 0.0d);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException("", obj_array50);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "evaluation failed for argument = {0}", obj_array50);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array50);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException59, "hi!", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException55, "", obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test035"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, (-1.0d), 0);
    boolean b5 = eventState4.stop();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    dummyStepInterpolator6.shift();
    dummyStepInterpolator6.storeTime(0.0d);
    double d10 = dummyStepInterpolator6.getPreviousTime();
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test036() {}
// Defects4J: flaky method
//   @Test
//   public void test036() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test036"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction10, 10.0d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test037"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException19, "hi!", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14, "hi!", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: ", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array23);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test038"); }


    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException13, 1.0d);
    double[] d_array16 = functionEvaluationException15.getArgument();
    double[] d_array20 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, false);
    dummyStepInterpolator22.storeTime(10.0d);
    double[] d_array25 = dummyStepInterpolator22.getInterpolatedState();
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array25, "hi!", obj_array31);
    java.lang.Throwable throwable36 = null;
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(throwable36, d_array41);
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    java.lang.Object[] obj_array64 = mathException63.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "hi!", obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException67 = new org.apache.commons.math.MaxIterationsExceededException(100, "Maximal number of iterations ({0}) exceeded", obj_array64);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: ", obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test039"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.DerivativeException derivativeException6 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)eventException5);
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    java.lang.Object[] obj_array12 = mathException11.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException6, "Maximal number of iterations ({0}) exceeded", obj_array12);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array12);
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array12);
    java.lang.Throwable throwable16 = null;
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.ode.DerivativeException derivativeException25 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException25, 100.0d);
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    java.lang.String str32 = functionEvaluationException31.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str38 = maxIterationsExceededException37.getPattern();
    java.lang.Object[] obj_array39 = new java.lang.Object[] { maxIterationsExceededException37 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, (-1.0d), "hi!", obj_array39);
    double[] d_array41 = functionEvaluationException40.getArgument();
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "hi!", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable16, d_array41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException56 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException56, "hi!", obj_array60);
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException72 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array70);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException56, "", obj_array70);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException15, d_array41, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array70);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator79 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array41, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str38.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test040"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, Double.NaN, (-1));
    double d5 = eventState4.getEventTime();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { functionEvaluationException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of iterations ({0}) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0d);
    double[] d_array35 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    boolean b37 = eventState4.reset(10.0d, d_array35);
    double d38 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0E-6d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test041"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array44 = functionEvaluationException1.getArgument();
    double[] d_array45 = functionEvaluationException1.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException51, "hi!", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array55);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException64 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException64, "hi!", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array68);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException59, "hi!", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "org.apache.commons.math.ConvergenceException: ", obj_array68);
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test042"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getMaxCheckInterval();
    int i10 = eventState4.getMaxIterationCount();
    double d11 = eventState4.getEventTime();
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array21 = functionEvaluationException20.getArgument();
    boolean b22 = eventState4.reset(0.0d, d_array21);
    double d23 = eventState4.getConvergence();
    int i24 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler25);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test043"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d6 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test044"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    dummyStepInterpolator5.shift();
    dummyStepInterpolator5.finalizeStep();
    double[] d_array9 = dummyStepInterpolator5.getInterpolatedDerivatives();
    double[] d_array10 = dummyStepInterpolator5.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test045"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.storeTime(Double.NaN);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator7 = dummyStepInterpolator6.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator7);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test046"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    boolean b21 = eventState4.stop();
    boolean b22 = eventState4.stop();
    boolean b23 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = eventState4.getEventHandler();
    double d26 = eventState4.getEventTime();
    double d27 = eventState4.getConvergence();
    double[] d_array32 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator34 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, false);
    double d35 = dummyStepInterpolator34.getPreviousTime();
    double[] d_array36 = dummyStepInterpolator34.getInterpolatedState();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test047"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    int i12 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test048"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = eventState4.getEventHandler();
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.ode.DerivativeException derivativeException19 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException19, 1.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException19, 1.0E-6d);
    double[] d_array24 = functionEvaluationException23.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(0.0d, d_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test049"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test050"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.0d);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException28);
    int i30 = maxIterationsExceededException28.getMaxIterations();
    int i31 = maxIterationsExceededException28.getMaxIterations();
    java.lang.Object[] obj_array32 = maxIterationsExceededException28.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test051"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getEventTime();
    double d8 = eventState4.getConvergence();
    double d9 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    java.lang.Throwable throwable14 = null;
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array19, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array19);
    java.lang.Throwable throwable38 = null;
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable38, "", obj_array40);
    java.lang.Object[] obj_array42 = mathException41.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "hi!", obj_array42);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array19, "Maximal number of iterations ({0}) exceeded", obj_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException("", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException54, "hi!", obj_array58);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException60);
    double[] d_array62 = new double[] {  };
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array62, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException61, d_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array62);
    org.apache.commons.math.ode.events.EventHandler eventHandler74 = null;
    org.apache.commons.math.ode.events.EventState eventState78 = new org.apache.commons.math.ode.events.EventState(eventHandler74, 100.0d, 1.0d, 100);
    double d79 = eventState78.getConvergence();
    double[] d_array84 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b85 = eventState78.reset(10.0d, d_array84);
    java.lang.Object[] obj_array86 = new java.lang.Object[] { b85 };
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array86);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException71, "Maximal number of iterations ({0}) exceeded", obj_array86);
    double[] d_array89 = functionEvaluationException71.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator91 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array89, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(d_array89);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(10.0d, d_array89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test052"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test053"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(0.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test054"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d16 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);

  }

  @Test
  public void test055() {}
// Defects4J: flaky method
//   @Test
//   public void test055() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test055"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i4 = brentSolver0.getIterationCount();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test056"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test057"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str22 = maxIterationsExceededException21.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { maxIterationsExceededException21 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, (-1.0d), "hi!", obj_array23);
    java.lang.Throwable[] throwable_array25 = convergenceException17.getSuppressed();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array25);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException26, 1.0E-6d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str22.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test058"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NaN);
    double[] d_array4 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 100.0d, 1.0d, 100);
    double d35 = eventState34.getConvergence();
    double[] d_array40 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b41 = eventState34.reset(10.0d, d_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException44, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException29, d_array40, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable7, "", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator56 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array4, true);
    double d57 = dummyStepInterpolator56.getPreviousTime();
    dummyStepInterpolator56.shift();
    dummyStepInterpolator56.storeTime(0.0d);
    dummyStepInterpolator56.storeTime(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test059"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test060"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException2);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException13, 100.0d);
    eventException4.addSuppressed((java.lang.Throwable)derivativeException13);
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.ode.DerivativeException derivativeException25 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException25, 100.0d);
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    java.lang.String str32 = functionEvaluationException31.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str38 = maxIterationsExceededException37.getPattern();
    java.lang.Object[] obj_array39 = new java.lang.Object[] { maxIterationsExceededException37 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException33, (-1.0d), "hi!", obj_array39);
    double[] d_array41 = functionEvaluationException40.getArgument();
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(throwable43, d_array47, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "hi!", obj_array60);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException72 = new org.apache.commons.math.ode.events.EventException("", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array71);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException4, d_array41, "hi!", obj_array71);
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str38.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test061"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test062"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b3 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator4);
    dummyStepInterpolator4.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test063"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.0d), 1.0E-6d, 10);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator17 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator16);
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test064"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    int i9 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test065"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException56, 100.0d);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    java.lang.String str63 = functionEvaluationException62.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException62);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str69 = maxIterationsExceededException68.getPattern();
    java.lang.Object[] obj_array70 = new java.lang.Object[] { maxIterationsExceededException68 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException64, (-1.0d), "hi!", obj_array70);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "evaluation failed for argument = {0}", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str69.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test066"); }


    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException13, 1.0d);
    double[] d_array16 = functionEvaluationException15.getArgument();
    double[] d_array20 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, false);
    dummyStepInterpolator22.storeTime(10.0d);
    double[] d_array25 = dummyStepInterpolator22.getInterpolatedState();
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException15, d_array25, "hi!", obj_array31);
    java.lang.Throwable throwable36 = null;
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(throwable36, d_array41);
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    java.lang.Object[] obj_array64 = mathException63.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "hi!", obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException34, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException67 = new org.apache.commons.math.MaxIterationsExceededException(100, "Maximal number of iterations ({0}) exceeded", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: hi!", obj_array64);
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test067"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    boolean b21 = eventState4.stop();
    boolean b22 = eventState4.stop();
    boolean b23 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = eventState4.getEventHandler();
    double d26 = eventState4.getEventTime();
    double[] d_array28 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(100.0d, d_array28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test068"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b6 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    dummyStepInterpolator1.storeTime(1.0E-15d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator1.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test069"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { eventState8 };
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str14 = maxIterationsExceededException12.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: "+ "'", str14.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: "));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test070"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-14d, 10);
    double d5 = eventState4.getEventTime();
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException17, 100.0d);
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    java.lang.String str24 = functionEvaluationException23.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException25);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(throwable27, d_array31, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { functionEvaluationException50 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "Maximal number of iterations ({0}) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException26, d_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, Double.NaN);
    double[] d_array59 = functionEvaluationException58.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver61 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i62 = brentSolver61.getMaximalIterationCount();
    brentSolver61.resetMaximalIterationCount();
    brentSolver61.setMaximalIterationCount(10);
    brentSolver61.setMaximalIterationCount((-1));
    double d68 = brentSolver61.getFunctionValueAccuracy();
    java.lang.Object[] obj_array69 = new java.lang.Object[] { d68 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "evaluation failed for argument = {0}", obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException26, "org.apache.commons.math.ode.DerivativeException: ", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array69);
    double[] d_array73 = functionEvaluationException72.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0E-14d, d_array73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str24.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test071"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    java.lang.String str19 = convergenceException18.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, 1.0E-14d);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str19.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test072"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException44 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException43);
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException43);
    java.lang.String str47 = convergenceException43.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + ""+ "'", str47.equals(""));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test073"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0d, (-1));
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException14, 100.0d);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    java.lang.String str21 = functionEvaluationException20.getPattern();
    double[] d_array22 = functionEvaluationException20.getArgument();
    boolean b23 = eventState4.reset(1.0E-6d, d_array22);
    java.lang.Throwable throwable25 = null;
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(throwable25, "", obj_array27);
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(throwable25, d_array29, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    boolean b46 = eventState4.reset(10.0d, d_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test074"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException10, 100.0d);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    java.lang.Throwable[] throwable_array20 = convergenceException19.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array20);
    int i22 = maxIterationsExceededException21.getMaxIterations();
    int i23 = maxIterationsExceededException21.getMaxIterations();
    int i24 = maxIterationsExceededException21.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test075"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    int i6 = brentSolver0.getMaximalIterationCount();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test076"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable6 = null;
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array11);
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "hi!", obj_array34);
    boolean b36 = eventState4.reset(0.0d, d_array11);
    org.apache.commons.math.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math.ode.events.EventState eventState46 = new org.apache.commons.math.ode.events.EventState(eventHandler42, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { eventState46 };
    org.apache.commons.math.ode.DerivativeException derivativeException48 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("hi!", obj_array47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException51);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException51);
    java.lang.String str54 = functionEvaluationException51.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str54.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test077"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test078"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test079"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    int i4 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d6 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test080"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 10.0d, Double.NaN, 10);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { functionEvaluationException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of iterations ({0}) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0d);
    double[] d_array35 = functionEvaluationException34.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str40 = maxIterationsExceededException39.getPattern();
    java.lang.Throwable[] throwable_array41 = maxIterationsExceededException39.getSuppressed();
    java.lang.Throwable throwable44 = null;
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(throwable44, "", obj_array46);
    double[] d_array48 = new double[] {  };
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array48);
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(throwable44, d_array48, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { functionEvaluationException67 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "Maximal number of iterations ({0}) exceeded", obj_array68);
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException39, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 10.0d);
    double[] d_array75 = functionEvaluationException34.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator77 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array75, true);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(10.0d, d_array75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str40.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test081() {}
// Defects4J: flaky method
//   @Test
//   public void test081() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test081"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     int i3 = brentSolver0.getIterationCount();
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction6, 100.0d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test082"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    brentSolver0.resetMaximalIterationCount();
    int i10 = brentSolver0.getIterationCount();
    int i11 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test083"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-15d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test084"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double[] d_array7 = null;
    boolean b8 = eventState4.reset(1.0E-15d, d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test085"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test086"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array22);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)eventException28);
    java.lang.Object[] obj_array30 = eventException28.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test087"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 100.0d, 1.0d, 100);
    double d14 = eventState13.getConvergence();
    double[] d_array19 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b20 = eventState13.reset(10.0d, d_array19);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, true);
    boolean b23 = eventState7.reset(10.0d, d_array19);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.ode.DerivativeException derivativeException33 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException33, 100.0d);
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array38);
    java.lang.String str40 = functionEvaluationException39.getPattern();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { str40 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("", obj_array41);
    java.lang.Throwable[] throwable_array44 = convergenceException43.getSuppressed();
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException43, 1.0E-14d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array47);
    java.lang.Throwable throwable52 = null;
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.ode.DerivativeException derivativeException64 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array61);
    org.apache.commons.math.ode.DerivativeException derivativeException65 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(throwable52, 1.0E-6d, "hi!", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array61);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array61);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str40.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test088"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array2);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException12, d_array13);
    maxIterationsExceededException3.addSuppressed((java.lang.Throwable)functionEvaluationException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 100.0d, 1.0d, 100);
    double d29 = eventState28.getConvergence();
    double[] d_array34 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b35 = eventState28.reset(10.0d, d_array34);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator37 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array34, true);
    double[] d_array38 = dummyStepInterpolator37.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator39 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator37);
    double[] d_array40 = dummyStepInterpolator39.getInterpolatedState();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException47 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException47, "hi!", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array51);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException65 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException60, "hi!", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array64);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException55, "hi!", obj_array64);
    org.apache.commons.math.ode.DerivativeException derivativeException69 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, d_array40, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    int i72 = maxIterationsExceededException3.getMaxIterations();
    int i73 = maxIterationsExceededException3.getMaxIterations();
    int i74 = maxIterationsExceededException3.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 100);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test089"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 0.0d, 1);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator6);
    dummyStepInterpolator6.shift();
    dummyStepInterpolator6.shift();
    double d10 = dummyStepInterpolator6.getInterpolatedTime();
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test090"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    java.lang.String str8 = maxIterationsExceededException1.toString();
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException16 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException15);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)derivativeException16);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException16, 1.0E-15d, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array63);
    org.apache.commons.math.ode.events.EventHandler eventHandler68 = null;
    org.apache.commons.math.ode.events.EventState eventState72 = new org.apache.commons.math.ode.events.EventState(eventHandler68, 100.0d, 1.0d, 100);
    double d73 = eventState72.getConvergence();
    double[] d_array78 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b79 = eventState72.reset(10.0d, d_array78);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator81 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array78, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator82 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator81);
    double d83 = dummyStepInterpolator81.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator84 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator81);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator85 = dummyStepInterpolator84.copy();
    dummyStepInterpolator84.shift();
    dummyStepInterpolator84.storeTime(100.0d);
    double[] d_array89 = dummyStepInterpolator84.getInterpolatedDerivatives();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, d_array89);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test091"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException2);
    java.lang.Object[] obj_array4 = derivativeException2.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test092"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = brentSolver0.solve(univariateRealFunction6, 0.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test093"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator4 = dummyStepInterpolator1.copy();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    dummyStepInterpolator1.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test094"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException30, 100.0d);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    java.lang.String str37 = functionEvaluationException36.getPattern();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { str37 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array38);
    java.lang.Throwable throwable41 = null;
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator56 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array53, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator57 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator56);
    dummyStepInterpolator56.finalizeStep();
    double d59 = dummyStepInterpolator56.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator60 = dummyStepInterpolator56.copy();
    double[] d_array61 = dummyStepInterpolator56.getInterpolatedState();
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(throwable42, d_array61, "org.apache.commons.math.ode.DerivativeException: ", obj_array63);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException69.addSuppressed((java.lang.Throwable)maxIterationsExceededException71);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException79 = new org.apache.commons.math.ode.events.EventException("", obj_array78);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException69, "", obj_array78);
    java.lang.Throwable[] throwable_array82 = convergenceException81.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(throwable41, d_array61, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", (java.lang.Object[])throwable_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.ode.DerivativeException: ", (java.lang.Object[])throwable_array82);
    java.lang.Object[] obj_array92 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException93 = new org.apache.commons.math.ode.events.EventException("", obj_array92);
    org.apache.commons.math.ode.DerivativeException derivativeException94 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test095"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array3);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array14);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)functionEvaluationException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 100.0d, 1.0d, 100);
    double d30 = eventState29.getConvergence();
    double[] d_array35 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b36 = eventState29.reset(10.0d, d_array35);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator38 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array35, true);
    double[] d_array39 = dummyStepInterpolator38.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator40 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator38);
    double[] d_array41 = dummyStepInterpolator40.getInterpolatedState();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException48, "hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array52);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException61, "hi!", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array65);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException56, "hi!", obj_array65);
    org.apache.commons.math.ode.DerivativeException derivativeException70 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException4, d_array41, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array65);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test096"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException6);
    java.lang.Throwable[] throwable_array8 = derivativeException7.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test097"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double d18 = dummyStepInterpolator14.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator14.copy();
    dummyStepInterpolator14.setInterpolatedTime(1.0d);
    dummyStepInterpolator14.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator14);
    double d24 = dummyStepInterpolator14.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test098"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-14d, 1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, Double.NaN);
    double[] d_array10 = functionEvaluationException9.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    java.lang.Throwable throwable13 = null;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable13, "", obj_array15);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(throwable13, d_array17, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math.ode.events.EventState eventState40 = new org.apache.commons.math.ode.events.EventState(eventHandler36, 100.0d, 1.0d, 100);
    double d41 = eventState40.getConvergence();
    double[] d_array46 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b47 = eventState40.reset(10.0d, d_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable52 = null;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(throwable52, "", obj_array54);
    java.lang.Object[] obj_array56 = mathException55.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException50, "Maximal number of iterations ({0}) exceeded", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException35, d_array46, "Maximal number of iterations ({0}) exceeded", obj_array56);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(throwable13, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "Maximal number of iterations ({0}) exceeded", obj_array56);
    boolean b61 = eventState4.reset(100.0d, d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test099"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test100"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    dummyStepInterpolator16.shift();
    dummyStepInterpolator16.storeTime(100.0d);
    double[] d_array21 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator16);
    dummyStepInterpolator22.shift();
    double d24 = dummyStepInterpolator22.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 100.0d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test101"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = eventState4.getEventHandler();
    double d14 = eventState4.getMaxCheckInterval();
    double d15 = eventState4.getMaxCheckInterval();
    double d16 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test102"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getMaxCheckInterval();
    int i8 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b10 = eventState4.evaluateStep(stepInterpolator9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test103"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getConvergence();
    double d10 = eventState4.getConvergence();
    boolean b11 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test104"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    double d3 = dummyStepInterpolator0.getCurrentTime();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.setInterpolatedTime((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test105"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException2, 1.0E-6d, "hi!", obj_array5);
    double[] d_array7 = functionEvaluationException6.getArgument();
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test106"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    boolean b5 = eventState4.stop();
    boolean b6 = eventState4.stop();
    boolean b7 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);

  }

  @Test
  public void test107() {}
// Defects4J: flaky method
//   @Test
//   public void test107() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test107"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     double d8 = brentSolver0.getFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 100.0d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-15d);
// 
//   }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test108"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array44 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test109"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.0d);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException28);
    int i30 = maxIterationsExceededException28.getMaxIterations();
    int i31 = maxIterationsExceededException28.getMaxIterations();
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test110"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, (-1.0d), 1);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    double[] d_array18 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b19 = eventState12.reset(10.0d, d_array18);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array18, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator21);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator23 = dummyStepInterpolator21.copy();
    dummyStepInterpolator21.storeTime(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      boolean b26 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator23);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test111"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    java.lang.String str8 = maxIterationsExceededException1.toString();
    java.lang.Object[] obj_array9 = maxIterationsExceededException1.getArguments();
    int i10 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException15, "hi!", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException22);
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException24);
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)eventException25);
    mathException11.addSuppressed((java.lang.Throwable)eventException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test112() {}
// Defects4J: flaky method
//   @Test
//   public void test112() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test112"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(1.0E-6d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test113"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = eventState4.getEventHandler();
    boolean b8 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test114"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-6d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    int i12 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test115"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.setInterpolatedTime(0.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test116"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { eventState8 };
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException10);
    java.lang.Throwable[] throwable_array12 = convergenceException11.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ode.events.EventException: hi!", (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test117"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    int i7 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test118"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable10 = null;
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array15);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "hi!", obj_array38);
    boolean b40 = eventState8.reset(0.0d, d_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException3, d_array15);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array15, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array15, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test119"); }


    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    java.lang.Throwable throwable35 = null;
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(throwable35, "", obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array39);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array39);
    org.apache.commons.math.ode.DerivativeException derivativeException43 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test120"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    double d12 = eventState4.getEventTime();
    double d13 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = eventState4.getEventHandler();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, 1.0E-6d, "hi!", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException18);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = eventState28.getEventHandler();
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable31, d_array35, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48);
    boolean b52 = eventState28.reset(0.0d, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException61);
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException61);
    java.lang.Object[] obj_array64 = maxIterationsExceededException61.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException65 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException66 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array64);
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array64);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-14d, d_array35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test121"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { eventState8 };
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "", obj_array9);
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test122"); }


    double[] d_array0 = null;
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException20);
    java.lang.Throwable[] throwable_array22 = convergenceException21.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array22);
    int i24 = maxIterationsExceededException23.getMaxIterations();
    java.lang.Throwable throwable27 = null;
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.ode.DerivativeException derivativeException37 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException37, 100.0d);
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    java.lang.String str44 = functionEvaluationException43.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str50 = maxIterationsExceededException49.getPattern();
    java.lang.Object[] obj_array51 = new java.lang.Object[] { maxIterationsExceededException49 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException45, (-1.0d), "hi!", obj_array51);
    java.lang.Object[] obj_array53 = functionEvaluationException52.getArguments();
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(throwable27, "Maximal number of iterations ({0}) exceeded", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException23, 1.0E-15d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array53);
    java.lang.Throwable[] throwable_array56 = maxIterationsExceededException23.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.ode.events.EventException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str44.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str50.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array56);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test123"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 0.0d);
    double[] d_array3 = functionEvaluationException2.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test124() {}
// Defects4J: flaky method
//   @Test
//   public void test124() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test124"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setRelativeAccuracy(100.0d);
//     brentSolver0.setAbsoluteAccuracy((-1.0d));
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction10, 100.0d, (-1.0d), 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 100.0d);
// 
//   }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test125"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.storeTime(1.0E-15d);
    double d7 = dummyStepInterpolator0.getInterpolatedTime();
    boolean b8 = dummyStepInterpolator0.isForward();
    boolean b9 = dummyStepInterpolator0.isForward();
    boolean b10 = dummyStepInterpolator0.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test126"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    boolean b65 = dummyStepInterpolator64.isForward();
    dummyStepInterpolator64.setInterpolatedTime(0.0d);
    dummyStepInterpolator64.finalizeStep();
    double[] d_array69 = dummyStepInterpolator64.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test127"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    double d6 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.setInterpolatedTime(1.0E-6d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator0.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d11 = dummyStepInterpolator0.getPreviousTime();
    double d12 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test128"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator11 = dummyStepInterpolator5.copy();
    boolean b12 = dummyStepInterpolator5.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test129"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    dummyStepInterpolator1.shift();
    double d7 = dummyStepInterpolator1.getCurrentTime();
    double d8 = dummyStepInterpolator1.getPreviousTime();
    java.io.ObjectOutput objectOutput9 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator1.writeExternal(objectOutput9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test130() {}
// Defects4J: flaky method
//   @Test
//   public void test130() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test130"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     int i6 = brentSolver0.getMaximalIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test131"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    java.lang.Throwable throwable5 = null;
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable5, d_array10);
    java.lang.Throwable throwable29 = null;
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(throwable29, "", obj_array31);
    java.lang.Object[] obj_array33 = mathException32.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "hi!", obj_array33);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array10, "Maximal number of iterations ({0}) exceeded", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3);
    double[] d_array48 = new double[] {  };
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "", obj_array52);
    org.apache.commons.math.ode.DerivativeException derivativeException55 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 1.0d, "evaluation failed for argument = {0}", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "Maximal number of iterations ({0}) exceeded", obj_array52);
    java.lang.Throwable[] throwable_array58 = functionEvaluationException57.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test132"); }


    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException11, 100.0d);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    java.lang.String str18 = functionEvaluationException17.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str24 = maxIterationsExceededException23.getPattern();
    java.lang.Object[] obj_array25 = new java.lang.Object[] { maxIterationsExceededException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, (-1.0d), "hi!", obj_array25);
    double[] d_array27 = functionEvaluationException26.getArgument();
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "hi!", obj_array33);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: ", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException37);
    int i39 = maxIterationsExceededException37.getMaxIterations();
    java.lang.Throwable[] throwable_array40 = maxIterationsExceededException37.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException41 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", (java.lang.Object[])throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str24.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test133"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, 0);
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { functionEvaluationException29 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "Maximal number of iterations ({0}) exceeded", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 1.0d);
    double[] d_array34 = functionEvaluationException33.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str39 = maxIterationsExceededException38.getPattern();
    java.lang.Throwable[] throwable_array40 = maxIterationsExceededException38.getSuppressed();
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(throwable43, d_array47, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array67 = new java.lang.Object[] { functionEvaluationException66 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "Maximal number of iterations ({0}) exceeded", obj_array67);
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException38, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 10.0d);
    double[] d_array74 = functionEvaluationException33.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(Double.NaN, d_array74);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str39.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test134"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 100.0d, 1.0d, 100);
    double d6 = eventState5.getConvergence();
    double[] d_array11 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b12 = eventState5.reset(10.0d, d_array11);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, true);
    double[] d_array15 = dummyStepInterpolator14.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    java.lang.Throwable throwable17 = null;
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(throwable17, d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 0.0d);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "evaluation failed for argument = {0}", obj_array51);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array51);
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("hi!", obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test135"); }


    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException11, 100.0d);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    java.lang.String str18 = functionEvaluationException17.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    java.lang.Throwable[] throwable_array21 = convergenceException20.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array21);
    int i23 = maxIterationsExceededException22.getMaxIterations();
    java.lang.Throwable throwable26 = null;
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.ode.DerivativeException derivativeException36 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException36, 100.0d);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    java.lang.String str43 = functionEvaluationException42.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException42);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str49 = maxIterationsExceededException48.getPattern();
    java.lang.Object[] obj_array50 = new java.lang.Object[] { maxIterationsExceededException48 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException44, (-1.0d), "hi!", obj_array50);
    java.lang.Object[] obj_array52 = functionEvaluationException51.getArguments();
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable26, "Maximal number of iterations ({0}) exceeded", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException22, 1.0E-15d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array52);
    java.lang.Object[] obj_array55 = functionEvaluationException54.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("", obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str43.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str49.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test136"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test137"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str22 = maxIterationsExceededException21.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { maxIterationsExceededException21 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, (-1.0d), "hi!", obj_array23);
    double[] d_array25 = functionEvaluationException24.getArgument();
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array27);
    java.lang.Object[] obj_array29 = functionEvaluationException28.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    java.lang.String str31 = derivativeException30.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str22.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str31.equals("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test138"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getEventTime();
    double d8 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test139"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array4 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array4, false);
    double[] d_array7 = dummyStepInterpolator6.getInterpolatedState();
    boolean b8 = dummyStepInterpolator6.isForward();
    dummyStepInterpolator6.storeTime(0.0d);
    double[] d_array11 = dummyStepInterpolator6.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, false);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException17);
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException17);
    java.lang.String str20 = maxIterationsExceededException17.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, Double.NaN);
    double[] d_array25 = functionEvaluationException24.getArgument();
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(throwable27, d_array31, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, Double.NaN);
    double[] d_array54 = functionEvaluationException53.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver56 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i57 = brentSolver56.getMaximalIterationCount();
    brentSolver56.resetMaximalIterationCount();
    brentSolver56.setMaximalIterationCount(10);
    brentSolver56.setMaximalIterationCount((-1));
    double d63 = brentSolver56.getFunctionValueAccuracy();
    java.lang.Object[] obj_array64 = new java.lang.Object[] { d63 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "evaluation failed for argument = {0}", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException17, d_array25, "org.apache.commons.math.ode.events.EventException: ", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str70 = maxIterationsExceededException69.getPattern();
    java.lang.Throwable[] throwable_array71 = maxIterationsExceededException69.getSuppressed();
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException17, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array71);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str20.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str70.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array71);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test140"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    double[] d_array15 = null;
    boolean b16 = eventState12.reset(0.0d, d_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, Double.NaN);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver24 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i25 = brentSolver24.getMaximalIterationCount();
    brentSolver24.resetMaximalIterationCount();
    brentSolver24.setMaximalIterationCount(10);
    brentSolver24.setMaximalIterationCount((-1));
    double d31 = brentSolver24.getFunctionValueAccuracy();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d31 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "evaluation failed for argument = {0}", obj_array32);
    boolean b34 = eventState12.reset(0.0d, d_array22);
    boolean b35 = eventState4.reset(1.0d, d_array22);
    boolean b36 = eventState4.stop();
    double d37 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 100.0d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test141"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test142"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator5.storeTime(10.0d);
    dummyStepInterpolator5.storeTime((-1.0d));
    double d10 = dummyStepInterpolator5.getPreviousTime();
    double d11 = dummyStepInterpolator5.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test143"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    boolean b9 = dummyStepInterpolator0.isForward();
    dummyStepInterpolator0.shift();
    java.io.ObjectOutput objectOutput11 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.writeExternal(objectOutput11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test144"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.storeTime(1.0E-6d);
    double d7 = dummyStepInterpolator0.getPreviousTime();
    dummyStepInterpolator0.shift();
    java.io.ObjectInput objectInput9 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.readExternal(objectInput9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test145() {}
// Defects4J: flaky method
//   @Test
//   public void test145() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test145"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(0);
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(1.0E-14d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction9, 1.0E-6d, 10.0d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
// 
//   }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test146"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d);
    java.lang.Throwable[] throwable_array2 = functionEvaluationException1.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException4 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test147"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    double d12 = eventState4.getEventTime();
    double[] d_array14 = null;
    boolean b15 = eventState4.reset(0.0d, d_array14);
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = eventState4.getEventHandler();
    double d18 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test148"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getMaxCheckInterval();
    double d8 = eventState4.getMaxCheckInterval();
    int i9 = eventState4.getMaxIterationCount();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    java.lang.Throwable throwable14 = null;
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array19, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array19);
    java.lang.Throwable throwable38 = null;
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable38, "", obj_array40);
    java.lang.Object[] obj_array42 = mathException41.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "hi!", obj_array42);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array19, "Maximal number of iterations ({0}) exceeded", obj_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException("", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException54, "hi!", obj_array58);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException60);
    double[] d_array62 = new double[] {  };
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array62, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException61, d_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array62);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator73 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array62, false);
    double[] d_array74 = dummyStepInterpolator73.getInterpolatedDerivatives();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array74);
    java.lang.Object[] obj_array82 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException83 = new org.apache.commons.math.ode.events.EventException("", obj_array82);
    org.apache.commons.math.ode.DerivativeException derivativeException84 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array74, "org.apache.commons.math.MathException: ", obj_array82);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-15d, d_array74);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test149"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array43 = functionEvaluationException1.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    org.apache.commons.math.ode.DerivativeException derivativeException45 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test150"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException17);
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array23, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { functionEvaluationException42 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "Maximal number of iterations ({0}) exceeded", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, Double.NaN);
    double[] d_array51 = functionEvaluationException50.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver53 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i54 = brentSolver53.getMaximalIterationCount();
    brentSolver53.resetMaximalIterationCount();
    brentSolver53.setMaximalIterationCount(10);
    brentSolver53.setMaximalIterationCount((-1));
    double d60 = brentSolver53.getFunctionValueAccuracy();
    java.lang.Object[] obj_array61 = new java.lang.Object[] { d60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "evaluation failed for argument = {0}", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18, "org.apache.commons.math.ode.DerivativeException: ", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test151"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    dummyStepInterpolator5.shift();
    dummyStepInterpolator5.finalizeStep();
    double[] d_array9 = dummyStepInterpolator5.getInterpolatedDerivatives();
    boolean b10 = dummyStepInterpolator5.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test152"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0E-14d, 10);
    double d5 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test153"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    java.lang.String str8 = maxIterationsExceededException1.toString();
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException16 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException15);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)derivativeException16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19);
    java.lang.Throwable throwable21 = null;
    java.lang.Throwable throwable22 = null;
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable22, "", obj_array24);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array26, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable21, d_array26);
    java.lang.Throwable throwable45 = null;
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(throwable45, "", obj_array47);
    java.lang.Object[] obj_array49 = mathException48.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "hi!", obj_array49);
    double[] d_array52 = new double[] {  };
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, d_array26, "Maximal number of iterations ({0}) exceeded", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException16, d_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str64 = maxIterationsExceededException63.getPattern();
    java.lang.Throwable[] throwable_array65 = maxIterationsExceededException63.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException60, "Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array65);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.ode.DerivativeException derivativeException75 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException75, 100.0d);
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array80);
    java.lang.String str82 = functionEvaluationException81.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException81);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException87 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str88 = maxIterationsExceededException87.getPattern();
    java.lang.Object[] obj_array89 = new java.lang.Object[] { maxIterationsExceededException87 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException83, (-1.0d), "hi!", obj_array89);
    java.lang.Object[] obj_array91 = functionEvaluationException90.getArguments();
    convergenceException66.addSuppressed((java.lang.Throwable)functionEvaluationException90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException90, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str64.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str82.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str88.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test154"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    java.lang.Throwable throwable18 = null;
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array23, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array23);
    java.lang.Throwable throwable42 = null;
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(throwable42, "", obj_array44);
    java.lang.Object[] obj_array46 = mathException45.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array46);
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test155"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 100.0d, 1);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test156"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    dummyStepInterpolator13.finalizeStep();
    java.io.ObjectOutput objectOutput17 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator13.writeExternal(objectOutput17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test157"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException4 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str5 = derivativeException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ode.DerivativeException: "+ "'", str5.equals("org.apache.commons.math.ode.DerivativeException: "));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test158"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator4 = dummyStepInterpolator3.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator4);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test159"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException56, 100.0d);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    java.lang.String str63 = functionEvaluationException62.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException62);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str69 = maxIterationsExceededException68.getPattern();
    java.lang.Object[] obj_array70 = new java.lang.Object[] { maxIterationsExceededException68 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException64, (-1.0d), "hi!", obj_array70);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "evaluation failed for argument = {0}", obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException73);
    java.lang.String str75 = functionEvaluationException73.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str69.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str75.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test160"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    int i7 = brentSolver0.getIterationCount();
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test161"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, false);
    double d20 = dummyStepInterpolator19.getCurrentTime();
    double d21 = dummyStepInterpolator19.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test162"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setFunctionValueAccuracy(1.0d);
    double d10 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test163"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0E-14d, 10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str11 = maxIterationsExceededException10.getPattern();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.Throwable[] throwable_array16 = convergenceException15.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("hi!", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", (java.lang.Object[])throwable_array16);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.ode.DerivativeException derivativeException28 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException28, 100.0d);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException30, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array33);
    java.lang.String str35 = functionEvaluationException34.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException40 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str41 = maxIterationsExceededException40.getPattern();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { maxIterationsExceededException40 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException36, (-1.0d), "hi!", obj_array42);
    double[] d_array44 = functionEvaluationException43.getArgument();
    double[] d_array46 = new double[] {  };
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException("", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "hi!", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException19, d_array44);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(Double.NaN, d_array44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str11.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str35.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str41.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test164"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    double d5 = eventState4.getEventTime();
    java.lang.Throwable throwable7 = null;
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array12);
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    java.lang.Object[] obj_array35 = mathException34.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "hi!", obj_array35);
    boolean b37 = eventState4.reset(1.0E-15d, d_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, Double.NaN);
    double[] d_array43 = functionEvaluationException42.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(Double.NaN, d_array43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test165"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test166"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getMaxCheckInterval();
    boolean b7 = eventState4.stop();
    int i8 = eventState4.getMaxIterationCount();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException11);
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException11);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.ode.DerivativeException derivativeException22 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException22, 100.0d);
    eventException13.addSuppressed((java.lang.Throwable)derivativeException22);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException34, 100.0d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    java.lang.String str41 = functionEvaluationException40.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str47 = maxIterationsExceededException46.getPattern();
    java.lang.Object[] obj_array48 = new java.lang.Object[] { maxIterationsExceededException46 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException42, (-1.0d), "hi!", obj_array48);
    double[] d_array50 = functionEvaluationException49.getArgument();
    java.lang.Throwable throwable52 = null;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(throwable52, "", obj_array54);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array56);
    double[] d_array65 = new double[] {  };
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(throwable52, d_array56, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "hi!", obj_array69);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException81 = new org.apache.commons.math.ode.events.EventException("", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException83 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException13, d_array50, "hi!", obj_array80);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted((-1.0d), d_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str47.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test167"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    boolean b65 = dummyStepInterpolator64.isForward();
    dummyStepInterpolator64.storeTime(1.0E-15d);
    dummyStepInterpolator64.shift();
    dummyStepInterpolator64.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test168"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array9);
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: ", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test169"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i5 = maxIterationsExceededException4.getMaxIterations();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { functionEvaluationException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of iterations ({0}) exceeded", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "org.apache.commons.math.MathException: ", obj_array31);
    int i34 = maxIterationsExceededException4.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Throwable[] throwable_array36 = convergenceException35.getSuppressed();
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array36);
    org.apache.commons.math.ode.DerivativeException derivativeException38 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array36);
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", (java.lang.Object[])throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test170"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test171"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException5 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException5, 1.0E-6d, "hi!", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12, "hi!", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException18);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException19, d_array20);
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable31, d_array35, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.ode.events.EventState eventState58 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 100.0d, 1.0d, 100);
    double d59 = eventState58.getConvergence();
    double[] d_array64 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b65 = eventState58.reset(10.0d, d_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable70 = null;
    java.lang.Object[] obj_array72 = null;
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException(throwable70, "", obj_array72);
    java.lang.Object[] obj_array74 = mathException73.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException68, "Maximal number of iterations ({0}) exceeded", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException53, d_array64, "Maximal number of iterations ({0}) exceeded", obj_array74);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException(throwable31, "", obj_array74);
    org.apache.commons.math.ode.DerivativeException derivativeException78 = new org.apache.commons.math.ode.DerivativeException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException10, d_array20);
    java.lang.String str82 = functionEvaluationException81.toString();
    java.lang.String str83 = functionEvaluationException81.getPattern();
    java.lang.Object[] obj_array84 = functionEvaluationException81.getArguments();
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Maximal number of iterations ({0}) exceeded", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: ", obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str82.equals("org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + ""+ "'", str83.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test172"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    boolean b24 = eventState8.reset(10.0d, d_array20);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException34, 100.0d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    java.lang.String str41 = functionEvaluationException40.getPattern();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { str41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array42);
    org.apache.commons.math.ode.DerivativeException derivativeException44 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array42);
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", obj_array42);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array42);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException53);
    derivativeException47.addSuppressed((java.lang.Throwable)derivativeException53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test173() {}
// Defects4J: flaky method
//   @Test
//   public void test173() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test173"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount((-1));
//     int i14 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = brentSolver0.solve(0.0d, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 0);
// 
//   }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test174"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    double d18 = dummyStepInterpolator16.getInterpolatedTime();
    double[] d_array19 = dummyStepInterpolator16.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array21 = functionEvaluationException20.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test175"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.shift();
    double d7 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test176() {}
// Defects4J: flaky method
//   @Test
//   public void test176() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test176"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(Double.NaN);
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     int i9 = brentSolver0.getIterationCount();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 0);
// 
//   }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test177"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6);
    double[] d_array10 = functionEvaluationException6.getArgument();
    java.lang.Throwable throwable14 = null;
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array19, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array19);
    java.lang.Throwable throwable38 = null;
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable38, "", obj_array40);
    java.lang.Object[] obj_array42 = mathException41.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "hi!", obj_array42);
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array50);
    org.apache.commons.math.ode.DerivativeException derivativeException52 = new org.apache.commons.math.ode.DerivativeException("", obj_array50);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException65 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException60, "hi!", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array64);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException67);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException73 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException78 = new org.apache.commons.math.ode.events.EventException("", obj_array77);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException73, "hi!", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array77);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException68, "hi!", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException52, d_array53, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array77);
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("hi!", obj_array77);
    java.lang.Object[] obj_array86 = eventException85.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test178"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test179"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-6d, 0);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7);
    java.lang.Throwable throwable9 = null;
    java.lang.Throwable throwable10 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable10, "", obj_array12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array14, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable9, d_array14);
    java.lang.Throwable throwable33 = null;
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable33, "", obj_array35);
    java.lang.Object[] obj_array37 = mathException36.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "hi!", obj_array37);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array14, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException49, "hi!", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException55);
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException56, d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array57);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator68 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array57, false);
    boolean b69 = eventState4.reset(0.0d, d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test180"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    boolean b6 = eventState4.stop();
    double d7 = eventState4.getEventTime();
    double d8 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test181"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2, "hi!", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array10 = mathException8.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)mathException8);
    java.lang.Throwable[] throwable_array12 = mathException8.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test182"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str4 = maxIterationsExceededException3.getPattern();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    java.lang.Throwable[] throwable_array9 = convergenceException8.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)derivativeException11);
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)eventException12);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)eventException12, "org.apache.commons.math.ode.events.EventException: ", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test183"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    boolean b65 = dummyStepInterpolator64.isForward();
    dummyStepInterpolator64.setInterpolatedTime(0.0d);
    double d68 = dummyStepInterpolator64.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test184"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException5.addSuppressed((java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "", obj_array14);
    java.lang.Throwable[] throwable_array18 = convergenceException17.getSuppressed();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array18);
    java.lang.Throwable[] throwable_array20 = maxIterationsExceededException1.getSuppressed();
    java.lang.Object[] obj_array21 = maxIterationsExceededException1.getArguments();
    int i22 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 10);

  }

  @Test
  public void test185() {}
// Defects4J: flaky method
//   @Test
//   public void test185() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test185"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(10.0d, 10.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
// 
//   }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test186"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = eventState4.getEventHandler();
    double d8 = eventState4.getEventTime();
    double d9 = eventState4.getConvergence();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator10);
    double d12 = dummyStepInterpolator10.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator13 = dummyStepInterpolator10.copy();
    dummyStepInterpolator10.finalizeStep();
    double d15 = dummyStepInterpolator10.getCurrentTime();
    double d16 = dummyStepInterpolator10.getCurrentTime();
    dummyStepInterpolator10.setInterpolatedTime(1.0E-6d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator10.copy();
    // The following exception was thrown during execution in test generation
    try {
      boolean b20 = eventState4.evaluateStep(stepInterpolator19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test187"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    int i7 = eventState4.getMaxIterationCount();
    boolean b8 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState4.getEventHandler();
    int i11 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);

  }

  @Test
  public void test188() {}
// Defects4J: flaky method
//   @Test
//   public void test188() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test188"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setRelativeAccuracy(100.0d);
//     brentSolver0.setAbsoluteAccuracy((-1.0d));
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setRelativeAccuracy(0.0d);
//     int i12 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(100.0d, 1.0E-14d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 100.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
// 
//   }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test189"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getMaxCheckInterval();
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0E-6d, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test190"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str3 = maxIterationsExceededException2.getPattern();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2);
    java.lang.Throwable throwable7 = null;
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException17, 100.0d);
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    java.lang.String str24 = functionEvaluationException23.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException23);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str30 = maxIterationsExceededException29.getPattern();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { maxIterationsExceededException29 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException25, (-1.0d), "hi!", obj_array31);
    java.lang.Object[] obj_array33 = functionEvaluationException32.getArguments();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable7, "Maximal number of iterations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4, "evaluation failed for argument = {0}", obj_array33);
    java.lang.Object[] obj_array37 = mathException4.getArguments();
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str3.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str24.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str30.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test191"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException3.addSuppressed((java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3, "", obj_array12);
    java.lang.Throwable[] throwable_array16 = convergenceException15.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.ode.events.EventState eventState23 = new org.apache.commons.math.ode.events.EventState(eventHandler19, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState23.getEventHandler();
    double d25 = eventState23.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, Double.NaN);
    double[] d_array31 = functionEvaluationException30.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException35);
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException35);
    java.lang.Object[] obj_array38 = maxIterationsExceededException35.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array38);
    boolean b40 = eventState23.reset((-1.0d), d_array31);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.ode.DerivativeException derivativeException52 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException52, 100.0d);
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException54, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array57);
    java.lang.String str59 = functionEvaluationException58.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException58);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException60);
    java.lang.Throwable[] throwable_array62 = convergenceException61.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array62);
    int i64 = maxIterationsExceededException63.getMaxIterations();
    java.lang.Throwable throwable67 = null;
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.ode.DerivativeException derivativeException77 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException77, 100.0d);
    java.lang.Object[] obj_array82 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array82);
    java.lang.String str84 = functionEvaluationException83.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str90 = maxIterationsExceededException89.getPattern();
    java.lang.Object[] obj_array91 = new java.lang.Object[] { maxIterationsExceededException89 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException85, (-1.0d), "hi!", obj_array91);
    java.lang.Object[] obj_array93 = functionEvaluationException92.getArguments();
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException(throwable67, "Maximal number of iterations ({0}) exceeded", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException63, 1.0E-15d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array93);
    java.lang.Throwable[] throwable_array96 = maxIterationsExceededException63.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException17, d_array31, "org.apache.commons.math.MathException: hi!", (java.lang.Object[])throwable_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str59.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str84.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str90 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str90.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array96);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test192"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 10);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test193"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test194"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test195"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-6d, 0);
    int i5 = eventState4.getMaxIterationCount();
    int i6 = eventState4.getMaxIterationCount();
    int i7 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test196"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b3 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator4.copy();
    java.io.ObjectInput objectInput6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator4.readExternal(objectInput6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test197"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    dummyStepInterpolator13.shift();
    dummyStepInterpolator13.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator13.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);

  }

  @Test
  public void test198() {}
// Defects4J: flaky method
//   @Test
//   public void test198() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test198"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetRelativeAccuracy();
//     int i11 = brentSolver0.getMaximalIterationCount();
//     double d12 = brentSolver0.getAbsoluteAccuracy();
//     double d13 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0E-15d);
// 
//   }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test199"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: ", obj_array3);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7, "hi!", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException14, d_array15);
    java.lang.Throwable throwable26 = null;
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable26, "", obj_array28);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(throwable26, d_array30, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array43);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.ode.events.EventState eventState53 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 100.0d, 1.0d, 100);
    double d54 = eventState53.getConvergence();
    double[] d_array59 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b60 = eventState53.reset(10.0d, d_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable65 = null;
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(throwable65, "", obj_array67);
    java.lang.Object[] obj_array69 = mathException68.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException63, "Maximal number of iterations ({0}) exceeded", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException48, d_array59, "Maximal number of iterations ({0}) exceeded", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(throwable26, "", obj_array69);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array69);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4, "org.apache.commons.math.ode.DerivativeException: ", obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.events.EventException: ", obj_array69);
    org.apache.commons.math.ode.events.EventException eventException77 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test200"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setRelativeAccuracy(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test201"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getRelativeAccuracy();
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test202"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, (-1.0d), 1);
    double[] d_array9 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array9, false);
    double[] d_array12 = dummyStepInterpolator11.getInterpolatedState();
    boolean b13 = dummyStepInterpolator11.isForward();
    double d14 = dummyStepInterpolator11.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator15 = dummyStepInterpolator11.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator16 = dummyStepInterpolator11.copy();
    double[] d_array17 = dummyStepInterpolator11.getInterpolatedState();
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.ode.events.EventState eventState25 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 100.0d, 1.0d, 100);
    double d26 = eventState25.getConvergence();
    double[] d_array31 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b32 = eventState25.reset(10.0d, d_array31);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { b32 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array33);
    java.lang.Throwable throwable36 = null;
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(throwable36, d_array41);
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    java.lang.Object[] obj_array64 = mathException63.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException34, "org.apache.commons.math.ode.DerivativeException: ", obj_array64);
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    boolean b69 = eventState4.reset(1.0d, d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test203"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    java.lang.String str13 = maxIterationsExceededException6.toString();
    java.lang.Object[] obj_array14 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: hi!", obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test204"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { eventState13 };
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("hi!", obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test205"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    java.lang.Throwable throwable12 = null;
    java.lang.Throwable throwable13 = null;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable13, "", obj_array15);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(throwable13, d_array17, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array17);
    java.lang.Throwable throwable36 = null;
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(throwable36, "", obj_array38);
    java.lang.Object[] obj_array40 = mathException39.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "hi!", obj_array40);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array17, "Maximal number of iterations ({0}) exceeded", obj_array47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException52, "hi!", obj_array56);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException58);
    double[] d_array60 = new double[] {  };
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException65 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException59, d_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array60);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator71 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array60, false);
    double[] d_array72 = dummyStepInterpolator71.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array72);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test206"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double[] d_array18 = dummyStepInterpolator14.getInterpolatedDerivatives();
    java.io.ObjectInput objectInput19 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator14.readExternal(objectInput19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test207"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double[] d_array16 = dummyStepInterpolator15.getInterpolatedState();
    java.io.ObjectOutput objectOutput17 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator15.writeExternal(objectOutput17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test208"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d7 = dummyStepInterpolator6.getInterpolatedTime();
    dummyStepInterpolator6.setInterpolatedTime(0.0d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator6.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);

  }

  @Test
  public void test209() {}
// Defects4J: flaky method
//   @Test
//   public void test209() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test209"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(1.0d, 10.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
// 
//   }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test210"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 10);
    boolean b5 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test211"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    boolean b4 = dummyStepInterpolator1.isForward();
    dummyStepInterpolator1.setInterpolatedTime(0.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    dummyStepInterpolator1.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator1.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test212"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState5.getEventHandler();
    double[] d_array11 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, false);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    boolean b15 = eventState5.reset(1.0E-6d, d_array14);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator17 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array14);
    double[] d_array19 = functionEvaluationException18.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test213"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    java.lang.Object[] obj_array28 = mathException27.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "hi!", obj_array28);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException42, "hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30, "", obj_array46);
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test214"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    java.lang.String str19 = convergenceException18.toString();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str19.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test215() {}
// Defects4J: flaky method
//   @Test
//   public void test215() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test215"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test216"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array2);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test217"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator6 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator8.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    boolean b11 = dummyStepInterpolator10.isForward();
    boolean b12 = dummyStepInterpolator10.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test218"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 0);
    int i5 = eventState4.getMaxIterationCount();
    boolean b6 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test219() {}
// Defects4J: flaky method
//   @Test
//   public void test219() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test219"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(1.0E-6d);
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setMaximalIterationCount(1);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction10, 10.0d, 1.0E-14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
// 
//   }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test220"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(throwable9, 0.0d);
    double[] d_array12 = functionEvaluationException11.getArgument();
    boolean b13 = eventState4.reset(1.0E-6d, d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = eventState4.getEventHandler();
    double d15 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test221"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array25 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator27 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array25, false);
    boolean b28 = eventState4.reset(10.0d, d_array25);
    java.lang.Throwable throwable30 = null;
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable31, d_array35, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array35);
    java.lang.Throwable throwable54 = null;
    java.lang.Object[] obj_array56 = null;
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException(throwable54, "", obj_array56);
    java.lang.Object[] obj_array58 = mathException57.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "hi!", obj_array58);
    double[] d_array60 = new double[] {  };
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException65 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException77 = new org.apache.commons.math.ode.events.EventException("", obj_array76);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException72, "hi!", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, d_array60, "", obj_array76);
    boolean b81 = eventState4.reset(1.0d, d_array60);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator82 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator83 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator82);
    double d84 = dummyStepInterpolator82.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator85 = dummyStepInterpolator82.copy();
    double d86 = dummyStepInterpolator82.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator87 = dummyStepInterpolator82.copy();
    dummyStepInterpolator82.storeTime((-1.0d));
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator90 = dummyStepInterpolator82.copy();
    dummyStepInterpolator82.setInterpolatedTime(1.0d);
    dummyStepInterpolator82.finalizeStep();
    dummyStepInterpolator82.finalizeStep();
    // The following exception was thrown during execution in test generation
    try {
      boolean b95 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator82);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d84, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator90);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test222"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(10.0d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test223"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.storeTime(1.0E-15d);
    double d7 = dummyStepInterpolator0.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test224"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-14d, (-1));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test225"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.setInterpolatedTime(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test226"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double d18 = dummyStepInterpolator14.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator14.copy();
    dummyStepInterpolator14.setInterpolatedTime(1.0d);
    double[] d_array22 = dummyStepInterpolator14.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test227"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    double d2 = dummyStepInterpolator0.getCurrentTime();
    java.io.ObjectInput objectInput3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.readExternal(objectInput3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test228"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7, "hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException20, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "hi!", obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable2, "org.apache.commons.math.ode.DerivativeException: ", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array24);
    int i31 = maxIterationsExceededException30.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test229"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getConvergence();
    double[] d_array11 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, false);
    double d14 = dummyStepInterpolator13.getCurrentTime();
    double[] d_array15 = dummyStepInterpolator13.getInterpolatedDerivatives();
    boolean b16 = eventState4.reset(0.0d, d_array15);
    double[] d_array18 = null;
    boolean b19 = eventState4.reset(10.0d, d_array18);
    double d20 = eventState4.getEventTime();
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException30, 1.0d);
    double[] d_array33 = functionEvaluationException32.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0d);
    java.lang.Throwable throwable38 = null;
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array52 = new double[] {  };
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(throwable39, d_array43, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(throwable38, d_array43);
    org.apache.commons.math.ode.DerivativeException derivativeException61 = new org.apache.commons.math.ode.DerivativeException(throwable38);
    java.lang.Object[] obj_array62 = derivativeException61.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, (-1.0d), "evaluation failed for argument = {0}", obj_array62);
    java.lang.String str64 = functionEvaluationException35.getPattern();
    double[] d_array65 = functionEvaluationException35.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(0.0d, d_array65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + ""+ "'", str64.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test230"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4);
    java.lang.Throwable throwable6 = null;
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array11);
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "hi!", obj_array34);
    double[] d_array37 = new double[] {  };
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException42 = new org.apache.commons.math.ode.events.EventException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array37, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, d_array11, "Maximal number of iterations ({0}) exceeded", obj_array41);
    double[] d_array45 = functionEvaluationException4.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator47 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array45, true);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    java.lang.String str58 = functionEvaluationException57.getPattern();
    java.lang.Object[] obj_array59 = functionEvaluationException57.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array45, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", obj_array59);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array45, false);
    java.io.ObjectInput objectInput63 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator62.readExternal(objectInput63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "evaluation failed for argument = {0}"+ "'", str58.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test231"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getRelativeAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    int i12 = brentSolver0.getIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = brentSolver0.solve(univariateRealFunction13, Double.NaN, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test232"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.setMaximalIterationCount(10);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test233"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator5.storeTime(0.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator11 = dummyStepInterpolator5.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator11);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test234"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0d, d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test235"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    boolean b21 = eventState4.stop();
    double d22 = eventState4.getMaxCheckInterval();
    double[] d_array24 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-15d, d_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test236"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler5, 100.0d, 1.0d, 100);
    double d10 = eventState9.getConvergence();
    double[] d_array15 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b16 = eventState9.reset(10.0d, d_array15);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array15, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator18);
    double d20 = dummyStepInterpolator18.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator18);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator22 = dummyStepInterpolator21.copy();
    dummyStepInterpolator21.shift();
    dummyStepInterpolator21.storeTime(100.0d);
    double[] d_array26 = dummyStepInterpolator21.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator28 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, false);
    dummyStepInterpolator28.shift();
    double d30 = dummyStepInterpolator28.getPreviousTime();
    double[] d_array31 = dummyStepInterpolator28.getInterpolatedState();
    double d32 = dummyStepInterpolator28.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator33 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator28);
    // The following exception was thrown during execution in test generation
    try {
      boolean b34 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test237"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    boolean b17 = dummyStepInterpolator13.isForward();
    dummyStepInterpolator13.storeTime(1.0E-14d);
    double d20 = dummyStepInterpolator13.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test238"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    double d5 = brentSolver0.getRelativeAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test239() {}
// Defects4J: flaky method
//   @Test
//   public void test239() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test239"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setMaximalIterationCount(100);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
// 
//   }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test240"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { eventState12 };
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(100, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test241"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.events.EventException: Maximal number of iterations (1) exceeded", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test242"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    double d13 = brentSolver0.getFunctionValueAccuracy();
    double d14 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-6d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test243"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    double[] d_array63 = dummyStepInterpolator62.getInterpolatedDerivatives();
    dummyStepInterpolator62.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator65 = dummyStepInterpolator62.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator66 = dummyStepInterpolator62.copy();
    dummyStepInterpolator62.setInterpolatedTime(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator66);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test244"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array25 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator27 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array25, false);
    boolean b28 = eventState4.reset(10.0d, d_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException31);
    java.lang.Throwable throwable33 = null;
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(throwable34, d_array38, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(throwable33, d_array38);
    java.lang.Throwable throwable57 = null;
    java.lang.Object[] obj_array59 = null;
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(throwable57, "", obj_array59);
    java.lang.Object[] obj_array61 = mathException60.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "hi!", obj_array61);
    double[] d_array64 = new double[] {  };
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, d_array38, "Maximal number of iterations ({0}) exceeded", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException31);
    double[] d_array74 = functionEvaluationException31.getArgument();
    double[] d_array75 = functionEvaluationException31.getArgument();
    boolean b76 = eventState4.reset(1.0E-14d, d_array75);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator78 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array75, false);
    java.lang.Object[] obj_array82 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException83 = new org.apache.commons.math.ode.events.EventException("", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array75, "evaluation failed for argument = {0}", obj_array82);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator86 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array75, false);
    java.lang.Object[] obj_array93 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException94 = new org.apache.commons.math.ode.events.EventException("", obj_array93);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException95 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array93);
    org.apache.commons.math.ode.events.EventException eventException96 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.events.EventException: ", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(d_array75, "org.apache.commons.math.ConvergenceException: hi!", obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test245"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d7 = dummyStepInterpolator6.getInterpolatedTime();
    dummyStepInterpolator6.setInterpolatedTime(1.0E-14d);
    dummyStepInterpolator6.shift();
    double d11 = dummyStepInterpolator6.getInterpolatedTime();
    dummyStepInterpolator6.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test246() {}
// Defects4J: flaky method
//   @Test
//   public void test246() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test246"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
// 
//   }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test247"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException24 = new org.apache.commons.math.ode.DerivativeException(throwable1);
    java.lang.Object[] obj_array25 = derivativeException24.getArguments();
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array25);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.ode.DerivativeException derivativeException35 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException35, 100.0d);
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    java.lang.String str42 = functionEvaluationException41.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException46);
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException47, 1.0E-6d, "hi!", obj_array50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException47);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler58 = eventState57.getEventHandler();
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    double[] d_array64 = new double[] {  };
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    double[] d_array73 = new double[] {  };
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException78 = new org.apache.commons.math.ode.events.EventException("", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array73, "", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(throwable60, d_array64, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array77);
    boolean b81 = eventState57.reset(0.0d, d_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException47, d_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException26, d_array64);
    double[] d_array85 = functionEvaluationException84.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException84);
    java.lang.Throwable[] throwable_array87 = convergenceException86.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str42.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array87);

  }

  @Test
  public void test248() {}
// Defects4J: flaky method
//   @Test
//   public void test248() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test248"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
// 
//   }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test249"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(Double.NaN);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d12 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.0E-6d);
// 
//   }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test250"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, Double.NaN, (-1));
    double d5 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test251"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array2);
    java.lang.String str4 = maxIterationsExceededException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: "+ "'", str4.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test252() {}
// Defects4J: flaky method
//   @Test
//   public void test252() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test252"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-14d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(1.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
// 
//   }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test253"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator25 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, false);
    boolean b26 = dummyStepInterpolator25.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test254"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException9, "hi!", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException22, "hi!", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException17, "hi!", obj_array26);
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array26);
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array26);
    org.apache.commons.math.ode.events.EventHandler eventHandler35 = null;
    org.apache.commons.math.ode.events.EventState eventState39 = new org.apache.commons.math.ode.events.EventState(eventHandler35, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math.ode.events.EventState eventState45 = new org.apache.commons.math.ode.events.EventState(eventHandler41, 100.0d, 1.0d, 100);
    double d46 = eventState45.getConvergence();
    double[] d_array51 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b52 = eventState45.reset(10.0d, d_array51);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator54 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, true);
    boolean b55 = eventState39.reset(10.0d, d_array51);
    double[] d_array58 = new double[] {  };
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array58, "", obj_array62);
    org.apache.commons.math.ode.DerivativeException derivativeException65 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException65, 100.0d);
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70);
    java.lang.String str72 = functionEvaluationException71.getPattern();
    java.lang.Object[] obj_array73 = new java.lang.Object[] { str72 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array73);
    org.apache.commons.math.ode.DerivativeException derivativeException75 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array73);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException32, "", obj_array73);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array73);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array73);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException79 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str72.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test255"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, Double.NaN);
    double[] d_array12 = functionEvaluationException11.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    boolean b21 = eventState4.reset((-1.0d), d_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException24);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    java.lang.Throwable[] throwable_array30 = convergenceException29.getSuppressed();
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.ode.DerivativeException derivativeException41 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException41, 100.0d);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    java.lang.String str48 = functionEvaluationException47.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str54 = maxIterationsExceededException53.getPattern();
    java.lang.Object[] obj_array55 = new java.lang.Object[] { maxIterationsExceededException53 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException49, (-1.0d), "hi!", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException29, 0.0d, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array55);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator60 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array12, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str48.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str54.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test256"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test257"); }


    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { functionEvaluationException29 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "Maximal number of iterations ({0}) exceeded", obj_array30);
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("", obj_array30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array30);
    int i35 = maxIterationsExceededException34.getMaxIterations();
    java.lang.Object[] obj_array36 = maxIterationsExceededException34.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: ", obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test258"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator5.storeTime(0.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    dummyStepInterpolator5.setInterpolatedTime(1.0d);
    double d11 = dummyStepInterpolator5.getInterpolatedTime();
    java.io.ObjectInput objectInput12 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.readExternal(objectInput12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test259"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, Double.NaN);
    double[] d_array12 = functionEvaluationException11.getArgument();
    java.lang.Throwable throwable14 = null;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable14, "", obj_array16);
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array18, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31);
    double[] d_array36 = functionEvaluationException35.getArgument();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException7, d_array36, "org.apache.commons.math.ode.DerivativeException: ", obj_array42);
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException45);
    java.lang.Object[] obj_array47 = eventException46.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array47);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d, "", obj_array52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException57);
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException57);
    org.apache.commons.math.ode.DerivativeException derivativeException60 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)eventException59);
    java.lang.Throwable throwable62 = null;
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException(throwable62, "", obj_array64);
    java.lang.Object[] obj_array66 = mathException65.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException60, "Maximal number of iterations ({0}) exceeded", obj_array66);
    org.apache.commons.math.ode.DerivativeException derivativeException68 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array66);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException53, "org.apache.commons.math.MathException: hi!", obj_array66);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException48, "", obj_array66);
    java.lang.Object[] obj_array71 = maxIterationsExceededException48.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test260"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    double d4 = brentSolver0.getRelativeAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test261"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.setMaximalIterationCount(10);
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test262"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test263"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 100.0d, 1.0d, 100);
    double d29 = eventState28.getConvergence();
    double[] d_array34 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b35 = eventState28.reset(10.0d, d_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable40 = null;
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable40, "", obj_array42);
    java.lang.Object[] obj_array44 = mathException43.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException38, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException23, d_array34, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(throwable1, "", obj_array44);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = null;
    org.apache.commons.math.ode.events.EventState eventState52 = new org.apache.commons.math.ode.events.EventState(eventHandler48, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.ode.events.EventState eventState58 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 100.0d, 1.0d, 100);
    double d59 = eventState58.getConvergence();
    double[] d_array64 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b65 = eventState58.reset(10.0d, d_array64);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array64, true);
    boolean b68 = eventState52.reset(10.0d, d_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i72 = maxIterationsExceededException71.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException75 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException77 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException75.addSuppressed((java.lang.Throwable)maxIterationsExceededException77);
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("", obj_array84);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException75, "", obj_array84);
    java.lang.Throwable[] throwable_array88 = convergenceException87.getSuppressed();
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException71, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException47, d_array64, "hi!", (java.lang.Object[])throwable_array88);
    org.apache.commons.math.ode.DerivativeException derivativeException91 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)mathException47);
    java.lang.Object[] obj_array92 = mathException47.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException93 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test264"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException4 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException5 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8);
    java.lang.Throwable throwable10 = null;
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array15);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "hi!", obj_array38);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, d_array15, "Maximal number of iterations ({0}) exceeded", obj_array45);
    double[] d_array52 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator54 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array52, false);
    java.lang.Throwable throwable56 = null;
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(throwable56, "", obj_array58);
    java.lang.Object[] obj_array60 = mathException59.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, d_array52, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException68, "hi!", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array72);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array72);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException48, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array72);
    java.lang.String str80 = functionEvaluationException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100"+ "'", str80.equals("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100"));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test265"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-15d, 1.0E-6d, 10);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test266"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetMaximalIterationCount();
    int i2 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(1.0d);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test267"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test268"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    double d9 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test269"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    boolean b17 = dummyStepInterpolator13.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = dummyStepInterpolator13.copy();
    double d19 = dummyStepInterpolator13.getInterpolatedTime();
    dummyStepInterpolator13.storeTime(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test270"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d3 = dummyStepInterpolator0.getPreviousTime();
    double d4 = dummyStepInterpolator0.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test271"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test272"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler16, 100.0d, 1.0d, 100);
    double d21 = eventState20.getConvergence();
    double[] d_array26 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b27 = eventState20.reset(10.0d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator29 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, true);
    boolean b30 = eventState14.reset(0.0d, d_array26);
    boolean b31 = eventState4.reset(1.0E-14d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator33 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, false);
    dummyStepInterpolator33.storeTime(Double.NaN);
    boolean b36 = dummyStepInterpolator33.isForward();
    dummyStepInterpolator33.shift();
    dummyStepInterpolator33.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test273"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    double[] d_array9 = dummyStepInterpolator5.getInterpolatedState();
    double d10 = dummyStepInterpolator5.getCurrentTime();
    dummyStepInterpolator5.storeTime(1.0E-6d);
    dummyStepInterpolator5.setInterpolatedTime((-1.0d));
    java.io.ObjectOutput objectOutput15 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.writeExternal(objectOutput15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test274"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    java.lang.Object[] obj_array12 = mathException11.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException6, "Maximal number of iterations ({0}) exceeded", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException13, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.ode.DerivativeException derivativeException27 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException27, 100.0d);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    java.lang.String str34 = functionEvaluationException33.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str40 = maxIterationsExceededException39.getPattern();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { maxIterationsExceededException39 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException35, (-1.0d), "hi!", obj_array41);
    double[] d_array43 = functionEvaluationException42.getArgument();
    java.lang.Throwable throwable45 = null;
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(throwable45, "", obj_array47);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    double[] d_array58 = new double[] {  };
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array58, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(throwable45, d_array49, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "hi!", obj_array62);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException13, "", obj_array72);
    java.lang.Throwable[] throwable_array77 = convergenceException13.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.ode.events.EventException: ", (java.lang.Object[])throwable_array77);
    java.lang.Object[] obj_array79 = functionEvaluationException78.getArguments();
    org.apache.commons.math.ode.events.EventException eventException80 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str34.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str40.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test275"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    boolean b65 = dummyStepInterpolator64.isForward();
    dummyStepInterpolator64.storeTime(1.0E-15d);
    dummyStepInterpolator64.shift();
    boolean b69 = dummyStepInterpolator64.isForward();
    double d70 = dummyStepInterpolator64.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0E-15d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test276"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d3 = brentSolver0.getRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test277() {}
// Defects4J: flaky method
//   @Test
//   public void test277() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test277"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(Double.NaN);
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(0);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, (-1.0d), Double.NaN, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
// 
//   }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test278"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException20);
    java.lang.Throwable throwable22 = null;
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable22, "", obj_array24);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array26, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { functionEvaluationException45 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "Maximal number of iterations ({0}) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException21, d_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException("", obj_array59);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException55, "hi!", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array59);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException62);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException68, "hi!", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array72);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException63, "hi!", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array72);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException48, "", obj_array72);
    java.lang.Throwable[] throwable_array80 = functionEvaluationException48.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", (java.lang.Object[])throwable_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException82 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test279"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    double[] d_array45 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator47 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array45, false);
    java.lang.Throwable throwable49 = null;
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable49, "", obj_array51);
    java.lang.Object[] obj_array53 = mathException52.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array45, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException61, "hi!", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array65);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array65);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException71, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test280"); }


    java.lang.Throwable throwable5 = null;
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable5, d_array10);
    java.lang.Throwable throwable29 = null;
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(throwable29, "", obj_array31);
    java.lang.Object[] obj_array33 = mathException32.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "hi!", obj_array33);
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    java.lang.Object[] obj_array41 = mathException40.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array41);
    org.apache.commons.math.ode.DerivativeException derivativeException43 = new org.apache.commons.math.ode.DerivativeException("", obj_array41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array41);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("hi!", obj_array41);
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test281"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    int i3 = brentSolver0.getIterationCount();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test282"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20);
    java.lang.Throwable throwable22 = null;
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array27, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array27);
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "hi!", obj_array50);
    double[] d_array53 = new double[] {  };
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array27, "Maximal number of iterations ({0}) exceeded", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException62, "hi!", obj_array66);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException68);
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException69, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, d_array70);
    java.lang.Throwable[] throwable_array81 = derivativeException18.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array81);
    java.lang.String str83 = convergenceException82.toString();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException86, Double.NaN);
    double[] d_array89 = functionEvaluationException88.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array89);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException93 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException94 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException93);
    org.apache.commons.math.ode.events.EventException eventException95 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException93);
    java.lang.Object[] obj_array96 = maxIterationsExceededException93.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(d_array89, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array96);
    org.apache.commons.math.MathException mathException98 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException82, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str83.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array96);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test283"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getAbsoluteAccuracy();
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    int i10 = brentSolver0.getIterationCount();
    double d11 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-6d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test284"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    dummyStepInterpolator16.shift();
    dummyStepInterpolator16.storeTime(Double.NaN);
    double[] d_array21 = dummyStepInterpolator16.getInterpolatedDerivatives();
    double[] d_array22 = dummyStepInterpolator16.getInterpolatedDerivatives();
    double d23 = dummyStepInterpolator16.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test285"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test286"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    dummyStepInterpolator18.setInterpolatedTime(1.0E-14d);
    dummyStepInterpolator18.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator22 = dummyStepInterpolator18.copy();
    dummyStepInterpolator18.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator22);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test287"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.shift();
    dummyStepInterpolator0.finalizeStep();
    double d8 = dummyStepInterpolator0.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test288"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    double d38 = eventState4.getConvergence();
    int i39 = eventState4.getMaxIterationCount();
    java.lang.Throwable throwable41 = null;
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException(throwable41, "", obj_array43);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    double[] d_array54 = new double[] {  };
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException("", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(throwable41, d_array45, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array65 = new java.lang.Object[] { functionEvaluationException64 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "Maximal number of iterations ({0}) exceeded", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException66, 1.0d);
    double[] d_array69 = functionEvaluationException68.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array69);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator72 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array69, true);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(10.0d, d_array69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test289() {}
// Defects4J: flaky method
//   @Test
//   public void test289() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test289"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i4 = brentSolver0.getIterationCount();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(10.0d, 1.0d, 1.0E-14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test290"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.events.EventException: hi!", obj_array1);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test291"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { eventState11 };
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.events.EventException: hi!", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test292"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getMaxCheckInterval();
    java.lang.Throwable throwable8 = null;
    java.lang.Throwable throwable9 = null;
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException(throwable9, "", obj_array11);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable9, d_array13, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array32 = functionEvaluationException31.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-6d, d_array32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test293() {}
// Defects4J: flaky method
//   @Test
//   public void test293() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test293"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 1.0E-6d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test294"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    dummyStepInterpolator16.setInterpolatedTime(1.0E-6d);
    double d20 = dummyStepInterpolator16.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test295"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, Double.NaN);
    double[] d_array6 = functionEvaluationException5.getArgument();
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test296"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test297"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getMaximalIterationCount();
    int i9 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    int i11 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test298() {}
// Defects4J: flaky method
//   @Test
//   public void test298() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test298"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.0E-6d);
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 1.0E-15d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
// 
//   }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test299"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    java.lang.String str12 = maxIterationsExceededException5.toString();
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException19);
    maxIterationsExceededException5.addSuppressed((java.lang.Throwable)derivativeException20);
    java.lang.Throwable throwable22 = null;
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable22, "", obj_array24);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.ode.events.EventState eventState30 = new org.apache.commons.math.ode.events.EventState(eventHandler26, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math.ode.events.EventState eventState36 = new org.apache.commons.math.ode.events.EventState(eventHandler32, 100.0d, 1.0d, 100);
    double d37 = eventState36.getConvergence();
    double[] d_array42 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b43 = eventState36.reset(10.0d, d_array42);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array42, true);
    boolean b46 = eventState30.reset(10.0d, d_array42);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException56, 100.0d);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    java.lang.String str63 = functionEvaluationException62.getPattern();
    java.lang.Object[] obj_array64 = new java.lang.Object[] { str63 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array42);
    derivativeException20.addSuppressed((java.lang.Throwable)functionEvaluationException66);
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.ode.DerivativeException derivativeException77 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException77, 100.0d);
    java.lang.Object[] obj_array82 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array82);
    java.lang.String str84 = functionEvaluationException83.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str90 = maxIterationsExceededException89.getPattern();
    java.lang.Object[] obj_array91 = new java.lang.Object[] { maxIterationsExceededException89 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException85, (-1.0d), "hi!", obj_array91);
    java.lang.Object[] obj_array93 = functionEvaluationException92.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException66, "", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array93);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException96 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str12.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str84.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str90 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str90.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test300"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setAbsoluteAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test301"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedDerivatives();
    dummyStepInterpolator14.setInterpolatedTime(1.0E-14d);
    double[] d_array20 = dummyStepInterpolator14.getInterpolatedState();
    dummyStepInterpolator14.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test302"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getIterationCount();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    int i3 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test303() {}
// Defects4J: flaky method
//   @Test
//   public void test303() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test303"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(0.0d, 0.0d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
// 
//   }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test304"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    dummyStepInterpolator5.storeTime(0.0d);
    dummyStepInterpolator5.finalizeStep();
    dummyStepInterpolator5.storeTime(0.0d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator13 = dummyStepInterpolator5.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator13);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test305"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test306"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math.ode.events.EventState eventState67 = new org.apache.commons.math.ode.events.EventState(eventHandler63, 100.0d, 1.0d, 100);
    double d68 = eventState67.getConvergence();
    double[] d_array73 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b74 = eventState67.reset(10.0d, d_array73);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { b74 };
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException60, "Maximal number of iterations ({0}) exceeded", obj_array75);
    double[] d_array78 = functionEvaluationException60.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator80 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array78, false);
    double d81 = dummyStepInterpolator80.getCurrentTime();
    boolean b82 = dummyStepInterpolator80.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test307"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array1);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test308"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    double d5 = eventState4.getMaxCheckInterval();
    int i6 = eventState4.getMaxIterationCount();
    boolean b7 = eventState4.stop();
    double d8 = eventState4.getConvergence();
    double d9 = eventState4.getMaxCheckInterval();
    double d10 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test309"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException24 = new org.apache.commons.math.ode.DerivativeException(throwable1);
    java.lang.Object[] obj_array25 = derivativeException24.getArguments();
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array25);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.ode.DerivativeException derivativeException35 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException35, 100.0d);
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    java.lang.String str42 = functionEvaluationException41.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException46);
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException47, 1.0E-6d, "hi!", obj_array50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException47);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler58 = eventState57.getEventHandler();
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    double[] d_array64 = new double[] {  };
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    double[] d_array73 = new double[] {  };
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException78 = new org.apache.commons.math.ode.events.EventException("", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array73, "", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(throwable60, d_array64, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array77);
    boolean b81 = eventState57.reset(0.0d, d_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException47, d_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException26, d_array64);
    double[] d_array85 = functionEvaluationException84.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException84);
    java.lang.String str87 = functionEvaluationException84.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str42.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str87 + "' != '" + ""+ "'", str87.equals(""));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test310"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array8 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test311() {}
// Defects4J: flaky method
//   @Test
//   public void test311() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test311"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(univariateRealFunction4, 100.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test312"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, 100.0d);
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    java.lang.String str25 = functionEvaluationException24.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str31 = maxIterationsExceededException30.getPattern();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { maxIterationsExceededException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException26, (-1.0d), "hi!", obj_array32);
    double[] d_array34 = functionEvaluationException33.getArgument();
    java.lang.Throwable throwable36 = null;
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(throwable36, "", obj_array38);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(throwable36, d_array40, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "hi!", obj_array53);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array63);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException67 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array63);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator72 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator73 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator72);
    boolean b74 = dummyStepInterpolator73.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator75 = dummyStepInterpolator73.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator76 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator73);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator77 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator76);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { dummyStepInterpolator77 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str25.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str31.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test313"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, Double.NaN);
    double[] d_array10 = functionEvaluationException9.getArgument();
    java.lang.Throwable throwable12 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(throwable12, "", obj_array14);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    double[] d_array34 = functionEvaluationException33.getArgument();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException5, d_array34, "org.apache.commons.math.ode.DerivativeException: ", obj_array40);
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException43);
    java.lang.Object[] obj_array45 = eventException44.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array45);
    java.lang.Throwable[] throwable_array47 = maxIterationsExceededException46.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test314"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator7.shift();
    double d9 = dummyStepInterpolator7.getPreviousTime();
    double d10 = dummyStepInterpolator7.getPreviousTime();
    dummyStepInterpolator7.setInterpolatedTime(10.0d);
    double[] d_array13 = dummyStepInterpolator7.getInterpolatedState();
    java.io.ObjectOutput objectOutput14 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator7.writeExternal(objectOutput14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test315"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test316"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test317"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test318"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getEventTime();
    double d8 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator24 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator23);
    double d25 = dummyStepInterpolator23.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator26 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator23);
    double[] d_array27 = dummyStepInterpolator23.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0E-15d, d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test319"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    dummyStepInterpolator1.shift();
    double d7 = dummyStepInterpolator1.getCurrentTime();
    dummyStepInterpolator1.shift();
    dummyStepInterpolator1.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test320"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double d16 = dummyStepInterpolator13.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator13.copy();
    double d18 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    boolean b20 = dummyStepInterpolator19.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test321"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    double d6 = dummyStepInterpolator0.getCurrentTime();
    boolean b7 = dummyStepInterpolator0.isForward();
    double d8 = dummyStepInterpolator0.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test322"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, 1.0d, 100);
    int i5 = eventState4.getMaxIterationCount();
    int i6 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test323"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getRelativeAccuracy();
    int i5 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test324"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    java.lang.String str13 = maxIterationsExceededException6.toString();
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException21 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException20);
    maxIterationsExceededException6.addSuppressed((java.lang.Throwable)derivativeException21);
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.ode.events.EventState eventState31 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler33, 100.0d, 1.0d, 100);
    double d38 = eventState37.getConvergence();
    double[] d_array43 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b44 = eventState37.reset(10.0d, d_array43);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array43, true);
    boolean b47 = eventState31.reset(10.0d, d_array43);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.ode.DerivativeException derivativeException57 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException57, 100.0d);
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array62);
    java.lang.String str64 = functionEvaluationException63.getPattern();
    java.lang.Object[] obj_array65 = new java.lang.Object[] { str64 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array43);
    derivativeException21.addSuppressed((java.lang.Throwable)functionEvaluationException67);
    java.lang.Throwable[] throwable_array69 = derivativeException21.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array69);
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException81 = new org.apache.commons.math.ode.events.EventException("", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException82 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException84 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException71, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array80);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded", obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str64.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test325"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array9);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: ", obj_array24);
    java.lang.Object[] obj_array28 = eventException27.getArguments();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: hi!", obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test326"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "", obj_array3);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Throwable[] throwable_array9 = maxIterationsExceededException8.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException4, 0.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13, "hi!", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException19);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException20, d_array21);
    java.lang.Throwable throwable32 = null;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(throwable32, "", obj_array34);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(throwable32, d_array36, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array49);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler55 = null;
    org.apache.commons.math.ode.events.EventState eventState59 = new org.apache.commons.math.ode.events.EventState(eventHandler55, 100.0d, 1.0d, 100);
    double d60 = eventState59.getConvergence();
    double[] d_array65 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b66 = eventState59.reset(10.0d, d_array65);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable71 = null;
    java.lang.Object[] obj_array73 = null;
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException(throwable71, "", obj_array73);
    java.lang.Object[] obj_array75 = mathException74.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException69, "Maximal number of iterations ({0}) exceeded", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException54, d_array65, "Maximal number of iterations ({0}) exceeded", obj_array75);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException(throwable32, "", obj_array75);
    org.apache.commons.math.ode.DerivativeException derivativeException79 = new org.apache.commons.math.ode.DerivativeException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    mathException11.addSuppressed((java.lang.Throwable)functionEvaluationException82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test327"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    boolean b24 = eventState8.reset(10.0d, d_array20);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException34, 100.0d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    java.lang.String str41 = functionEvaluationException40.getPattern();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { str41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    boolean b47 = dummyStepInterpolator46.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test328"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.storeTime(1.0E-6d);
    double d7 = dummyStepInterpolator0.getPreviousTime();
    double d8 = dummyStepInterpolator0.getInterpolatedTime();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test329"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator6 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator8.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    dummyStepInterpolator8.shift();
    dummyStepInterpolator8.storeTime(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test330"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array25 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator27 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array25, false);
    boolean b28 = eventState4.reset(10.0d, d_array25);
    double d29 = eventState4.getEventTime();
    boolean b30 = eventState4.stop();
    double d31 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test331"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d8 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test332"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator2 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d3 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator0.shift();
    double d6 = dummyStepInterpolator0.getPreviousTime();
    dummyStepInterpolator0.finalizeStep();
    java.io.ObjectInput objectInput8 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.readExternal(objectInput8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test333"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test334"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "", obj_array10);
    java.lang.Throwable[] throwable_array14 = convergenceException13.getSuppressed();
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.ode.events.EventState eventState23 = new org.apache.commons.math.ode.events.EventState(eventHandler19, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 100.0d, 1.0d, 100);
    double d30 = eventState29.getConvergence();
    double[] d_array35 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b36 = eventState29.reset(10.0d, d_array35);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator38 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array35, true);
    boolean b39 = eventState23.reset(10.0d, d_array35);
    double[] d_array42 = new double[] {  };
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array46);
    org.apache.commons.math.ode.DerivativeException derivativeException49 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException49, 100.0d);
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    java.lang.String str56 = functionEvaluationException55.getPattern();
    java.lang.Object[] obj_array57 = new java.lang.Object[] { str56 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array35);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator61 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array35, true);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException13, d_array35);
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str56.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test335"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test336"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    double[] d_array28 = functionEvaluationException27.getArgument();
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array34, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "hi!", obj_array47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: ", obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test337"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.setMaximalIterationCount(1);
    int i12 = brentSolver0.getIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test338"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    java.lang.String str13 = maxIterationsExceededException6.toString();
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException21 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException20);
    maxIterationsExceededException6.addSuppressed((java.lang.Throwable)derivativeException21);
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.ode.events.EventState eventState31 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler33, 100.0d, 1.0d, 100);
    double d38 = eventState37.getConvergence();
    double[] d_array43 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b44 = eventState37.reset(10.0d, d_array43);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array43, true);
    boolean b47 = eventState31.reset(10.0d, d_array43);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.ode.DerivativeException derivativeException57 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException57, 100.0d);
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array62);
    java.lang.String str64 = functionEvaluationException63.getPattern();
    java.lang.Object[] obj_array65 = new java.lang.Object[] { str64 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array43);
    derivativeException21.addSuppressed((java.lang.Throwable)functionEvaluationException67);
    double[] d_array71 = new double[] {  };
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "", obj_array75);
    org.apache.commons.math.ode.DerivativeException derivativeException78 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException78, 100.0d);
    java.lang.Object[] obj_array83 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array83);
    java.lang.String str85 = functionEvaluationException84.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException84);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException90 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str91 = maxIterationsExceededException90.getPattern();
    java.lang.Object[] obj_array92 = new java.lang.Object[] { maxIterationsExceededException90 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException86, (-1.0d), "hi!", obj_array92);
    java.lang.Object[] obj_array94 = functionEvaluationException93.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException67, "", obj_array94);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array94);
    org.apache.commons.math.ode.DerivativeException derivativeException97 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: ", obj_array94);
    org.apache.commons.math.ode.DerivativeException derivativeException98 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array94);
    org.apache.commons.math.ode.DerivativeException derivativeException99 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MathException: ", obj_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str64.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str85.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str91 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str91.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test339"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 100.0d, 1.0d, 100);
    double d7 = eventState6.getConvergence();
    double[] d_array12 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b13 = eventState6.reset(10.0d, d_array12);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array12, true);
    double[] d_array16 = dummyStepInterpolator15.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator20 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable30 = null;
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable31, d_array35, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array35);
    java.lang.Throwable throwable54 = null;
    java.lang.Object[] obj_array56 = null;
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException(throwable54, "", obj_array56);
    java.lang.Object[] obj_array58 = mathException57.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "hi!", obj_array58);
    boolean b60 = eventState28.reset(0.0d, d_array35);
    org.apache.commons.math.ode.events.EventHandler eventHandler66 = null;
    org.apache.commons.math.ode.events.EventState eventState70 = new org.apache.commons.math.ode.events.EventState(eventHandler66, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { eventState70 };
    org.apache.commons.math.ode.DerivativeException derivativeException72 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("hi!", obj_array71);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array71);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Maximal number of iterations ({0}) exceeded", obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test340"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2);
    java.lang.Throwable throwable4 = null;
    java.lang.Throwable throwable5 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException(throwable5, "", obj_array7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable5, d_array9, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array9);
    java.lang.Throwable throwable28 = null;
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable28, "", obj_array30);
    java.lang.Object[] obj_array32 = mathException31.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "hi!", obj_array32);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, d_array9, "Maximal number of iterations ({0}) exceeded", obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException2);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.ode.DerivativeException derivativeException54 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, 1.0d, "evaluation failed for argument = {0}", obj_array51);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array51);
    java.lang.String str57 = mathException56.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str57.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test341"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array9);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException67 = new org.apache.commons.math.ode.DerivativeException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array63);
    java.lang.Object[] obj_array69 = functionEvaluationException68.getArguments();
    java.lang.Object[] obj_array70 = functionEvaluationException68.getArguments();
    java.lang.String str71 = functionEvaluationException68.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str71.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test342"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", obj_array3);
    java.lang.Object[] obj_array5 = eventException4.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test343"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i4 = brentSolver0.getIterationCount();
    double d5 = brentSolver0.getRelativeAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test344"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array16 = functionEvaluationException15.getArgument();
    double[] d_array17 = functionEvaluationException15.getArgument();
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test345"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException6);
    java.lang.String str8 = convergenceException6.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException6);
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test346"); }


    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { functionEvaluationException29 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "Maximal number of iterations ({0}) exceeded", obj_array30);
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("", obj_array30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test347"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double d18 = dummyStepInterpolator14.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator14);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator20 = dummyStepInterpolator14.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator20);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test348"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    brentSolver0.setRelativeAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test349"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    java.lang.Throwable[] throwable_array28 = convergenceException20.getSuppressed();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", (java.lang.Object[])throwable_array28);
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array28);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test350"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable3 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable3, "", obj_array5);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array7, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20);
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException25);
    java.lang.Throwable throwable28 = null;
    java.lang.Throwable throwable29 = null;
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array34, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable29, d_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(100);
    java.lang.Throwable[] throwable_array58 = maxIterationsExceededException57.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(throwable28, d_array34, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException68 = new org.apache.commons.math.ode.events.EventException("", obj_array67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException63, "hi!", obj_array67);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException69);
    java.lang.Object[] obj_array71 = mathException69.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException27, d_array34, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException(throwable0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test351"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getEventTime();
    boolean b7 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test352"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException19, "hi!", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException14, "hi!", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test353() {}
// Defects4J: flaky method
//   @Test
//   public void test353() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test353"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-14d);
//     brentSolver0.setRelativeAccuracy(Double.NaN);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(1.0d, (-1.0d), 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
// 
//   }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test354"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetRelativeAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test355"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d10 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test356"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    int i4 = brentSolver0.getIterationCount();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test357"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    double d38 = eventState4.getConvergence();
    int i39 = eventState4.getMaxIterationCount();
    boolean b40 = eventState4.stop();
    double[] d_array45 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator47 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array45, false);
    double[] d_array48 = dummyStepInterpolator47.getInterpolatedState();
    dummyStepInterpolator47.setInterpolatedTime(1.0E-14d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator51 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator47);
    double[] d_array52 = dummyStepInterpolator51.getInterpolatedState();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(100.0d, d_array52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test358() {}
// Defects4J: flaky method
//   @Test
//   public void test358() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test358"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction14, 1.0E-6d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test359"); }


    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException14, 100.0d);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    java.lang.String str21 = functionEvaluationException20.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException22);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
    double[] d_array37 = new double[] {  };
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException42 = new org.apache.commons.math.ode.events.EventException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array37, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable24, d_array28, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { functionEvaluationException47 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "Maximal number of iterations ({0}) exceeded", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException23, d_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, Double.NaN);
    double[] d_array56 = functionEvaluationException55.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver58 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i59 = brentSolver58.getMaximalIterationCount();
    brentSolver58.resetMaximalIterationCount();
    brentSolver58.setMaximalIterationCount(10);
    brentSolver58.setMaximalIterationCount((-1));
    double d65 = brentSolver58.getFunctionValueAccuracy();
    java.lang.Object[] obj_array66 = new java.lang.Object[] { d65 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "evaluation failed for argument = {0}", obj_array66);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException23, "org.apache.commons.math.ode.DerivativeException: ", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array66);
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: hi!", obj_array66);
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    org.apache.commons.math.ode.events.EventException eventException72 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    java.lang.Throwable[] throwable_array73 = eventException72.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array73);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test360"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    double[] d_array15 = null;
    boolean b16 = eventState12.reset(0.0d, d_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, Double.NaN);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver24 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i25 = brentSolver24.getMaximalIterationCount();
    brentSolver24.resetMaximalIterationCount();
    brentSolver24.setMaximalIterationCount(10);
    brentSolver24.setMaximalIterationCount((-1));
    double d31 = brentSolver24.getFunctionValueAccuracy();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { d31 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "evaluation failed for argument = {0}", obj_array32);
    boolean b34 = eventState12.reset(0.0d, d_array22);
    boolean b35 = eventState4.reset(1.0d, d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler36 = eventState4.getEventHandler();
    int i37 = eventState4.getMaxIterationCount();
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.ode.events.EventState eventState53 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 100.0d, 1.0d, 100);
    double d54 = eventState53.getConvergence();
    double[] d_array59 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b60 = eventState53.reset(10.0d, d_array59);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array59, true);
    boolean b63 = eventState47.reset(10.0d, d_array59);
    double[] d_array66 = new double[] {  };
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array66, "", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException73, 100.0d);
    java.lang.Object[] obj_array78 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array78);
    java.lang.String str80 = functionEvaluationException79.getPattern();
    java.lang.Object[] obj_array81 = new java.lang.Object[] { str80 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException(throwable39, d_array59);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator85 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array59, true);
    boolean b86 = eventState4.reset(Double.NaN, d_array59);
    int i87 = eventState4.getMaxIterationCount();
    int i88 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str80.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 100);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test361"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    dummyStepInterpolator16.shift();
    dummyStepInterpolator16.storeTime(100.0d);
    double[] d_array21 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator16);
    dummyStepInterpolator16.storeTime((-1.0d));
    double[] d_array25 = dummyStepInterpolator16.getInterpolatedState();
    dummyStepInterpolator16.storeTime(0.0d);
    double[] d_array28 = dummyStepInterpolator16.getInterpolatedState();
    java.io.ObjectOutput objectOutput29 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator16.writeExternal(objectOutput29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test362"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    dummyStepInterpolator5.shift();
    boolean b9 = dummyStepInterpolator5.isForward();
    java.io.ObjectInput objectInput10 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.readExternal(objectInput10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test363"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { functionEvaluationException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 1.0d);
    double[] d_array28 = functionEvaluationException27.getArgument();
    org.apache.commons.math.ode.DerivativeException derivativeException29 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException27);
    java.lang.String str30 = functionEvaluationException27.getPattern();
    org.apache.commons.math.ode.DerivativeException derivativeException31 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException27);
    java.lang.Object[] obj_array32 = functionEvaluationException27.getArguments();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test364"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str6 = maxIterationsExceededException5.getPattern();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Throwable throwable10 = null;
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException20, 100.0d);
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    java.lang.String str27 = functionEvaluationException26.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { maxIterationsExceededException32 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException28, (-1.0d), "hi!", obj_array34);
    java.lang.Object[] obj_array36 = functionEvaluationException35.getArguments();
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable10, "Maximal number of iterations ({0}) exceeded", obj_array36);
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7, "evaluation failed for argument = {0}", obj_array36);
    java.lang.Object[] obj_array40 = mathException7.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException(throwable2, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "org.apache.commons.math.MathException: ", obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str6.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test365"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    dummyStepInterpolator0.shift();
    dummyStepInterpolator0.storeTime(0.0d);
    double d4 = dummyStepInterpolator0.getPreviousTime();
    double d5 = dummyStepInterpolator0.getPreviousTime();
    java.io.ObjectOutput objectOutput6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.writeExternal(objectOutput6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test366"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "", obj_array2);
    java.lang.Object[] obj_array4 = functionEvaluationException3.getArguments();
    double[] d_array5 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test367"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    int i38 = eventState4.getMaxIterationCount();
    double d39 = eventState4.getConvergence();
    double d40 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, Double.NaN);
    double[] d_array46 = functionEvaluationException45.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException50);
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException50);
    java.lang.Object[] obj_array53 = maxIterationsExceededException50.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array53);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator56 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array46, false);
    boolean b57 = eventState4.reset(0.0d, d_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i62 = maxIterationsExceededException61.getMaxIterations();
    java.lang.Throwable throwable64 = null;
    java.lang.Object[] obj_array66 = null;
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(throwable64, "", obj_array66);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    double[] d_array77 = new double[] {  };
    java.lang.Object[] obj_array81 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException82 = new org.apache.commons.math.ode.events.EventException("", obj_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException(d_array77, "", obj_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(throwable64, d_array68, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array81);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array88 = new java.lang.Object[] { functionEvaluationException87 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "Maximal number of iterations ({0}) exceeded", obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException61, "org.apache.commons.math.MathException: ", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "org.apache.commons.math.ode.events.EventException: ", obj_array88);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator93 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array46, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test368"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    double d63 = dummyStepInterpolator62.getCurrentTime();
    dummyStepInterpolator62.storeTime(1.0E-15d);
    boolean b66 = dummyStepInterpolator62.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator62);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator68 = dummyStepInterpolator62.copy();
    java.io.ObjectOutput objectOutput69 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator62.writeExternal(objectOutput69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator68);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test369"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, false);
    dummyStepInterpolator19.setInterpolatedTime(1.0E-6d);
    double d22 = dummyStepInterpolator19.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator19);
    dummyStepInterpolator19.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test370"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    boolean b6 = dummyStepInterpolator0.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test371"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test372"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0d, 0);
    double[] d_array8 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, false);
    double[] d_array11 = dummyStepInterpolator10.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test373"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array16 = functionEvaluationException15.getArgument();
    double[] d_array17 = functionEvaluationException15.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.ode.DerivativeException derivativeException25 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)eventException24);
    java.lang.Object[] obj_array26 = eventException24.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test374"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array14);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20);
    java.lang.Throwable throwable22 = null;
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array27, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array27);
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "hi!", obj_array50);
    double[] d_array53 = new double[] {  };
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array27, "Maximal number of iterations ({0}) exceeded", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException62, "hi!", obj_array66);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException68);
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException69, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, d_array70);
    java.lang.Throwable[] throwable_array81 = derivativeException18.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array81);
    java.lang.String str83 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str83.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test375"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    brentSolver0.resetRelativeAccuracy();
    int i11 = brentSolver0.getMaximalIterationCount();
    double d12 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test376"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str22 = maxIterationsExceededException21.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { maxIterationsExceededException21 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, (-1.0d), "hi!", obj_array23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    java.lang.String str26 = mathException25.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str22.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str26.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test377"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler16, 100.0d, 1.0d, 100);
    double d21 = eventState20.getConvergence();
    double[] d_array26 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b27 = eventState20.reset(10.0d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator29 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, true);
    boolean b30 = eventState14.reset(0.0d, d_array26);
    boolean b31 = eventState4.reset(1.0E-14d, d_array26);
    org.apache.commons.math.ode.events.EventHandler eventHandler32 = eventState4.getEventHandler();
    int i33 = eventState4.getMaxIterationCount();
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(throwable34, d_array38, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { functionEvaluationException57 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "Maximal number of iterations ({0}) exceeded", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException59, 1.0d);
    double[] d_array62 = functionEvaluationException61.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator65 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array62, false);
    double d66 = dummyStepInterpolator65.getPreviousTime();
    // The following exception was thrown during execution in test generation
    try {
      boolean b67 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test378"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getMaxCheckInterval();
    double d8 = eventState4.getEventTime();
    double[] d_array13 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array13, false);
    double d16 = dummyStepInterpolator15.getCurrentTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator15.copy();
    double[] d_array18 = dummyStepInterpolator15.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(Double.NaN, d_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test379"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    boolean b17 = dummyStepInterpolator13.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = dummyStepInterpolator13.copy();
    double d19 = dummyStepInterpolator13.getCurrentTime();
    double d20 = dummyStepInterpolator13.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test380"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException44 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException43);
    java.lang.Throwable[] throwable_array45 = convergenceException43.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException43);
    java.lang.Throwable[] throwable_array47 = convergenceException46.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test381"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { functionEvaluationException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 1.0d);
    double[] d_array28 = functionEvaluationException27.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Throwable[] throwable_array34 = maxIterationsExceededException32.getSuppressed();
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { functionEvaluationException60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of iterations ({0}) exceeded", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException65);
    java.lang.String str67 = eventException66.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.apache.commons.math.ode.events.EventException: "+ "'", str67.equals("org.apache.commons.math.ode.events.EventException: "));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test382"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable[] throwable_array18 = convergenceException17.getSuppressed();
    java.lang.Throwable throwable19 = null;
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array24);
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    java.lang.Object[] obj_array47 = mathException46.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "hi!", obj_array47);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator50 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array24, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array24);
    java.lang.Object[] obj_array53 = convergenceException17.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);

  }

  @Test
  public void test383() {}
// Defects4J: flaky method
//   @Test
//   public void test383() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test383"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     brentSolver0.resetAbsoluteAccuracy();
//     int i16 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d22 = brentSolver0.solve(Double.NaN, 1.0d, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 0);
// 
//   }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test384"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException30, 100.0d);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    java.lang.String str37 = functionEvaluationException36.getPattern();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { str37 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array38);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator41 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test385"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array44 = functionEvaluationException1.getArgument();
    java.lang.Throwable throwable46 = null;
    java.lang.Throwable throwable47 = null;
    java.lang.Object[] obj_array49 = null;
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(throwable47, "", obj_array49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    double[] d_array60 = new double[] {  };
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException65 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(throwable47, d_array51, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(throwable46, d_array51);
    java.lang.Throwable throwable70 = null;
    java.lang.Object[] obj_array72 = null;
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException(throwable70, "", obj_array72);
    java.lang.Object[] obj_array74 = mathException73.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "hi!", obj_array74);
    java.lang.Throwable throwable78 = null;
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(throwable78, "", obj_array80);
    java.lang.Object[] obj_array82 = mathException81.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array82);
    java.lang.Throwable[] throwable_array84 = functionEvaluationException83.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", (java.lang.Object[])throwable_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array84);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test386"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4, "hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11);
    double[] d_array13 = functionEvaluationException11.getArgument();
    java.lang.Object[] obj_array14 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test387() {}
// Defects4J: flaky method
//   @Test
//   public void test387() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test387"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getIterationCount();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     brentSolver0.resetMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction7, 1.0d, 0.0d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test388"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double d14 = dummyStepInterpolator13.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test389"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.toString();
    java.lang.Throwable[] throwable_array5 = maxIterationsExceededException1.getSuppressed();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str4.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test390"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator17 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array18 = dummyStepInterpolator17.getInterpolatedState();
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array25);
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: ", obj_array25);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test391"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double d21 = eventState4.getEventTime();
    int i22 = eventState4.getMaxIterationCount();
    double d23 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState4.getEventHandler();
    double d25 = eventState4.getConvergence();
    int i26 = eventState4.getMaxIterationCount();
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.ode.DerivativeException derivativeException36 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException36, 100.0d);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException38, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    java.lang.String str43 = functionEvaluationException42.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException42);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str49 = maxIterationsExceededException48.getPattern();
    java.lang.Object[] obj_array50 = new java.lang.Object[] { maxIterationsExceededException48 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException44, (-1.0d), "hi!", obj_array50);
    double[] d_array52 = functionEvaluationException51.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0d, d_array52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str43.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str49.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test392"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test393"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException10, 100.0d);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str23 = maxIterationsExceededException22.getPattern();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { maxIterationsExceededException22 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, (-1.0d), "hi!", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    java.lang.String str27 = maxIterationsExceededException26.getPattern();
    int i28 = maxIterationsExceededException26.getMaxIterations();
    int i29 = maxIterationsExceededException26.getMaxIterations();
    int i30 = maxIterationsExceededException26.getMaxIterations();
    int i31 = maxIterationsExceededException26.getMaxIterations();
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException32, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str23.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test394"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    double d63 = dummyStepInterpolator62.getCurrentTime();
    dummyStepInterpolator62.storeTime(1.0E-15d);
    boolean b66 = dummyStepInterpolator62.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator62);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator68 = dummyStepInterpolator62.copy();
    java.io.ObjectInput objectInput69 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator62.readExternal(objectInput69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator68);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test395"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException3 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException2);
    java.lang.Throwable[] throwable_array4 = derivativeException3.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.events.EventException: hi!", (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test396() {}
// Defects4J: flaky method
//   @Test
//   public void test396() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test396"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     double d3 = brentSolver0.getRelativeAccuracy();
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(Double.NaN, 1.0d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
// 
//   }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test397"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test398"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator5.storeTime(0.0d);
    dummyStepInterpolator5.shift();
    java.io.ObjectOutput objectOutput9 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.writeExternal(objectOutput9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test399"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    int i5 = eventState4.getMaxIterationCount();
    double[] d_array10 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, false);
    double[] d_array13 = dummyStepInterpolator12.getInterpolatedDerivatives();
    boolean b14 = eventState4.reset(1.0E-15d, d_array13);
    boolean b15 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = eventState4.getEventHandler();
    double[] d_array18 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(100.0d, d_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);

  }

  @Test
  public void test400() {}
// Defects4J: flaky method
//   @Test
//   public void test400() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test400"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
// 
//   }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test401"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str22 = maxIterationsExceededException21.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { maxIterationsExceededException21 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, (-1.0d), "hi!", obj_array23);
    double[] d_array25 = functionEvaluationException24.getArgument();
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array25);
    java.lang.Object[] obj_array36 = functionEvaluationException35.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException37 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str22.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test402"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    double d5 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test403"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    double d3 = dummyStepInterpolator1.getInterpolatedTime();
    double d4 = dummyStepInterpolator1.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test404"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getEventTime();
    int i9 = eventState4.getMaxIterationCount();
    double d10 = eventState4.getEventTime();
    double d11 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test405"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    boolean b24 = eventState8.reset(10.0d, d_array20);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException34, 100.0d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    java.lang.String str41 = functionEvaluationException40.getPattern();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { str41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array42);
    org.apache.commons.math.ode.DerivativeException derivativeException44 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array42);
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", obj_array42);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test406"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetRelativeAccuracy();
    int i11 = brentSolver0.getMaximalIterationCount();
    double d12 = brentSolver0.getAbsoluteAccuracy();
    double d13 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy((-1.0d));
    brentSolver0.setMaximalIterationCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test407"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math.ode.events.EventState eventState67 = new org.apache.commons.math.ode.events.EventState(eventHandler63, 100.0d, 1.0d, 100);
    double d68 = eventState67.getConvergence();
    double[] d_array73 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b74 = eventState67.reset(10.0d, d_array73);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { b74 };
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException60, "Maximal number of iterations ({0}) exceeded", obj_array75);
    double[] d_array78 = functionEvaluationException60.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator80 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array78, false);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator81 = dummyStepInterpolator80.copy();
    dummyStepInterpolator80.storeTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator81);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test408"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator7);
    boolean b9 = dummyStepInterpolator8.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator8.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator11);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { dummyStepInterpolator12 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ode.DerivativeException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test409"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator5.copy();
    double d11 = dummyStepInterpolator5.getPreviousTime();
    double[] d_array12 = dummyStepInterpolator5.getInterpolatedDerivatives();
    double[] d_array13 = dummyStepInterpolator5.getInterpolatedDerivatives();
    dummyStepInterpolator5.setInterpolatedTime(100.0d);
    dummyStepInterpolator5.storeTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test410"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    boolean b65 = dummyStepInterpolator64.isForward();
    dummyStepInterpolator64.storeTime(1.0E-15d);
    double[] d_array68 = dummyStepInterpolator64.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator70 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array68, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test411() {}
// Defects4J: flaky method
//   @Test
//   public void test411() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test411"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test412"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-15d, 0.0d, 100);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test413"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    java.lang.Throwable throwable18 = null;
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array23, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array23);
    java.lang.Throwable throwable42 = null;
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(throwable42, "", obj_array44);
    java.lang.Object[] obj_array46 = mathException45.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 10.0d);
    java.lang.Throwable throwable52 = null;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(throwable52, "", obj_array54);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array56);
    double[] d_array65 = new double[] {  };
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(throwable52, d_array56, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array69);
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException73);
    java.lang.String str75 = eventException73.getPattern();
    org.apache.commons.math.ode.events.EventHandler eventHandler78 = null;
    org.apache.commons.math.ode.events.EventState eventState82 = new org.apache.commons.math.ode.events.EventState(eventHandler78, 100.0d, 1.0d, 100);
    double d83 = eventState82.getConvergence();
    double[] d_array88 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b89 = eventState82.reset(10.0d, d_array88);
    java.lang.Object[] obj_array90 = new java.lang.Object[] { b89 };
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException91, 100.0d);
    java.lang.Throwable[] throwable_array94 = functionEvaluationException93.getSuppressed();
    org.apache.commons.math.MathException mathException95 = new org.apache.commons.math.MathException((java.lang.Throwable)eventException73, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", (java.lang.Object[])throwable_array94);
    functionEvaluationException48.addSuppressed((java.lang.Throwable)eventException73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException98 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + ""+ "'", str75.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array94);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test414"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 0.0d, 100);
    double d5 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 100.0d, 1.0d, 100);
    double d12 = eventState11.getConvergence();
    double[] d_array17 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b18 = eventState11.reset(10.0d, d_array17);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator20 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, true);
    double[] d_array21 = dummyStepInterpolator20.getInterpolatedState();
    dummyStepInterpolator20.setInterpolatedTime((-1.0d));
    double[] d_array24 = dummyStepInterpolator20.getInterpolatedDerivatives();
    boolean b25 = eventState4.reset(1.0E-14d, d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test415"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    dummyStepInterpolator4.finalizeStep();
    dummyStepInterpolator4.setInterpolatedTime(1.0d);
    dummyStepInterpolator4.setInterpolatedTime(Double.NaN);
    boolean b10 = dummyStepInterpolator4.isForward();
    double d11 = dummyStepInterpolator4.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test416"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { functionEvaluationException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 1.0d);
    double[] d_array28 = functionEvaluationException27.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Throwable[] throwable_array34 = maxIterationsExceededException32.getSuppressed();
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { functionEvaluationException60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of iterations ({0}) exceeded", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 10.0d);
    double[] d_array68 = functionEvaluationException27.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator70 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array68, true);
    dummyStepInterpolator70.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test417"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator11 = dummyStepInterpolator5.copy();
    dummyStepInterpolator5.setInterpolatedTime((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator11);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test418"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.String str6 = maxIterationsExceededException3.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, Double.NaN);
    double[] d_array11 = functionEvaluationException10.getArgument();
    java.lang.Throwable throwable13 = null;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable13, "", obj_array15);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(throwable13, d_array17, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, Double.NaN);
    double[] d_array40 = functionEvaluationException39.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver42 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i43 = brentSolver42.getMaximalIterationCount();
    brentSolver42.resetMaximalIterationCount();
    brentSolver42.setMaximalIterationCount(10);
    brentSolver42.setMaximalIterationCount((-1));
    double d49 = brentSolver42.getFunctionValueAccuracy();
    java.lang.Object[] obj_array50 = new java.lang.Object[] { d49 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "evaluation failed for argument = {0}", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, d_array11, "org.apache.commons.math.ode.events.EventException: ", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException53, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str6.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test419"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d14 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test420"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str4 = maxIterationsExceededException3.getPattern();
    java.lang.Throwable[] throwable_array5 = maxIterationsExceededException3.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test421"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test422"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 0.0d, 100);
    java.lang.Throwable throwable7 = null;
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array12);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException(throwable7);
    java.lang.Object[] obj_array31 = derivativeException30.getArguments();
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.ode.DerivativeException derivativeException41 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException41, 100.0d);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    java.lang.String str48 = functionEvaluationException47.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException47);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException52);
    java.lang.Object[] obj_array56 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException53, 1.0E-6d, "hi!", obj_array56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException53);
    org.apache.commons.math.ode.events.EventHandler eventHandler59 = null;
    org.apache.commons.math.ode.events.EventState eventState63 = new org.apache.commons.math.ode.events.EventState(eventHandler59, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler64 = eventState63.getEventHandler();
    java.lang.Throwable throwable66 = null;
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException(throwable66, "", obj_array68);
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array70);
    double[] d_array79 = new double[] {  };
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException84 = new org.apache.commons.math.ode.events.EventException("", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array79, "", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(throwable66, d_array70, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array83);
    boolean b87 = eventState63.reset(0.0d, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException53, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException32, d_array70);
    double[] d_array91 = functionEvaluationException90.getArgument();
    boolean b92 = eventState4.reset(0.0d, d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str48.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test423"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException6);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 1.0d, "", obj_array10);
    double[] d_array12 = functionEvaluationException11.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test424"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setFunctionValueAccuracy(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test425"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    int i11 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test426"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);

  }

  @Test
  public void test427() {}
// Defects4J: flaky method
//   @Test
//   public void test427() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test427"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     brentSolver0.setRelativeAccuracy(1.0E-6d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 1.0E-6d, (-1.0d), 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
// 
//   }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test428"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    java.lang.String str12 = functionEvaluationException11.getPattern();
    java.lang.Object[] obj_array13 = functionEvaluationException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(1, "hi!", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException15, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "evaluation failed for argument = {0}"+ "'", str12.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test429"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b6 = dummyStepInterpolator0.isForward();
    double d7 = dummyStepInterpolator0.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test430() {}
// Defects4J: flaky method
//   @Test
//   public void test430() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test430"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test431"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double[] d_array16 = dummyStepInterpolator15.getInterpolatedState();
    boolean b17 = dummyStepInterpolator15.isForward();
    dummyStepInterpolator15.setInterpolatedTime(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test432"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    double[] d_array12 = functionEvaluationException10.getArgument();
    java.lang.String str13 = functionEvaluationException10.toString();
    double[] d_array14 = functionEvaluationException10.getArgument();
    java.lang.String str15 = functionEvaluationException10.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str13.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test433"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b12 = dummyStepInterpolator0.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test434"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = brentSolver0.solve(univariateRealFunction11, 0.0d, 1.0E-15d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test435"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 0.0d, (-1));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test436"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "hi!", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test437"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException23 = new org.apache.commons.math.ode.DerivativeException(throwable0);
    java.lang.Object[] obj_array24 = derivativeException23.getArguments();
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)derivativeException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test438"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    int i7 = eventState4.getMaxIterationCount();
    boolean b8 = eventState4.stop();
    double d9 = eventState4.getMaxCheckInterval();
    double d10 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = eventState4.getEventHandler();
    double[] d_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(100.0d, d_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler11);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test439"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0d, 0);
    double d5 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test440"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-6d, 0);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7);
    java.lang.Throwable throwable9 = null;
    java.lang.Throwable throwable10 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable10, "", obj_array12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array14, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable9, d_array14);
    java.lang.Throwable throwable33 = null;
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable33, "", obj_array35);
    java.lang.Object[] obj_array37 = mathException36.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "hi!", obj_array37);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array14, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException49, "hi!", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException55);
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException56, d_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array57);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator68 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array57, false);
    boolean b69 = eventState4.reset(0.0d, d_array57);
    int i70 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test441"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getMaxCheckInterval();
    int i10 = eventState4.getMaxIterationCount();
    double d11 = eventState4.getEventTime();
    double[] d_array16 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    boolean b19 = eventState4.reset(1.0E-15d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    double d24 = dummyStepInterpolator23.getInterpolatedTime();
    dummyStepInterpolator23.setInterpolatedTime(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test442"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 100.0d, 1.0d, 100);
    double d14 = eventState13.getConvergence();
    double[] d_array19 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b20 = eventState13.reset(10.0d, d_array19);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, true);
    boolean b23 = eventState7.reset(0.0d, d_array19);
    java.lang.Throwable throwable25 = null;
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(throwable25, "", obj_array27);
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(throwable25, d_array29, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "hi!", obj_array42);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: ", obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test443"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    java.lang.Throwable throwable5 = null;
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable5, d_array10);
    java.lang.Throwable throwable29 = null;
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(throwable29, "", obj_array31);
    java.lang.Object[] obj_array33 = mathException32.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "hi!", obj_array33);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array10, "Maximal number of iterations ({0}) exceeded", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException45, "hi!", obj_array49);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException51);
    double[] d_array53 = new double[] {  };
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException52, d_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException3, d_array53);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array53, false);
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.ode.DerivativeException derivativeException71 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array69);
    java.lang.String str72 = derivativeException71.toString();
    java.lang.Throwable[] throwable_array73 = derivativeException71.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", (java.lang.Object[])throwable_array73);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException75 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str72 + "' != '" + "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str72.equals("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array73);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test444"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    boolean b24 = eventState8.reset(10.0d, d_array20);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException34, 100.0d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    java.lang.String str41 = functionEvaluationException40.getPattern();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { str41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("", obj_array42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array42);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test445"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-6d, 0);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test446"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 0.0d, 10);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test447"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array7 = null;
    boolean b8 = eventState4.reset(0.0d, d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, Double.NaN);
    double[] d_array14 = functionEvaluationException13.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver16 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i17 = brentSolver16.getMaximalIterationCount();
    brentSolver16.resetMaximalIterationCount();
    brentSolver16.setMaximalIterationCount(10);
    brentSolver16.setMaximalIterationCount((-1));
    double d23 = brentSolver16.getFunctionValueAccuracy();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "evaluation failed for argument = {0}", obj_array24);
    boolean b26 = eventState4.reset(0.0d, d_array14);
    double d27 = eventState4.getConvergence();
    double d28 = eventState4.getEventTime();
    boolean b29 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test448"); }


    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException18);
    java.lang.String str21 = maxIterationsExceededException18.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, Double.NaN);
    double[] d_array26 = functionEvaluationException25.getArgument();
    java.lang.Throwable throwable28 = null;
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable28, "", obj_array30);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(throwable28, d_array32, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, Double.NaN);
    double[] d_array55 = functionEvaluationException54.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver57 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i58 = brentSolver57.getMaximalIterationCount();
    brentSolver57.resetMaximalIterationCount();
    brentSolver57.setMaximalIterationCount(10);
    brentSolver57.setMaximalIterationCount((-1));
    double d64 = brentSolver57.getFunctionValueAccuracy();
    java.lang.Object[] obj_array65 = new java.lang.Object[] { d64 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "evaluation failed for argument = {0}", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException18, d_array26, "org.apache.commons.math.ode.events.EventException: ", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException15, "hi!", obj_array65);
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ode.events.EventException: ", obj_array65);
    double[] d_array71 = functionEvaluationException70.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str21.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test449"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    boolean b17 = dummyStepInterpolator13.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = dummyStepInterpolator13.copy();
    double d19 = dummyStepInterpolator13.getCurrentTime();
    dummyStepInterpolator13.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test450"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    java.lang.Throwable throwable18 = null;
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array23, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array23);
    java.lang.Throwable throwable42 = null;
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(throwable42, "", obj_array44);
    java.lang.Object[] obj_array46 = mathException45.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException48);
    java.lang.String str50 = functionEvaluationException48.getPattern();
    java.lang.Object[] obj_array51 = functionEvaluationException48.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "org.apache.commons.math.ode.DerivativeException: hi!"+ "'", str50.equals("org.apache.commons.math.ode.DerivativeException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test451"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException(throwable0);
    java.lang.String str24 = convergenceException23.toString();
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array30);
    org.apache.commons.math.ode.DerivativeException derivativeException33 = new org.apache.commons.math.ode.DerivativeException("evaluation failed for argument = {0}", obj_array30);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)derivativeException33);
    org.apache.commons.math.ode.DerivativeException derivativeException35 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)derivativeException34);
    convergenceException23.addSuppressed((java.lang.Throwable)derivativeException35);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException35, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str24.equals("org.apache.commons.math.ConvergenceException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test452"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException10, 100.0d);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str23 = maxIterationsExceededException22.getPattern();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { maxIterationsExceededException22 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, (-1.0d), "hi!", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    java.lang.String str27 = maxIterationsExceededException26.getPattern();
    int i28 = maxIterationsExceededException26.getMaxIterations();
    java.lang.Object[] obj_array29 = maxIterationsExceededException26.getArguments();
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str23.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test453"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, Double.NaN);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException60, 0.0d);
    double[] d_array65 = functionEvaluationException64.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test454"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    int i7 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test455"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 100.0d, 1.0d, 100);
    double d8 = eventState7.getConvergence();
    double[] d_array13 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b14 = eventState7.reset(10.0d, d_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    java.lang.Object[] obj_array23 = mathException22.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException17, "Maximal number of iterations ({0}) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, d_array13, "Maximal number of iterations ({0}) exceeded", obj_array23);
    double[] d_array26 = functionEvaluationException25.getArgument();
    java.lang.Throwable[] throwable_array27 = functionEvaluationException25.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array27);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test456"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = eventState4.getEventHandler();
    double d10 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test457"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator5.copy();
    double d10 = dummyStepInterpolator5.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test458"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    double d5 = eventState4.getConvergence();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { functionEvaluationException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of iterations ({0}) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0d);
    double[] d_array35 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    boolean b37 = eventState4.reset((-1.0d), d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    java.lang.Throwable throwable40 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = eventState47.getEventHandler();
    double d49 = eventState47.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException52, Double.NaN);
    double[] d_array55 = functionEvaluationException54.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException59);
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException59);
    java.lang.Object[] obj_array62 = maxIterationsExceededException59.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array62);
    boolean b64 = eventState47.reset((-1.0d), d_array55);
    java.lang.Throwable throwable67 = null;
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.ode.DerivativeException derivativeException77 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException77, 100.0d);
    java.lang.Object[] obj_array82 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array82);
    java.lang.String str84 = functionEvaluationException83.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str90 = maxIterationsExceededException89.getPattern();
    java.lang.Object[] obj_array91 = new java.lang.Object[] { maxIterationsExceededException89 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException85, (-1.0d), "hi!", obj_array91);
    java.lang.Object[] obj_array93 = functionEvaluationException92.getArguments();
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException(throwable67, "Maximal number of iterations ({0}) exceeded", obj_array93);
    org.apache.commons.math.ode.events.EventException eventException95 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException(throwable40, 1.0E-6d, "", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException98 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "org.apache.commons.math.ode.events.EventException: hi!", obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str84.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str90 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str90.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test459"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    double[] d_array63 = dummyStepInterpolator62.getInterpolatedDerivatives();
    dummyStepInterpolator62.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator65 = dummyStepInterpolator62.copy();
    double d66 = dummyStepInterpolator62.getInterpolatedTime();
    java.io.ObjectInput objectInput67 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator62.readExternal(objectInput67);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test460"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    boolean b5 = eventState4.stop();
    double d6 = eventState4.getEventTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator7);
    double d9 = dummyStepInterpolator7.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator10 = dummyStepInterpolator7.copy();
    dummyStepInterpolator7.finalizeStep();
    double d12 = dummyStepInterpolator7.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator7);
    double d14 = dummyStepInterpolator13.getInterpolatedTime();
    dummyStepInterpolator13.setInterpolatedTime(1.0E-14d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator17 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d18 = dummyStepInterpolator17.getInterpolatedTime();
    boolean b19 = dummyStepInterpolator17.isForward();
    // The following exception was thrown during execution in test generation
    try {
      boolean b20 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test461"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    double[] d_array47 = dummyStepInterpolator46.getInterpolatedDerivatives();
    boolean b48 = dummyStepInterpolator46.isForward();
    dummyStepInterpolator46.shift();
    double[] d_array50 = dummyStepInterpolator46.getInterpolatedState();
    double d51 = dummyStepInterpolator46.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test462"); }


    double[] d_array0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { eventState11 };
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array12);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test463"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    int i10 = brentSolver0.getIterationCount();
    double d11 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test464"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    java.lang.Throwable throwable7 = null;
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array12);
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    java.lang.Object[] obj_array35 = mathException34.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "hi!", obj_array35);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array12, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException5);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.ode.DerivativeException derivativeException57 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, 1.0d, "evaluation failed for argument = {0}", obj_array54);
    double[] d_array59 = functionEvaluationException58.getArgument();
    double[] d_array60 = functionEvaluationException58.getArgument();
    double[] d_array64 = new double[] {  };
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "", obj_array68);
    org.apache.commons.math.ode.DerivativeException derivativeException71 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException71, 100.0d);
    java.lang.Object[] obj_array76 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException73, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array76);
    java.lang.String str78 = functionEvaluationException77.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException77);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException83 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str84 = maxIterationsExceededException83.getPattern();
    java.lang.Object[] obj_array85 = new java.lang.Object[] { maxIterationsExceededException83 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException79, (-1.0d), "hi!", obj_array85);
    double[] d_array87 = functionEvaluationException86.getArgument();
    double[] d_array89 = new double[] {  };
    java.lang.Object[] obj_array93 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException94 = new org.apache.commons.math.ode.events.EventException("", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException(d_array89, "", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException96 = new org.apache.commons.math.FunctionEvaluationException(d_array87, "hi!", obj_array93);
    org.apache.commons.math.ode.events.EventException eventException97 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array93);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException98 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, d_array60, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array93);
    org.apache.commons.math.MathException mathException99 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str78 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str78.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str84.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test465"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException2 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, Double.NaN);
    double[] d_array9 = functionEvaluationException8.getArgument();
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, Double.NaN);
    double[] d_array38 = functionEvaluationException37.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver40 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i41 = brentSolver40.getMaximalIterationCount();
    brentSolver40.resetMaximalIterationCount();
    brentSolver40.setMaximalIterationCount(10);
    brentSolver40.setMaximalIterationCount((-1));
    double d47 = brentSolver40.getFunctionValueAccuracy();
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d47 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array9, "org.apache.commons.math.ode.events.EventException: ", obj_array48);
    int i51 = maxIterationsExceededException1.getMaxIterations();
    int i52 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 100.0d, 1.0d, 100);
    double d58 = eventState57.getConvergence();
    double[] d_array63 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b64 = eventState57.reset(10.0d, d_array63);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator66 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array63, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator66);
    dummyStepInterpolator67.storeTime(1.0d);
    double[] d_array70 = dummyStepInterpolator67.getInterpolatedState();
    double[] d_array71 = dummyStepInterpolator67.getInterpolatedDerivatives();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i75 = maxIterationsExceededException74.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException78 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException78.addSuppressed((java.lang.Throwable)maxIterationsExceededException80);
    java.lang.Object[] obj_array87 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException88 = new org.apache.commons.math.ode.events.EventException("", obj_array87);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException89 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException78, "", obj_array87);
    java.lang.Throwable[] throwable_array91 = convergenceException90.getSuppressed();
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException74, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array91);
    java.lang.Throwable[] throwable_array93 = maxIterationsExceededException74.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array71, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array93);
    org.apache.commons.math.ode.events.EventException eventException95 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array93);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test466"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.ode.DerivativeException derivativeException28 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.events.EventException: ", obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test467"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getEventTime();
    int i9 = eventState4.getMaxIterationCount();
    double d10 = eventState4.getEventTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator11);
    double d13 = dummyStepInterpolator11.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator14 = dummyStepInterpolator11.copy();
    double d15 = dummyStepInterpolator11.getInterpolatedTime();
    dummyStepInterpolator11.storeTime(1.0E-15d);
    double d18 = dummyStepInterpolator11.getInterpolatedTime();
    boolean b19 = dummyStepInterpolator11.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator20 = dummyStepInterpolator11.copy();
    // The following exception was thrown during execution in test generation
    try {
      boolean b21 = eventState4.evaluateStep(stepInterpolator20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator20);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test468"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    boolean b21 = eventState4.stop();
    boolean b22 = eventState4.stop();
    boolean b23 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = eventState4.getEventHandler();
    double d26 = eventState4.getEventTime();
    int i27 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler28);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test469"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    java.lang.String str12 = maxIterationsExceededException5.toString();
    java.lang.Object[] obj_array13 = maxIterationsExceededException5.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException16 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str12.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test470"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ode.DerivativeException: ", obj_array2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);

  }

  @Test
  public void test471() {}
// Defects4J: flaky method
//   @Test
//   public void test471() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test471"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d10 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-15d);
// 
//   }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test472"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test473"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math.ode.events.EventState eventState67 = new org.apache.commons.math.ode.events.EventState(eventHandler63, 100.0d, 1.0d, 100);
    double d68 = eventState67.getConvergence();
    double[] d_array73 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b74 = eventState67.reset(10.0d, d_array73);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { b74 };
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException60, "Maximal number of iterations ({0}) exceeded", obj_array75);
    double[] d_array78 = functionEvaluationException60.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator80 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array78, false);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator81 = dummyStepInterpolator80.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator82 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator80);
    dummyStepInterpolator80.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator84 = dummyStepInterpolator80.copy();
    java.io.ObjectOutput objectOutput85 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator80.writeExternal(objectOutput85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator84);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test474"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    int i5 = eventState4.getMaxIterationCount();
    double d6 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 100.0d, 1.0d, 100);
    double d14 = eventState13.getConvergence();
    double[] d_array19 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b20 = eventState13.reset(10.0d, d_array19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable25 = null;
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(throwable25, "", obj_array27);
    java.lang.Object[] obj_array29 = mathException28.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23, "Maximal number of iterations ({0}) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array19, "Maximal number of iterations ({0}) exceeded", obj_array29);
    double[] d_array32 = functionEvaluationException31.getArgument();
    double[] d_array33 = functionEvaluationException31.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(Double.NaN, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test475"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.resetAbsoluteAccuracy();
    int i14 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    int i17 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test476"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException20, 100.0d);
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    java.lang.String str27 = functionEvaluationException26.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { maxIterationsExceededException32 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException28, (-1.0d), "hi!", obj_array34);
    double[] d_array36 = functionEvaluationException35.getArgument();
    java.lang.Throwable throwable38 = null;
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable38, "", obj_array40);
    double[] d_array42 = new double[] {  };
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array42);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(throwable38, d_array42, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "hi!", obj_array55);
    double[] d_array61 = new double[] {  };
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array61, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array65);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test477"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i4 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test478"); }


    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4);
    java.lang.Throwable[] throwable_array6 = functionEvaluationException5.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array6);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array9, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, d_array9);
    java.lang.String str20 = functionEvaluationException19.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test479"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    java.lang.String str2 = functionEvaluationException1.getPattern();
    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState7.getEventHandler();
    java.lang.Throwable throwable10 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable10, "", obj_array12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array14, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    boolean b31 = eventState7.reset(0.0d, d_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str38 = maxIterationsExceededException37.getPattern();
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException37);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException39, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    java.lang.Throwable throwable48 = null;
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(throwable48, "", obj_array50);
    double[] d_array52 = new double[] {  };
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    double[] d_array61 = new double[] {  };
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array61, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(throwable48, d_array52, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException45, (-1.0d), "", obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException42, "hi!", obj_array65);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array65);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array14);
    java.lang.Throwable[] throwable_array75 = functionEvaluationException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "evaluation failed for argument = {0}"+ "'", str2.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str38.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test480"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getMaxCheckInterval();
    double d8 = eventState4.getMaxCheckInterval();
    int i9 = eventState4.getMaxIterationCount();
    double d10 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test481"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = eventState4.getEventHandler();
    double d39 = eventState4.getEventTime();
    double d40 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);

  }

  @Test
  public void test482() {}
// Defects4J: flaky method
//   @Test
//   public void test482() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test482"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     double d4 = brentSolver0.getRelativeAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d10 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.solve(univariateRealFunction11, 1.0E-6d, 1.0E-14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-14d);
// 
//   }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test483"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double[] d_array17 = dummyStepInterpolator13.getInterpolatedDerivatives();
    dummyStepInterpolator13.setInterpolatedTime(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test484"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator7.shift();
    double d9 = dummyStepInterpolator7.getPreviousTime();
    double d10 = dummyStepInterpolator7.getPreviousTime();
    dummyStepInterpolator7.setInterpolatedTime(10.0d);
    double[] d_array13 = dummyStepInterpolator7.getInterpolatedState();
    double d14 = dummyStepInterpolator7.getCurrentTime();
    dummyStepInterpolator7.setInterpolatedTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test485"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { functionEvaluationException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "Maximal number of iterations ({0}) exceeded", obj_array25);
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array25);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException33 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException33, 1.0d);
    eventException27.addSuppressed((java.lang.Throwable)derivativeException33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException33, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test486"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException2, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException2);
    int i8 = maxIterationsExceededException2.getMaxIterations();
    java.lang.Throwable throwable12 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(throwable12, "", obj_array14);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler35 = null;
    org.apache.commons.math.ode.events.EventState eventState39 = new org.apache.commons.math.ode.events.EventState(eventHandler35, 100.0d, 1.0d, 100);
    double d40 = eventState39.getConvergence();
    double[] d_array45 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b46 = eventState39.reset(10.0d, d_array45);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable51 = null;
    java.lang.Object[] obj_array53 = null;
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(throwable51, "", obj_array53);
    java.lang.Object[] obj_array55 = mathException54.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException49, "Maximal number of iterations ({0}) exceeded", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException34, d_array45, "Maximal number of iterations ({0}) exceeded", obj_array55);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(throwable12, "", obj_array55);
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException2, 100.0d, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException64 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException64, "hi!", obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException70);
    double[] d_array72 = new double[] {  };
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException77 = new org.apache.commons.math.ode.events.EventException("", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array72, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException71, d_array72);
    java.lang.Object[] obj_array81 = functionEvaluationException80.getArguments();
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException61, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array81);
    double[] d_array83 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException61, d_array83);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test487"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    double d12 = eventState4.getEventTime();
    double[] d_array14 = null;
    boolean b15 = eventState4.reset(0.0d, d_array14);
    double d16 = eventState4.getEventTime();
    boolean b17 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.ode.events.EventState eventState23 = new org.apache.commons.math.ode.events.EventState(eventHandler19, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState23.getEventHandler();
    double d25 = eventState23.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException28, Double.NaN);
    double[] d_array31 = functionEvaluationException30.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException35);
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException35);
    java.lang.Object[] obj_array38 = maxIterationsExceededException35.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array38);
    boolean b40 = eventState23.reset((-1.0d), d_array31);
    java.lang.Throwable throwable43 = null;
    double[] d_array46 = new double[] {  };
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException("", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "", obj_array50);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException53, 100.0d);
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    java.lang.String str60 = functionEvaluationException59.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException65 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str66 = maxIterationsExceededException65.getPattern();
    java.lang.Object[] obj_array67 = new java.lang.Object[] { maxIterationsExceededException65 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException61, (-1.0d), "hi!", obj_array67);
    java.lang.Object[] obj_array69 = functionEvaluationException68.getArguments();
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable43, "Maximal number of iterations ({0}) exceeded", obj_array69);
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array69);
    boolean b73 = eventState4.reset(Double.NaN, d_array31);
    org.apache.commons.math.ode.events.EventHandler eventHandler74 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str60.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str66.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler74);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test488"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test489"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { functionEvaluationException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 1.0d);
    double[] d_array28 = functionEvaluationException27.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Throwable[] throwable_array34 = maxIterationsExceededException32.getSuppressed();
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { functionEvaluationException60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of iterations ({0}) exceeded", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 10.0d);
    double[] d_array68 = functionEvaluationException27.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test490() {}
// Defects4J: flaky method
//   @Test
//   public void test490() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test490"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
// 
//   }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test491"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getEventTime();
    boolean b7 = eventState4.stop();
    boolean b8 = eventState4.stop();
    double[] d_array12 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array12, false);
    double d15 = dummyStepInterpolator14.getPreviousTime();
    dummyStepInterpolator14.shift();
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test492"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    double d5 = eventState4.getMaxCheckInterval();
    double[] d_array10 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, false);
    double[] d_array13 = dummyStepInterpolator12.getInterpolatedState();
    boolean b14 = eventState4.reset(1.0E-14d, d_array13);
    double d15 = eventState4.getMaxCheckInterval();
    double d16 = eventState4.getMaxCheckInterval();
    double d17 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler18);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test493"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getRelativeAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test494"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7, "hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException20, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: ", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array24);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable0, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test495"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    java.lang.Object[] obj_array28 = mathException27.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "hi!", obj_array28);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator31 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array33 = functionEvaluationException32.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test496() {}
// Defects4J: flaky method
//   @Test
//   public void test496() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test496"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     int i5 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
// 
//   }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test497"); }


    java.lang.Throwable throwable2 = null;
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(throwable2, 1.0E-6d, "hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array11);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test498() {}
// Defects4J: flaky method
//   @Test
//   public void test498() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest5.test498"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-6d);
// 
//   }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test499"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 0.0d, 1);
    boolean b5 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test500"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("", obj_array1);

  }

}
