
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest7 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test001"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = brentSolver0.solve(univariateRealFunction10, 0.0d, 100.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test002"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    double d9 = dummyStepInterpolator5.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    dummyStepInterpolator5.setInterpolatedTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test003"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException10, 100.0d);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str23 = maxIterationsExceededException22.getPattern();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { maxIterationsExceededException22 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, (-1.0d), "hi!", obj_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    java.lang.String str27 = maxIterationsExceededException26.getPattern();
    int i28 = maxIterationsExceededException26.getMaxIterations();
    java.lang.Object[] obj_array29 = maxIterationsExceededException26.getArguments();
    java.lang.Throwable[] throwable_array30 = maxIterationsExceededException26.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException26, 1.0E-14d);
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException26);
    org.apache.commons.math.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math.ode.events.EventState eventState38 = new org.apache.commons.math.ode.events.EventState(eventHandler34, 1.0d, 1.0d, 100);
    double d39 = eventState38.getEventTime();
    double[] d_array44 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array44, false);
    double[] d_array47 = dummyStepInterpolator46.getInterpolatedState();
    boolean b48 = dummyStepInterpolator46.isForward();
    double d49 = dummyStepInterpolator46.getInterpolatedTime();
    dummyStepInterpolator46.shift();
    double[] d_array51 = dummyStepInterpolator46.getInterpolatedDerivatives();
    boolean b52 = eventState38.reset(0.0d, d_array51);
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    java.lang.Throwable[] throwable_array60 = functionEvaluationException59.getSuppressed();
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException33, d_array51, "org.apache.commons.math.ode.events.EventException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str23.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test004"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    dummyStepInterpolator3.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test005"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { functionEvaluationException27 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "Maximal number of iterations ({0}) exceeded", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.MathException: ", obj_array28);
    int i31 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 10);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test006"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double d16 = dummyStepInterpolator13.getInterpolatedTime();
    boolean b17 = dummyStepInterpolator13.isForward();
    double d18 = dummyStepInterpolator13.getInterpolatedTime();
    dummyStepInterpolator13.setInterpolatedTime((-1.0d));
    double d21 = dummyStepInterpolator13.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test007"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("evaluation failed for argument = {0}", obj_array5);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException8);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)derivativeException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test008"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test009"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException6);
    java.lang.String str8 = convergenceException6.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException6);
    java.lang.Throwable throwable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException9.addSuppressed(throwable10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test010"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4, "hi!", obj_array8);
    java.lang.String str11 = maxIterationsExceededException4.toString();
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.ode.DerivativeException derivativeException19 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException18);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)derivativeException19);
    java.lang.Throwable throwable21 = null;
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable21, "", obj_array23);
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math.ode.events.EventState eventState35 = new org.apache.commons.math.ode.events.EventState(eventHandler31, 100.0d, 1.0d, 100);
    double d36 = eventState35.getConvergence();
    double[] d_array41 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b42 = eventState35.reset(10.0d, d_array41);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator44 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array41, true);
    boolean b45 = eventState29.reset(10.0d, d_array41);
    double[] d_array48 = new double[] {  };
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "", obj_array52);
    org.apache.commons.math.ode.DerivativeException derivativeException55 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException55, 100.0d);
    java.lang.Object[] obj_array60 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    java.lang.String str62 = functionEvaluationException61.getPattern();
    java.lang.Object[] obj_array63 = new java.lang.Object[] { str62 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(throwable21, d_array41);
    derivativeException19.addSuppressed((java.lang.Throwable)functionEvaluationException65);
    java.lang.Throwable[] throwable_array67 = derivativeException19.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", (java.lang.Object[])throwable_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str11.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str62.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array67);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test011"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.setAbsoluteAccuracy(100.0d);
    int i9 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    int i11 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test012"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    java.lang.Throwable[] throwable_array3 = maxIterationsExceededException1.getSuppressed();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test013() {}
// Defects4J: flaky method
//   @Test
//   public void test013() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test013"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     int i8 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(1.0E-14d, 0.0d, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 0);
// 
//   }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test014"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    java.lang.String str8 = maxIterationsExceededException1.toString();
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException16 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException15);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)derivativeException16);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException16, 1.0E-15d, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test015() {}
// Defects4J: flaky method
//   @Test
//   public void test015() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test015"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     int i10 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 10);
// 
//   }

  @Test
  public void test016() {}
// Defects4J: flaky method
//   @Test
//   public void test016() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test016"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.resetRelativeAccuracy();
//     double d10 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
// 
//   }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test017"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str6 = maxIterationsExceededException5.getPattern();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5);
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    java.lang.Throwable[] throwable_array11 = convergenceException10.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str6.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test018"); }


    double[] d_array0 = null;
    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test019"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, (-1.0d), 1);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 1.0E-14d, 1.0E-15d, 0);
    boolean b13 = eventState12.stop();
    int i14 = eventState12.getMaxIterationCount();
    boolean b15 = eventState12.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler17, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 100.0d, 1.0d, 100);
    double d28 = eventState27.getConvergence();
    double[] d_array33 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b34 = eventState27.reset(10.0d, d_array33);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator36 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array33, true);
    boolean b37 = eventState21.reset(0.0d, d_array33);
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array52 = new double[] {  };
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(throwable39, d_array43, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "hi!", obj_array56);
    boolean b61 = eventState12.reset(1.0E-15d, d_array33);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator63 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array33, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator65 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array33, true);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0E-14d, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test020"); }


    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "hi!", obj_array19);
    java.lang.String str24 = functionEvaluationException23.getPattern();
    double[] d_array25 = functionEvaluationException23.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test021"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    dummyStepInterpolator13.storeTime(1.0E-6d);
    double d17 = dummyStepInterpolator13.getCurrentTime();
    double[] d_array18 = dummyStepInterpolator13.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test022"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NaN);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.String str5 = functionEvaluationException1.getPattern();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12, "hi!", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException25, "hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException20, "hi!", obj_array29);
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array29);
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array29);
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.ode.events.EventState eventState42 = new org.apache.commons.math.ode.events.EventState(eventHandler38, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math.ode.events.EventState eventState48 = new org.apache.commons.math.ode.events.EventState(eventHandler44, 100.0d, 1.0d, 100);
    double d49 = eventState48.getConvergence();
    double[] d_array54 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b55 = eventState48.reset(10.0d, d_array54);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator57 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array54, true);
    boolean b58 = eventState42.reset(10.0d, d_array54);
    double[] d_array61 = new double[] {  };
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array61, "", obj_array65);
    org.apache.commons.math.ode.DerivativeException derivativeException68 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException68, 100.0d);
    java.lang.Object[] obj_array73 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array73);
    java.lang.String str75 = functionEvaluationException74.getPattern();
    java.lang.Object[] obj_array76 = new java.lang.Object[] { str75 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "", obj_array76);
    org.apache.commons.math.ode.DerivativeException derivativeException78 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException35, "", obj_array76);
    org.apache.commons.math.ode.events.EventException eventException80 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MathException: ", obj_array76);
    functionEvaluationException1.addSuppressed((java.lang.Throwable)eventException80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "evaluation failed for argument = {0}"+ "'", str5.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str75.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test023"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array25 = functionEvaluationException24.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException24);
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24);
    java.lang.Throwable[] throwable_array29 = mathException28.getSuppressed();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException36);
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException36);
    java.lang.String str39 = maxIterationsExceededException36.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, Double.NaN);
    double[] d_array44 = functionEvaluationException43.getArgument();
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(throwable46, d_array50, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException70, Double.NaN);
    double[] d_array73 = functionEvaluationException72.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver75 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i76 = brentSolver75.getMaximalIterationCount();
    brentSolver75.resetMaximalIterationCount();
    brentSolver75.setMaximalIterationCount(10);
    brentSolver75.setMaximalIterationCount((-1));
    double d82 = brentSolver75.getFunctionValueAccuracy();
    java.lang.Object[] obj_array83 = new java.lang.Object[] { d82 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array73, "evaluation failed for argument = {0}", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException36, d_array44, "org.apache.commons.math.ode.events.EventException: ", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException88 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str89 = maxIterationsExceededException88.getPattern();
    java.lang.Throwable[] throwable_array90 = maxIterationsExceededException88.getSuppressed();
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException36, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array90);
    org.apache.commons.math.ode.DerivativeException derivativeException92 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", (java.lang.Object[])throwable_array90);
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException30, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", (java.lang.Object[])throwable_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str39.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str89 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str89.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array90);

  }

  @Test
  public void test024() {}
// Defects4J: flaky method
//   @Test
//   public void test024() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test024"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-6d);
//     brentSolver0.setAbsoluteAccuracy(1.0d);
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(0.0d, 10.0d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0d);
// 
//   }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test025"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    double[] d_array28 = functionEvaluationException27.getArgument();
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "hi!", obj_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: ", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException38);
    int i40 = maxIterationsExceededException38.getMaxIterations();
    java.lang.Throwable[] throwable_array41 = maxIterationsExceededException38.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException42 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array41);
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test026"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException12, d_array13);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
    double[] d_array37 = new double[] {  };
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException42 = new org.apache.commons.math.ode.events.EventException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array37, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable24, d_array28, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler47 = null;
    org.apache.commons.math.ode.events.EventState eventState51 = new org.apache.commons.math.ode.events.EventState(eventHandler47, 100.0d, 1.0d, 100);
    double d52 = eventState51.getConvergence();
    double[] d_array57 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b58 = eventState51.reset(10.0d, d_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable63 = null;
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable63, "", obj_array65);
    java.lang.Object[] obj_array67 = mathException66.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException61, "Maximal number of iterations ({0}) exceeded", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException46, d_array57, "Maximal number of iterations ({0}) exceeded", obj_array67);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable24, "", obj_array67);
    org.apache.commons.math.ode.DerivativeException derivativeException71 = new org.apache.commons.math.ode.DerivativeException("", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array67);
    java.lang.Object[] obj_array73 = functionEvaluationException72.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.MathException: ", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test027"); }


    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 100.0d, 1.0d, 100);
    double d29 = eventState28.getConvergence();
    double[] d_array34 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b35 = eventState28.reset(10.0d, d_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable40 = null;
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable40, "", obj_array42);
    java.lang.Object[] obj_array44 = mathException43.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException38, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException23, d_array34, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(throwable1, "", obj_array44);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = null;
    org.apache.commons.math.ode.events.EventState eventState52 = new org.apache.commons.math.ode.events.EventState(eventHandler48, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.ode.events.EventState eventState58 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 100.0d, 1.0d, 100);
    double d59 = eventState58.getConvergence();
    double[] d_array64 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b65 = eventState58.reset(10.0d, d_array64);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array64, true);
    boolean b68 = eventState52.reset(10.0d, d_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i72 = maxIterationsExceededException71.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException75 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException77 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException75.addSuppressed((java.lang.Throwable)maxIterationsExceededException77);
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("", obj_array84);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException86 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException75, "", obj_array84);
    java.lang.Throwable[] throwable_array88 = convergenceException87.getSuppressed();
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException71, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException47, d_array64, "hi!", (java.lang.Object[])throwable_array88);
    java.lang.Throwable[] throwable_array91 = functionEvaluationException90.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException92 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", (java.lang.Object[])throwable_array91);
    org.apache.commons.math.ConvergenceException convergenceException93 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test028"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 100.0d, 1.0d, 100);
    double d7 = eventState6.getConvergence();
    double[] d_array12 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b13 = eventState6.reset(10.0d, d_array12);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array12, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator15);
    dummyStepInterpolator15.finalizeStep();
    double d18 = dummyStepInterpolator15.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator15.copy();
    double[] d_array20 = dummyStepInterpolator15.getInterpolatedState();
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array20, "org.apache.commons.math.ode.DerivativeException: ", obj_array22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException28.addSuppressed((java.lang.Throwable)maxIterationsExceededException30);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException28, "", obj_array37);
    java.lang.Throwable[] throwable_array41 = convergenceException40.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array20, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", (java.lang.Object[])throwable_array41);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, false);
    dummyStepInterpolator45.storeTime(1.0E-15d);
    double d48 = dummyStepInterpolator45.getPreviousTime();
    double[] d_array49 = dummyStepInterpolator45.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test029"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array9);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException67 = new org.apache.commons.math.ode.DerivativeException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array63);
    java.lang.Object[] obj_array69 = functionEvaluationException68.getArguments();
    double[] d_array71 = new double[] {  };
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "", obj_array75);
    org.apache.commons.math.ode.DerivativeException derivativeException78 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException78, 1.0d);
    double[] d_array81 = functionEvaluationException80.getArgument();
    functionEvaluationException68.addSuppressed((java.lang.Throwable)functionEvaluationException80);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test030"); }


    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException11, 100.0d);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    java.lang.String str18 = functionEvaluationException17.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str24 = maxIterationsExceededException23.getPattern();
    java.lang.Object[] obj_array25 = new java.lang.Object[] { maxIterationsExceededException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException19, (-1.0d), "hi!", obj_array25);
    double[] d_array27 = functionEvaluationException26.getArgument();
    java.lang.Throwable throwable29 = null;
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(throwable29, "", obj_array31);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    double[] d_array42 = new double[] {  };
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(throwable29, d_array33, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "hi!", obj_array46);
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str24.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test031"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "", obj_array2);
    double[] d_array4 = functionEvaluationException3.getArgument();
    java.lang.Throwable throwable8 = null;
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException21 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable8, 1.0E-6d, "hi!", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.ode.events.EventException: ", obj_array17);
    double[] d_array25 = functionEvaluationException24.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test032"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException4 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException4);
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array7 = mathException5.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test033"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array0);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator9 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array0, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array0, true);
    double[] d_array12 = dummyStepInterpolator11.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test034"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 100.0d, 1.0d, 100);
    double d6 = eventState5.getConvergence();
    double[] d_array11 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b12 = eventState5.reset(10.0d, d_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable17 = null;
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable17, "", obj_array19);
    java.lang.Object[] obj_array21 = mathException20.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15, "Maximal number of iterations ({0}) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException0, d_array11, "Maximal number of iterations ({0}) exceeded", obj_array21);
    java.lang.Throwable[] throwable_array24 = mathException0.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test035"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math.ode.events.EventState eventState67 = new org.apache.commons.math.ode.events.EventState(eventHandler63, 100.0d, 1.0d, 100);
    double d68 = eventState67.getConvergence();
    double[] d_array73 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b74 = eventState67.reset(10.0d, d_array73);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { b74 };
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException60, "Maximal number of iterations ({0}) exceeded", obj_array75);
    double[] d_array78 = functionEvaluationException60.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator80 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array78, false);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator81 = dummyStepInterpolator80.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator82 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator80);
    double[] d_array83 = dummyStepInterpolator80.getInterpolatedDerivatives();
    double[] d_array84 = dummyStepInterpolator80.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator85 = dummyStepInterpolator80.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator85);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test036"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException10, 100.0d);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str23 = maxIterationsExceededException22.getPattern();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { maxIterationsExceededException22 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException18, (-1.0d), "hi!", obj_array24);
    double[] d_array26 = functionEvaluationException25.getArgument();
    java.lang.Throwable throwable28 = null;
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable28, "", obj_array30);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(throwable28, d_array32, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "hi!", obj_array45);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.ode.DerivativeException derivativeException58 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array56);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array56);
    java.lang.Throwable[] throwable_array62 = maxIterationsExceededException61.getSuppressed();
    int i63 = maxIterationsExceededException61.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str23.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test037"); }


    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { functionEvaluationException27 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "Maximal number of iterations ({0}) exceeded", obj_array28);
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException32, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test038"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, false);
    double d20 = dummyStepInterpolator19.getCurrentTime();
    dummyStepInterpolator19.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test039"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.ode.DerivativeException derivativeException6 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array4);
    java.lang.String str7 = derivativeException6.toString();
    java.lang.Throwable[] throwable_array8 = derivativeException6.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", (java.lang.Object[])throwable_array8);
    java.lang.Throwable[] throwable_array10 = convergenceException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str7.equals("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test040"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    double d47 = dummyStepInterpolator46.getCurrentTime();
    dummyStepInterpolator46.setInterpolatedTime(1.0E-15d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator50 = dummyStepInterpolator46.copy();
    double[] d_array51 = dummyStepInterpolator46.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test041() {}
// Defects4J: flaky method
//   @Test
//   public void test041() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test041"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     int i9 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
// 
//   }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test042"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getMaxCheckInterval();
    double d8 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = eventState4.getEventHandler();
    double d10 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test043"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.events.EventException: Maximal number of iterations (1) exceeded", obj_array1);
    java.lang.Object[] obj_array3 = convergenceException2.getArguments();
    java.lang.String str4 = convergenceException2.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.ode.events.EventException: Maximal number of iterations (1) exceeded"+ "'", str4.equals("org.apache.commons.math.ode.events.EventException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test044"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, 1.0d, 100);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test045"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    boolean b24 = eventState8.reset(10.0d, d_array20);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException34, 100.0d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    java.lang.String str41 = functionEvaluationException40.getPattern();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { str41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {1; 0; -1}", obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test046"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.0d), 1.0d, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test047"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array2);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException12, d_array13);
    maxIterationsExceededException3.addSuppressed((java.lang.Throwable)functionEvaluationException21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException32, "hi!", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException39);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException45, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array49);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException40, "hi!", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: ", obj_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array49);
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array49);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException21, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test048"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.storeTime(1.0E-6d);
    double d7 = dummyStepInterpolator0.getPreviousTime();
    double d8 = dummyStepInterpolator0.getInterpolatedTime();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test049"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array0);
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException7);
    java.lang.Throwable throwable10 = null;
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException20, 100.0d);
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException22, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    java.lang.String str27 = functionEvaluationException26.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Object[] obj_array34 = new java.lang.Object[] { maxIterationsExceededException32 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException28, (-1.0d), "hi!", obj_array34);
    java.lang.Object[] obj_array36 = functionEvaluationException35.getArguments();
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable10, "Maximal number of iterations ({0}) exceeded", obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException8, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array36);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator44 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator43);
    boolean b45 = dummyStepInterpolator44.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator46 = dummyStepInterpolator44.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator47 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator44);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator48 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator47);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { dummyStepInterpolator48 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException8, 100.0d, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array49);
    java.lang.Throwable[] throwable_array52 = eventException8.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str27.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test050"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 100.0d, 1.0d, 100);
    double d28 = eventState27.getConvergence();
    double[] d_array33 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b34 = eventState27.reset(10.0d, d_array33);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    java.lang.Object[] obj_array43 = mathException42.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException37, "Maximal number of iterations ({0}) exceeded", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException22, d_array33, "Maximal number of iterations ({0}) exceeded", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable0, "", obj_array43);
    org.apache.commons.math.ode.events.EventHandler eventHandler47 = null;
    org.apache.commons.math.ode.events.EventState eventState51 = new org.apache.commons.math.ode.events.EventState(eventHandler47, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 100.0d, 1.0d, 100);
    double d58 = eventState57.getConvergence();
    double[] d_array63 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b64 = eventState57.reset(10.0d, d_array63);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator66 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array63, true);
    boolean b67 = eventState51.reset(10.0d, d_array63);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException70 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i71 = maxIterationsExceededException70.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException76 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException74.addSuppressed((java.lang.Throwable)maxIterationsExceededException76);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException84 = new org.apache.commons.math.ode.events.EventException("", obj_array83);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException85 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException74, "", obj_array83);
    java.lang.Throwable[] throwable_array87 = convergenceException86.getSuppressed();
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException70, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array87);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException46, d_array63, "hi!", (java.lang.Object[])throwable_array87);
    org.apache.commons.math.ode.events.EventException eventException90 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)mathException46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array87);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test051"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test052"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    dummyStepInterpolator14.storeTime(100.0d);
    boolean b19 = dummyStepInterpolator14.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator20 = dummyStepInterpolator14.copy();
    double d21 = dummyStepInterpolator14.getInterpolatedTime();
    boolean b22 = dummyStepInterpolator14.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test053"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException22);
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException22);
    java.lang.String str25 = eventException24.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test054"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable6 = null;
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array11);
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "hi!", obj_array34);
    boolean b36 = eventState4.reset(0.0d, d_array11);
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = eventState4.getEventHandler();
    java.lang.Throwable throwable39 = null;
    java.lang.Throwable throwable40 = null;
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable40, "", obj_array42);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    double[] d_array53 = new double[] {  };
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(throwable40, d_array44, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(throwable39, d_array44);
    java.lang.Throwable throwable63 = null;
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable63, "", obj_array65);
    java.lang.Object[] obj_array67 = mathException66.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "hi!", obj_array67);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator70 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array44, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0d, d_array44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test055"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-14d, 10);
    boolean b5 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test056"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    double d5 = eventState4.getEventTime();
    boolean b6 = eventState4.stop();
    int i7 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math.ode.events.EventState eventState15 = new org.apache.commons.math.ode.events.EventState(eventHandler11, 100.0d, 1.0d, 100);
    double d16 = eventState15.getConvergence();
    double[] d_array21 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b22 = eventState15.reset(10.0d, d_array21);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator24 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array21, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator25 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator24);
    dummyStepInterpolator24.finalizeStep();
    double d27 = dummyStepInterpolator24.getInterpolatedTime();
    boolean b28 = dummyStepInterpolator24.isForward();
    double d29 = dummyStepInterpolator24.getInterpolatedTime();
    double[] d_array30 = dummyStepInterpolator24.getInterpolatedState();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(100.0d, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test057"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test058"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    double d9 = dummyStepInterpolator5.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    dummyStepInterpolator10.storeTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test059"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException("", obj_array3);
    org.apache.commons.math.ode.DerivativeException derivativeException5 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array3);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException5);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException6);
    double[] d_array11 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, false);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    boolean b15 = dummyStepInterpolator13.isForward();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException7, d_array16);
    java.lang.Object[] obj_array18 = functionEvaluationException17.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test060"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test061"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, 1.0d, 100);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getConvergence();
    boolean b7 = eventState4.stop();
    double d8 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test062"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d3 = brentSolver0.getRelativeAccuracy();
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test063"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { eventState5 };
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException7);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 1.0E-14d, 1.0E-15d, 0);
    int i14 = eventState13.getMaxIterationCount();
    double[] d_array19 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, false);
    double[] d_array22 = dummyStepInterpolator21.getInterpolatedDerivatives();
    boolean b23 = eventState13.reset(1.0E-15d, d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException7, d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test064"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test065"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable10 = null;
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array15);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "hi!", obj_array38);
    boolean b40 = eventState8.reset(0.0d, d_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException3, d_array15);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array15, false);
    dummyStepInterpolator43.storeTime(1.0E-6d);
    double[] d_array46 = dummyStepInterpolator43.getInterpolatedState();
    dummyStepInterpolator43.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test066"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    double d47 = dummyStepInterpolator46.getCurrentTime();
    double d48 = dummyStepInterpolator46.getInterpolatedTime();
    dummyStepInterpolator46.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);

  }

  @Test
  public void test067() {}
// Defects4J: flaky method
//   @Test
//   public void test067() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test067"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount((-1));
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(univariateRealFunction6, 100.0d, 10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test068"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    double d9 = dummyStepInterpolator5.getInterpolatedTime();
    java.io.ObjectInput objectInput10 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.readExternal(objectInput10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test069"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable5 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException(throwable5, "", obj_array7);
    java.lang.Object[] obj_array9 = mathException8.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3, "Maximal number of iterations ({0}) exceeded", obj_array9);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException10, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.Throwable throwable18 = null;
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException31 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable18, 1.0E-6d, "hi!", obj_array27);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException10, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException35 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MathException: hi!", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test070"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-6d);
    int i9 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test071"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test072"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.0d), (-1.0d), 1);
    double d5 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test073"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: ", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: hi!", obj_array6);
    java.lang.Object[] obj_array11 = derivativeException10.getArguments();
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test074"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    dummyStepInterpolator5.storeTime(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test075"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array9);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException67 = new org.apache.commons.math.ode.DerivativeException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, Double.NaN);
    java.lang.Object[] obj_array71 = functionEvaluationException70.getArguments();
    double[] d_array72 = functionEvaluationException70.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator75 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array72, false);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator76 = dummyStepInterpolator75.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator76);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test076"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getRelativeAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    double d9 = brentSolver0.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = brentSolver0.solve(univariateRealFunction10, 0.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test077"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException12, 100.0d);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException14, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.String str19 = functionEvaluationException18.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str25 = maxIterationsExceededException24.getPattern();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { maxIterationsExceededException24 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, (-1.0d), "hi!", obj_array26);
    double[] d_array28 = functionEvaluationException27.getArgument();
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array34, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "hi!", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("", obj_array47);
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("Maximal number of iterations ({0}) exceeded", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array47);
    java.lang.Object[] obj_array55 = functionEvaluationException54.getArguments();
    java.lang.String str56 = functionEvaluationException54.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str19.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str25.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.ode.DerivativeException: hi!"+ "'", str56.equals("org.apache.commons.math.ode.DerivativeException: hi!"));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test078"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, Double.NaN);
    double[] d_array12 = functionEvaluationException11.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    boolean b21 = eventState4.reset((-1.0d), d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 100.0d, 1.0d, 100);
    double d35 = eventState34.getConvergence();
    double[] d_array40 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b41 = eventState34.reset(10.0d, d_array40);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array40, true);
    boolean b44 = eventState28.reset(10.0d, d_array40);
    org.apache.commons.math.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math.ode.events.EventState eventState50 = new org.apache.commons.math.ode.events.EventState(eventHandler46, 100.0d, 1.0d, 100);
    double d51 = eventState50.getConvergence();
    double[] d_array56 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b57 = eventState50.reset(10.0d, d_array56);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator59 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array56, true);
    boolean b60 = eventState28.reset(100.0d, d_array56);
    double d61 = eventState28.getConvergence();
    int i62 = eventState28.getMaxIterationCount();
    int i63 = eventState28.getMaxIterationCount();
    double d64 = eventState28.getConvergence();
    java.lang.Throwable throwable66 = null;
    java.lang.Throwable throwable67 = null;
    java.lang.Object[] obj_array69 = null;
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable67, "", obj_array69);
    double[] d_array71 = new double[] {  };
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    double[] d_array80 = new double[] {  };
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array80, "", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(throwable67, d_array71, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(throwable66, d_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    boolean b91 = eventState28.reset((-1.0d), d_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-15d, d_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test079"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6);
    java.lang.Throwable throwable8 = null;
    java.lang.Throwable throwable9 = null;
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException(throwable9, "", obj_array11);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable9, d_array13, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array13);
    java.lang.Throwable throwable32 = null;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(throwable32, "", obj_array34);
    java.lang.Object[] obj_array36 = mathException35.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "hi!", obj_array36);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array13, "Maximal number of iterations ({0}) exceeded", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException6);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException6);
    java.lang.Throwable[] throwable_array49 = convergenceException48.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array49);
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: hi!", (java.lang.Object[])throwable_array49);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test080"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    double d3 = dummyStepInterpolator1.getInterpolatedTime();
    double d4 = dummyStepInterpolator1.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator1.copy();
    dummyStepInterpolator1.setInterpolatedTime(0.0d);
    dummyStepInterpolator1.storeTime(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test081"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException2 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, Double.NaN);
    double[] d_array9 = functionEvaluationException8.getArgument();
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, Double.NaN);
    double[] d_array38 = functionEvaluationException37.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver40 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i41 = brentSolver40.getMaximalIterationCount();
    brentSolver40.resetMaximalIterationCount();
    brentSolver40.setMaximalIterationCount(10);
    brentSolver40.setMaximalIterationCount((-1));
    double d47 = brentSolver40.getFunctionValueAccuracy();
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d47 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array9, "org.apache.commons.math.ode.events.EventException: ", obj_array48);
    int i51 = maxIterationsExceededException1.getMaxIterations();
    double[] d_array55 = new double[] {  };
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException("", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "", obj_array59);
    org.apache.commons.math.ode.DerivativeException derivativeException62 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException62, 1.0d);
    double[] d_array65 = functionEvaluationException64.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 1.0d);
    java.lang.Throwable throwable70 = null;
    java.lang.Throwable throwable71 = null;
    java.lang.Object[] obj_array73 = null;
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException(throwable71, "", obj_array73);
    double[] d_array75 = new double[] {  };
    java.lang.Object[] obj_array79 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException80 = new org.apache.commons.math.ode.events.EventException("", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException(d_array75, "", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array75);
    double[] d_array84 = new double[] {  };
    java.lang.Object[] obj_array88 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException89 = new org.apache.commons.math.ode.events.EventException("", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(d_array84, "", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(throwable71, d_array75, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array88);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(throwable70, d_array75);
    org.apache.commons.math.ode.DerivativeException derivativeException93 = new org.apache.commons.math.ode.DerivativeException(throwable70);
    java.lang.Object[] obj_array94 = derivativeException93.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException67, (-1.0d), "evaluation failed for argument = {0}", obj_array94);
    double[] d_array96 = functionEvaluationException95.getArgument();
    java.lang.Object[] obj_array97 = functionEvaluationException95.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException98 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, 1.0d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: ", obj_array97);
    int i99 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i99 == 1);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test082"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    double[] d_array18 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b19 = eventState12.reset(10.0d, d_array18);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array18, true);
    boolean b22 = eventState6.reset(10.0d, d_array18);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.ode.DerivativeException derivativeException32 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException32, 100.0d);
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    java.lang.String str39 = functionEvaluationException38.getPattern();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { str39 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array40);
    java.lang.Object[] obj_array42 = functionEvaluationException41.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array42);
    int i44 = maxIterationsExceededException43.getMaxIterations();
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43);
    java.lang.Object[] obj_array46 = maxIterationsExceededException43.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str39.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test083"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, Double.NaN);
    double[] d_array12 = functionEvaluationException11.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    boolean b21 = eventState4.reset((-1.0d), d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = eventState4.getEventHandler();
    double d23 = eventState4.getMaxCheckInterval();
    int i24 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test084"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    double d6 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test085"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    java.lang.String str48 = functionEvaluationException47.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "evaluation failed for argument = {0}"+ "'", str48.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test086"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    int i13 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    double d17 = brentSolver0.getAbsoluteAccuracy();
    double d18 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test087"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    double d4 = dummyStepInterpolator1.getCurrentTime();
    double d5 = dummyStepInterpolator1.getPreviousTime();
    double d6 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test088"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test089"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    int i4 = brentSolver0.getIterationCount();
    brentSolver0.setAbsoluteAccuracy(10.0d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test090() {}
// Defects4J: flaky method
//   @Test
//   public void test090() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test090"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setFunctionValueAccuracy(1.0E-14d);
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.setAbsoluteAccuracy((-1.0d));
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test091"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException2, 1.0E-6d, "hi!", obj_array5);
    java.lang.Throwable[] throwable_array7 = derivativeException2.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)derivativeException2);
    java.lang.String str9 = derivativeException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.ode.DerivativeException: "+ "'", str9.equals("org.apache.commons.math.ode.DerivativeException: "));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test092"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0E-6d, 0);
    double d5 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test093"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 0);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test094"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    boolean b65 = dummyStepInterpolator64.isForward();
    dummyStepInterpolator64.storeTime(1.0E-15d);
    dummyStepInterpolator64.shift();
    boolean b69 = dummyStepInterpolator64.isForward();
    double[] d_array70 = dummyStepInterpolator64.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test095"); }


    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException11, 100.0d);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    java.lang.String str18 = functionEvaluationException17.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException17);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    java.lang.Throwable throwable21 = null;
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable21, "", obj_array23);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(throwable21, d_array25, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { functionEvaluationException44 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "Maximal number of iterations ({0}) exceeded", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException20, d_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException50, Double.NaN);
    double[] d_array53 = functionEvaluationException52.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver55 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i56 = brentSolver55.getMaximalIterationCount();
    brentSolver55.resetMaximalIterationCount();
    brentSolver55.setMaximalIterationCount(10);
    brentSolver55.setMaximalIterationCount((-1));
    double d62 = brentSolver55.getFunctionValueAccuracy();
    java.lang.Object[] obj_array63 = new java.lang.Object[] { d62 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "evaluation failed for argument = {0}", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException20, "org.apache.commons.math.ode.DerivativeException: ", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException65);
    java.lang.Throwable[] throwable_array67 = mathException66.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", (java.lang.Object[])throwable_array67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array67);

  }

  @Test
  public void test096() {}
// Defects4J: flaky method
//   @Test
//   public void test096() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test096"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(univariateRealFunction8, 1.0E-6d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test097"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getMaxCheckInterval();
    boolean b7 = eventState4.stop();
    double d8 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    double d15 = eventState14.getConvergence();
    double[] d_array20 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b21 = eventState14.reset(10.0d, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator24 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator23);
    double d25 = dummyStepInterpolator23.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator26 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator23);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator27 = dummyStepInterpolator26.copy();
    dummyStepInterpolator26.shift();
    double d29 = dummyStepInterpolator26.getCurrentTime();
    double[] d_array30 = dummyStepInterpolator26.getInterpolatedState();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(100.0d, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test098"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NaN);
    double[] d_array4 = functionEvaluationException3.getArgument();
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.ode.DerivativeException derivativeException28 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException27);
    java.lang.String str29 = derivativeException28.getPattern();
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)derivativeException28);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.ode.DerivativeException derivativeException39 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException39, 100.0d);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44);
    java.lang.String str46 = functionEvaluationException45.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str52 = maxIterationsExceededException51.getPattern();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { maxIterationsExceededException51 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException47, (-1.0d), "hi!", obj_array53);
    double[] d_array55 = functionEvaluationException54.getArgument();
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "hi!", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException30, d_array55);
    java.lang.String str66 = functionEvaluationException65.toString();
    double[] d_array67 = functionEvaluationException65.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + ""+ "'", str29.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str46.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str52.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str66.equals("org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);

  }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test099"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     brentSolver0.resetAbsoluteAccuracy();
//     int i16 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 0);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test100"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d3 = brentSolver0.getFunctionValueAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test101"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test102"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetAbsoluteAccuracy();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = brentSolver0.solve(univariateRealFunction11, (-1.0d), 1.0d, 1.0E-15d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test103"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException30, 100.0d);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    java.lang.String str37 = functionEvaluationException36.getPattern();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { str37 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array38);
    java.lang.Throwable throwable41 = null;
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator56 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array53, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator57 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator56);
    dummyStepInterpolator56.finalizeStep();
    double d59 = dummyStepInterpolator56.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator60 = dummyStepInterpolator56.copy();
    double[] d_array61 = dummyStepInterpolator56.getInterpolatedState();
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(throwable42, d_array61, "org.apache.commons.math.ode.DerivativeException: ", obj_array63);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException69 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException69.addSuppressed((java.lang.Throwable)maxIterationsExceededException71);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException79 = new org.apache.commons.math.ode.events.EventException("", obj_array78);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException69, "", obj_array78);
    java.lang.Throwable[] throwable_array82 = convergenceException81.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(throwable41, d_array61, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", (java.lang.Object[])throwable_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.ode.DerivativeException: ", (java.lang.Object[])throwable_array82);
    double[] d_array86 = functionEvaluationException85.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test104"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    double d12 = eventState4.getEventTime();
    double[] d_array14 = null;
    boolean b15 = eventState4.reset(0.0d, d_array14);
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = eventState4.getEventHandler();
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable29 = null;
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array34, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable29, d_array34);
    java.lang.Throwable throwable53 = null;
    java.lang.Object[] obj_array55 = null;
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(throwable53, "", obj_array55);
    java.lang.Object[] obj_array57 = mathException56.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "hi!", obj_array57);
    boolean b59 = eventState27.reset(0.0d, d_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException22, d_array34);
    boolean b61 = eventState4.reset(1.0E-14d, d_array34);
    double d62 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 100.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test105"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test106"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    dummyStepInterpolator5.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator8 = dummyStepInterpolator5.copy();
    dummyStepInterpolator5.storeTime(1.0E-6d);
    dummyStepInterpolator5.storeTime(1.0E-14d);
    boolean b13 = dummyStepInterpolator5.isForward();
    double[] d_array14 = dummyStepInterpolator5.getInterpolatedState();
    double d15 = dummyStepInterpolator5.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test107"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState7.getEventHandler();
    double d9 = eventState7.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, Double.NaN);
    double[] d_array15 = functionEvaluationException14.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array22 = maxIterationsExceededException19.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    boolean b24 = eventState7.reset((-1.0d), d_array15);
    java.lang.Throwable throwable27 = null;
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.ode.DerivativeException derivativeException37 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException37, 100.0d);
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    java.lang.String str44 = functionEvaluationException43.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str50 = maxIterationsExceededException49.getPattern();
    java.lang.Object[] obj_array51 = new java.lang.Object[] { maxIterationsExceededException49 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException45, (-1.0d), "hi!", obj_array51);
    java.lang.Object[] obj_array53 = functionEvaluationException52.getArguments();
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(throwable27, "Maximal number of iterations ({0}) exceeded", obj_array53);
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array53);
    org.apache.commons.math.ode.DerivativeException derivativeException57 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.ode.DerivativeException: ", obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str44.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str50.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test108"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.storeTime(1.0E-15d);
    double d7 = dummyStepInterpolator0.getInterpolatedTime();
    java.io.ObjectInput objectInput8 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.readExternal(objectInput8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test109"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = brentSolver0.solve(univariateRealFunction7, 10.0d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test110"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler16, 100.0d, 1.0d, 100);
    double d21 = eventState20.getConvergence();
    double[] d_array26 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b27 = eventState20.reset(10.0d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator29 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, true);
    boolean b30 = eventState14.reset(0.0d, d_array26);
    boolean b31 = eventState4.reset(1.0E-14d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator33 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, false);
    dummyStepInterpolator33.setInterpolatedTime(1.0d);
    double d36 = dummyStepInterpolator33.getInterpolatedTime();
    dummyStepInterpolator33.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test111"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    dummyStepInterpolator14.storeTime(100.0d);
    double[] d_array19 = dummyStepInterpolator14.getInterpolatedDerivatives();
    java.io.ObjectOutput objectOutput20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator14.writeExternal(objectOutput20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test112"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    int i7 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test113"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d7 = dummyStepInterpolator6.getInterpolatedTime();
    dummyStepInterpolator6.setInterpolatedTime(1.0E-14d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator6);
    double d11 = dummyStepInterpolator10.getInterpolatedTime();
    boolean b12 = dummyStepInterpolator10.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator13 = dummyStepInterpolator10.copy();
    dummyStepInterpolator10.setInterpolatedTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator13);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test114"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-15d, 10);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = eventState4.evaluateStep(stepInterpolator5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() {}
// Defects4J: flaky method
//   @Test
//   public void test115() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test115"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     int i2 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d3 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 0);
// 
//   }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test116"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 10.0d, Double.NaN, 10);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test117"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    dummyStepInterpolator13.storeTime(1.0E-6d);
    dummyStepInterpolator13.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = dummyStepInterpolator13.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator13.copy();
    boolean b20 = dummyStepInterpolator13.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test118"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException14, 100.0d);
    eventException5.addSuppressed((java.lang.Throwable)derivativeException14);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.ode.DerivativeException derivativeException27 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException27, 100.0d);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    java.lang.String str34 = functionEvaluationException33.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException33);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str40 = maxIterationsExceededException39.getPattern();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { maxIterationsExceededException39 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException35, (-1.0d), "hi!", obj_array41);
    double[] d_array43 = functionEvaluationException42.getArgument();
    java.lang.Throwable throwable45 = null;
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(throwable45, "", obj_array47);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    double[] d_array58 = new double[] {  };
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array58, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(throwable45, d_array49, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "hi!", obj_array62);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array72);
    org.apache.commons.math.ode.events.EventHandler eventHandler78 = null;
    org.apache.commons.math.ode.events.EventState eventState82 = new org.apache.commons.math.ode.events.EventState(eventHandler78, 100.0d, 1.0d, 100);
    double d83 = eventState82.getConvergence();
    double[] d_array88 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b89 = eventState82.reset(10.0d, d_array88);
    java.lang.Object[] obj_array90 = new java.lang.Object[] { b89 };
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException91, 100.0d);
    java.lang.Throwable[] throwable_array94 = functionEvaluationException93.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException75, "Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException14, "org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.ode.events.EventException eventException97 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.ode.events.EventException eventException98 = new org.apache.commons.math.ode.events.EventException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array94);
    java.lang.String str99 = eventException98.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str34.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str40.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str99 + "' != '" + "org.apache.commons.math.ode.events.EventException: Maximal number of iterations ({0}) exceeded"+ "'", str99.equals("org.apache.commons.math.ode.events.EventException: Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test119() {}
// Defects4J: flaky method
//   @Test
//   public void test119() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test119"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(1.0E-6d);
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 100.0d, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test120"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    double[] d_array42 = functionEvaluationException1.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator44 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array42, true);
    dummyStepInterpolator44.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test121"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array9);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException67 = new org.apache.commons.math.ode.DerivativeException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array63);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator70 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array9, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test122() {}
// Defects4J: flaky method
//   @Test
//   public void test122() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test122"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     double d7 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d10 = brentSolver0.getAbsoluteAccuracy();
//     double d11 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i14 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = brentSolver0.solve(univariateRealFunction15, 1.0E-6d, 0.0d, 10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == (-1));
// 
//   }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test123"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    int i7 = brentSolver0.getIterationCount();
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setMaximalIterationCount(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test124"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    double[] d_array7 = functionEvaluationException6.getArgument();
    double[] d_array8 = functionEvaluationException6.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 100.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    java.lang.Throwable throwable14 = null;
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array19, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array19);
    java.lang.Throwable throwable38 = null;
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(throwable38, "", obj_array40);
    java.lang.Object[] obj_array42 = mathException41.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "hi!", obj_array42);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array19, "Maximal number of iterations ({0}) exceeded", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException12);
    double[] d_array55 = functionEvaluationException12.getArgument();
    java.lang.Throwable throwable56 = null;
    java.lang.Throwable throwable57 = null;
    java.lang.Object[] obj_array59 = null;
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(throwable57, "", obj_array59);
    double[] d_array61 = new double[] {  };
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException("", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array61, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array61);
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(throwable57, d_array61, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(throwable56, d_array61);
    java.lang.Throwable throwable80 = null;
    java.lang.Object[] obj_array82 = null;
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException(throwable80, "", obj_array82);
    java.lang.Object[] obj_array84 = mathException83.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array61, "hi!", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, d_array61);
    org.apache.commons.math.ode.events.EventException eventException87 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException86);
    functionEvaluationException6.addSuppressed((java.lang.Throwable)functionEvaluationException86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test125() {}
// Defects4J: flaky method
//   @Test
//   public void test125() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test125"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     double d12 = brentSolver0.getFunctionValueAccuracy();
//     int i13 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == (-1));
// 
//   }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test126"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str21 = maxIterationsExceededException20.getPattern();
    java.lang.Object[] obj_array22 = new java.lang.Object[] { maxIterationsExceededException20 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, (-1.0d), "hi!", obj_array22);
    double[] d_array24 = functionEvaluationException23.getArgument();
    java.lang.Throwable throwable26 = null;
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable26, "", obj_array28);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(throwable26, d_array30, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "hi!", obj_array43);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, d_array48);
    double[] d_array50 = functionEvaluationException49.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator52 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array50, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str21.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test127"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    int i38 = eventState4.getMaxIterationCount();
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator49 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array40, false);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator50 = dummyStepInterpolator49.copy();
    double[] d_array51 = dummyStepInterpolator49.getInterpolatedDerivatives();
    boolean b52 = eventState4.reset(100.0d, d_array51);
    double d53 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test128"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    boolean b28 = eventState4.reset(0.0d, d_array11);
    int i29 = eventState4.getMaxIterationCount();
    boolean b30 = eventState4.stop();
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.ode.DerivativeException derivativeException39 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException39, 100.0d);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44);
    java.lang.String str46 = functionEvaluationException45.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException47);
    java.lang.Throwable throwable49 = null;
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable49, "", obj_array51);
    double[] d_array53 = new double[] {  };
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array62 = new double[] {  };
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException67 = new org.apache.commons.math.ode.events.EventException("", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array62, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(throwable49, d_array53, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { functionEvaluationException72 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "Maximal number of iterations ({0}) exceeded", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException48, d_array53);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator77 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array53, false);
    double d78 = dummyStepInterpolator77.getCurrentTime();
    dummyStepInterpolator77.setInterpolatedTime(1.0E-15d);
    // The following exception was thrown during execution in test generation
    try {
      boolean b81 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator77);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str46.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d78, Double.NaN, 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test129"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 10.0d, (-1));
    int i5 = eventState4.getMaxIterationCount();
    double[] d_array10 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, false);
    double[] d_array13 = dummyStepInterpolator12.getInterpolatedState();
    boolean b14 = dummyStepInterpolator12.isForward();
    double d15 = dummyStepInterpolator12.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator16 = dummyStepInterpolator12.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator12.copy();
    double d18 = dummyStepInterpolator12.getPreviousTime();
    double[] d_array19 = dummyStepInterpolator12.getInterpolatedDerivatives();
    double[] d_array20 = dummyStepInterpolator12.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test130"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.resetRelativeAccuracy();
    int i11 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test131() {}
// Defects4J: flaky method
//   @Test
//   public void test131() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test131"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     double d8 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     brentSolver0.setRelativeAccuracy(10.0d);
//     double d13 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(1.0d, 10.0d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0E-6d);
// 
//   }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test132"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    int i2 = brentSolver0.getIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test133"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    int i10 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test134"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getMaxCheckInterval();
    int i10 = eventState4.getMaxIterationCount();
    double d11 = eventState4.getEventTime();
    double[] d_array16 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    boolean b19 = eventState4.reset(1.0E-15d, d_array16);
    double d20 = eventState4.getEventTime();
    int i21 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 1.0E-14d, 1.0E-15d, 0);
    int i28 = eventState27.getMaxIterationCount();
    double[] d_array33 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array33, false);
    double[] d_array36 = dummyStepInterpolator35.getInterpolatedDerivatives();
    boolean b37 = eventState27.reset(1.0E-15d, d_array36);
    boolean b38 = eventState4.reset(0.0d, d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test135"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException2 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, Double.NaN);
    double[] d_array9 = functionEvaluationException8.getArgument();
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, Double.NaN);
    double[] d_array38 = functionEvaluationException37.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver40 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i41 = brentSolver40.getMaximalIterationCount();
    brentSolver40.resetMaximalIterationCount();
    brentSolver40.setMaximalIterationCount(10);
    brentSolver40.setMaximalIterationCount((-1));
    double d47 = brentSolver40.getFunctionValueAccuracy();
    java.lang.Object[] obj_array48 = new java.lang.Object[] { d47 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "evaluation failed for argument = {0}", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array9, "org.apache.commons.math.ode.events.EventException: ", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str54 = maxIterationsExceededException53.getPattern();
    java.lang.Throwable[] throwable_array55 = maxIterationsExceededException53.getSuppressed();
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array55);
    java.lang.String str57 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.ode.DerivativeException derivativeException58 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str4.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str54.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str57.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test136"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, Double.NaN);
    double[] d_array5 = functionEvaluationException4.getArgument();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    double[] d_array29 = functionEvaluationException28.getArgument();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array40);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28, "", obj_array40);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test137() {}
// Defects4J: flaky method
//   @Test
//   public void test137() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test137"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test138"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: ", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test139"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedDerivatives();
    java.io.ObjectOutput objectOutput18 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator14.writeExternal(objectOutput18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test140"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    java.lang.Throwable[] throwable_array19 = convergenceException18.getSuppressed();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test141"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(Double.NaN);
    int i7 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test142"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array7 = null;
    boolean b8 = eventState4.reset(0.0d, d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, Double.NaN);
    double[] d_array14 = functionEvaluationException13.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver16 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i17 = brentSolver16.getMaximalIterationCount();
    brentSolver16.resetMaximalIterationCount();
    brentSolver16.setMaximalIterationCount(10);
    brentSolver16.setMaximalIterationCount((-1));
    double d23 = brentSolver16.getFunctionValueAccuracy();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "evaluation failed for argument = {0}", obj_array24);
    boolean b26 = eventState4.reset(0.0d, d_array14);
    double d27 = eventState4.getConvergence();
    int i28 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 1.0E-15d, 1.0d, 1);
    double d35 = eventState34.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math.ode.events.EventState eventState41 = new org.apache.commons.math.ode.events.EventState(eventHandler37, 100.0d, 1.0d, 100);
    double d42 = eventState41.getConvergence();
    double[] d_array47 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b48 = eventState41.reset(10.0d, d_array47);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator50 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array47, true);
    double[] d_array51 = dummyStepInterpolator50.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator53 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator55 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator57 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    boolean b58 = eventState34.reset(1.0E-6d, d_array51);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(Double.NaN, d_array51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test143"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-6d, 0);
    double d5 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test144"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    int i10 = brentSolver0.getIterationCount();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    double d15 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 100.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test145"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    double d5 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    boolean b7 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    java.lang.Throwable throwable10 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable10, "", obj_array12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array14, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { functionEvaluationException33 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "Maximal number of iterations ({0}) exceeded", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException35, 1.0d);
    double[] d_array38 = functionEvaluationException37.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str43 = maxIterationsExceededException42.getPattern();
    java.lang.Throwable[] throwable_array44 = maxIterationsExceededException42.getSuppressed();
    java.lang.Throwable throwable47 = null;
    java.lang.Object[] obj_array49 = null;
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(throwable47, "", obj_array49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    double[] d_array60 = new double[] {  };
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException65 = new org.apache.commons.math.ode.events.EventException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(throwable47, d_array51, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { functionEvaluationException70 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "Maximal number of iterations ({0}) exceeded", obj_array71);
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException42, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 10.0d);
    double[] d_array78 = functionEvaluationException77.getArgument();
    boolean b79 = eventState4.reset(1.0E-15d, d_array78);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator80 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator81 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator80);
    double d82 = dummyStepInterpolator80.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator83 = dummyStepInterpolator80.copy();
    dummyStepInterpolator80.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator85 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator80);
    dummyStepInterpolator85.storeTime(0.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator88 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator85);
    // The following exception was thrown during execution in test generation
    try {
      boolean b89 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator88);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str43.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator83);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test146"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str21 = maxIterationsExceededException20.getPattern();
    java.lang.Object[] obj_array22 = new java.lang.Object[] { maxIterationsExceededException20 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, (-1.0d), "hi!", obj_array22);
    double[] d_array24 = functionEvaluationException23.getArgument();
    java.lang.Throwable throwable26 = null;
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable26, "", obj_array28);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(throwable26, d_array30, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "hi!", obj_array43);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException56);
    java.lang.String str58 = functionEvaluationException56.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str21.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str58.equals("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test147"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test148"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i6 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d9 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test149"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    dummyStepInterpolator13.storeTime(1.0E-6d);
    boolean b17 = dummyStepInterpolator13.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test150"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test151"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test152"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    double d12 = eventState4.getEventTime();
    double[] d_array14 = null;
    boolean b15 = eventState4.reset(0.0d, d_array14);
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = eventState4.getEventHandler();
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable29 = null;
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(throwable30, d_array34, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable29, d_array34);
    java.lang.Throwable throwable53 = null;
    java.lang.Object[] obj_array55 = null;
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(throwable53, "", obj_array55);
    java.lang.Object[] obj_array57 = mathException56.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "hi!", obj_array57);
    boolean b59 = eventState27.reset(0.0d, d_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException22, d_array34);
    boolean b61 = eventState4.reset(1.0E-14d, d_array34);
    org.apache.commons.math.ode.events.EventHandler eventHandler62 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler62);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test153"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.setRelativeAccuracy(0.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test154"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 100.0d, 1.0d, 100);
    double d14 = eventState13.getConvergence();
    double[] d_array19 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b20 = eventState13.reset(10.0d, d_array19);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, true);
    boolean b23 = eventState7.reset(10.0d, d_array19);
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 100.0d, 1.0d, 100);
    double d30 = eventState29.getConvergence();
    double[] d_array35 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b36 = eventState29.reset(10.0d, d_array35);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator38 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array35, true);
    boolean b39 = eventState7.reset(100.0d, d_array35);
    double d40 = eventState7.getConvergence();
    int i41 = eventState7.getMaxIterationCount();
    double d42 = eventState7.getConvergence();
    double d43 = eventState7.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, Double.NaN);
    double[] d_array49 = functionEvaluationException48.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException53);
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException53);
    java.lang.Object[] obj_array56 = maxIterationsExceededException53.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array56);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator59 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array49, false);
    boolean b60 = eventState7.reset(0.0d, d_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException64 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i65 = maxIterationsExceededException64.getMaxIterations();
    java.lang.Throwable throwable67 = null;
    java.lang.Object[] obj_array69 = null;
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable67, "", obj_array69);
    double[] d_array71 = new double[] {  };
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    double[] d_array80 = new double[] {  };
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array80, "", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(throwable67, d_array71, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array91 = new java.lang.Object[] { functionEvaluationException90 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "Maximal number of iterations ({0}) exceeded", obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException93 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException64, "org.apache.commons.math.MathException: ", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "org.apache.commons.math.ode.events.EventException: ", obj_array91);
    org.apache.commons.math.ode.DerivativeException derivativeException95 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {(NaN)}", obj_array91);
    org.apache.commons.math.ode.DerivativeException derivativeException96 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array91);
    org.apache.commons.math.ode.DerivativeException derivativeException97 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test155() {}
// Defects4J: flaky method
//   @Test
//   public void test155() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test155"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setRelativeAccuracy(100.0d);
//     brentSolver0.setAbsoluteAccuracy((-1.0d));
//     double d7 = brentSolver0.getRelativeAccuracy();
//     int i8 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 100.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 10);
// 
//   }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test156"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException4, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array17);
    org.apache.commons.math.ode.DerivativeException derivativeException21 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException23);
    java.lang.Throwable throwable25 = null;
    java.lang.Throwable throwable26 = null;
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable26, "", obj_array28);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(throwable26, d_array30, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(throwable25, d_array30);
    java.lang.Throwable throwable49 = null;
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable49, "", obj_array51);
    java.lang.Object[] obj_array53 = mathException52.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "hi!", obj_array53);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array30, "Maximal number of iterations ({0}) exceeded", obj_array60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException65 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException65, "hi!", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException71);
    double[] d_array73 = new double[] {  };
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException78 = new org.apache.commons.math.ode.events.EventException("", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array73, "", obj_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException72, d_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException23, d_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException21, d_array73);
    java.lang.Throwable[] throwable_array84 = derivativeException21.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array84);
    java.lang.Throwable[] throwable_array86 = convergenceException85.getSuppressed();
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", (java.lang.Object[])throwable_array86);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array86);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test157"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "hi!", obj_array7);
    java.lang.String str10 = maxIterationsExceededException3.toString();
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException17);
    maxIterationsExceededException3.addSuppressed((java.lang.Throwable)derivativeException18);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 100.0d, 1.0d, 100);
    double d35 = eventState34.getConvergence();
    double[] d_array40 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b41 = eventState34.reset(10.0d, d_array40);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array40, true);
    boolean b44 = eventState28.reset(10.0d, d_array40);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.ode.DerivativeException derivativeException54 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException54, 100.0d);
    java.lang.Object[] obj_array59 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array59);
    java.lang.String str61 = functionEvaluationException60.getPattern();
    java.lang.Object[] obj_array62 = new java.lang.Object[] { str61 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array40);
    derivativeException18.addSuppressed((java.lang.Throwable)functionEvaluationException64);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.ode.DerivativeException derivativeException75 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException75, 100.0d);
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array80);
    java.lang.String str82 = functionEvaluationException81.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException81);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException87 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str88 = maxIterationsExceededException87.getPattern();
    java.lang.Object[] obj_array89 = new java.lang.Object[] { maxIterationsExceededException87 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException83, (-1.0d), "hi!", obj_array89);
    java.lang.Object[] obj_array91 = functionEvaluationException90.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException64, "", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array91);
    org.apache.commons.math.ode.events.EventException eventException94 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException93);
    java.lang.String str95 = functionEvaluationException93.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str10.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str61.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str82.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str88.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str95 + "' != '" + "org.apache.commons.math.ode.DerivativeException: hi!"+ "'", str95.equals("org.apache.commons.math.ode.DerivativeException: hi!"));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test158"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.storeTime(1.0E-6d);
    double d7 = dummyStepInterpolator0.getPreviousTime();
    double d8 = dummyStepInterpolator0.getInterpolatedTime();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test159"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getRelativeAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test160"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    double d8 = brentSolver0.getRelativeAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test161"); }


    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array27 = functionEvaluationException26.getArgument();
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException26);
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException26);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException26);
    java.lang.Throwable[] throwable_array31 = mathException30.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test162"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, 1.0d, 10);
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable16 = null;
    java.lang.Throwable throwable17 = null;
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable17, "", obj_array19);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(throwable17, d_array21, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable16, d_array21);
    java.lang.Throwable throwable40 = null;
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable40, "", obj_array42);
    java.lang.Object[] obj_array44 = mathException43.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "hi!", obj_array44);
    boolean b46 = eventState14.reset(0.0d, d_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException9, d_array21);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test163"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i6 = maxIterationsExceededException5.getMaxIterations();
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { functionEvaluationException31 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "Maximal number of iterations ({0}) exceeded", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "org.apache.commons.math.MathException: ", obj_array32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(10, "evaluation failed for argument = {0}", obj_array32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test164"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, Double.NaN);
    double[] d_array12 = functionEvaluationException11.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array19 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    boolean b21 = eventState4.reset((-1.0d), d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = eventState4.getEventHandler();
    double d23 = eventState4.getMaxCheckInterval();
    double d24 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test165"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7, "hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException20, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "hi!", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array24);
    org.apache.commons.math.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler33, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math.ode.events.EventState eventState43 = new org.apache.commons.math.ode.events.EventState(eventHandler39, 100.0d, 1.0d, 100);
    double d44 = eventState43.getConvergence();
    double[] d_array49 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b50 = eventState43.reset(10.0d, d_array49);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator52 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array49, true);
    boolean b53 = eventState37.reset(10.0d, d_array49);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.ode.DerivativeException derivativeException63 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException63, 100.0d);
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array68);
    java.lang.String str70 = functionEvaluationException69.getPattern();
    java.lang.Object[] obj_array71 = new java.lang.Object[] { str70 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array71);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException30, "", obj_array71);
    java.lang.Throwable[] throwable_array75 = convergenceException74.getSuppressed();
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array75);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str70.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test166"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test167"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { functionEvaluationException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 1.0d);
    double[] d_array28 = functionEvaluationException27.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Throwable[] throwable_array34 = maxIterationsExceededException32.getSuppressed();
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { functionEvaluationException60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of iterations ({0}) exceeded", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException66 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException65);
    double[] d_array67 = functionEvaluationException65.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test168"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.ode.DerivativeException derivativeException6 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array4);
    java.lang.String str7 = derivativeException6.toString();
    java.lang.Throwable[] throwable_array8 = derivativeException6.getSuppressed();
    java.lang.Object[] obj_array9 = derivativeException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str7.equals("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test169"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException7, 0.0d);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test170"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b11 = dummyStepInterpolator10.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test171"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-15d, 10);
    double d5 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test172"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime((-1.0d));
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator8 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.setInterpolatedTime(1.0d);
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.finalizeStep();
    double d13 = dummyStepInterpolator0.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-1.0d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test173"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d11 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test174"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, (-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array9);
    double[] d_array14 = functionEvaluationException13.getArgument();
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test175"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 10.0d, (-1));
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, Double.NaN);
    double[] d_array10 = functionEvaluationException9.getArgument();
    boolean b11 = eventState4.reset(Double.NaN, d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test176"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 100.0d, 1.0d, 100);
    double d6 = eventState5.getConvergence();
    double[] d_array11 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b12 = eventState5.reset(10.0d, d_array11);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator14);
    dummyStepInterpolator14.finalizeStep();
    double d17 = dummyStepInterpolator14.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = dummyStepInterpolator14.copy();
    double[] d_array19 = dummyStepInterpolator14.getInterpolatedState();
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array19, "org.apache.commons.math.ode.DerivativeException: ", obj_array21);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator24 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test177"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    int i2 = brentSolver0.getIterationCount();
    int i3 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test178"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getAbsoluteAccuracy();
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    int i9 = brentSolver0.getMaximalIterationCount();
    double d10 = brentSolver0.getRelativeAccuracy();
    double d11 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test179"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Throwable[] throwable_array2 = maxIterationsExceededException1.getSuppressed();
    int i3 = maxIterationsExceededException1.getMaxIterations();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    java.lang.String str5 = maxIterationsExceededException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str5.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test180"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-15d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.0E-14d, 1.0E-15d, 0);
    int i11 = eventState10.getMaxIterationCount();
    double[] d_array16 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, false);
    double[] d_array19 = dummyStepInterpolator18.getInterpolatedDerivatives();
    boolean b20 = eventState10.reset(1.0E-15d, d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    boolean b22 = eventState4.reset(10.0d, d_array19);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 100.0d, 1.0d, 100);
    double d29 = eventState28.getConvergence();
    double[] d_array34 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b35 = eventState28.reset(10.0d, d_array34);
    org.apache.commons.math.ode.events.EventHandler eventHandler36 = eventState28.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = eventState28.getEventHandler();
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException47, 100.0d);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array52);
    java.lang.String str54 = functionEvaluationException53.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str60 = maxIterationsExceededException59.getPattern();
    java.lang.Object[] obj_array61 = new java.lang.Object[] { maxIterationsExceededException59 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException55, (-1.0d), "hi!", obj_array61);
    java.lang.Object[] obj_array63 = functionEvaluationException62.getArguments();
    double[] d_array64 = functionEvaluationException62.getArgument();
    boolean b65 = eventState28.reset(1.0d, d_array64);
    boolean b66 = eventState4.reset(10.0d, d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str54.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str60.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test181"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 1.0E-6d, "Maximal number of iterations ({0}) exceeded", obj_array3);
    java.lang.Object[] obj_array5 = functionEvaluationException4.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test182"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 100.0d, 1.0d, 100);
    double d6 = eventState5.getConvergence();
    double[] d_array11 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b12 = eventState5.reset(10.0d, d_array11);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, true);
    double[] d_array15 = dummyStepInterpolator14.getInterpolatedState();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    java.lang.Object[] obj_array24 = mathException23.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException18, "Maximal number of iterations ({0}) exceeded", obj_array24);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException25, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    java.lang.Object[] obj_array30 = convergenceException25.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "evaluation failed for argument = {0}", obj_array30);
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array30);
    java.lang.String str33 = eventException32.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"+ "'", str33.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test183"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { eventState8 };
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "", obj_array9);
    int i12 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.ode.events.EventState eventState17 = new org.apache.commons.math.ode.events.EventState(eventHandler13, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable19 = null;
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array24);
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    java.lang.Object[] obj_array47 = mathException46.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "hi!", obj_array47);
    boolean b49 = eventState17.reset(0.0d, d_array24);
    org.apache.commons.math.ode.events.EventHandler eventHandler55 = null;
    org.apache.commons.math.ode.events.EventState eventState59 = new org.apache.commons.math.ode.events.EventState(eventHandler55, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { eventState59 };
    org.apache.commons.math.ode.DerivativeException derivativeException61 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array24);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array24, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator68 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator67);
    java.io.ObjectInput objectInput69 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator68.readExternal(objectInput69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test184"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException43, "hi!", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException49);
    double[] d_array51 = new double[] {  };
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "", obj_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException50, d_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array51);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array51, false);
    double d63 = dummyStepInterpolator62.getCurrentTime();
    dummyStepInterpolator62.finalizeStep();
    double d65 = dummyStepInterpolator62.getPreviousTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator66 = dummyStepInterpolator62.copy();
    java.io.ObjectInput objectInput67 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator62.readExternal(objectInput67);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator66);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test185"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    double d18 = dummyStepInterpolator16.getInterpolatedTime();
    dummyStepInterpolator16.setInterpolatedTime(100.0d);
    double d21 = dummyStepInterpolator16.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 100.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test186"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.0d), (-1.0d), 1);
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    double[] d_array20 = dummyStepInterpolator19.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    java.lang.Throwable throwable22 = null;
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array27, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, d_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, 0.0d);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "evaluation failed for argument = {0}", obj_array56);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException46, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array56);
    java.lang.Object[] obj_array61 = functionEvaluationException46.getArguments();
    org.apache.commons.math.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math.ode.events.EventState eventState66 = new org.apache.commons.math.ode.events.EventState(eventHandler62, 100.0d, 1.0d, 100);
    double d67 = eventState66.getConvergence();
    double[] d_array72 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b73 = eventState66.reset(10.0d, d_array72);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator75 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array72, true);
    double[] d_array76 = dummyStepInterpolator75.getInterpolatedState();
    dummyStepInterpolator75.setInterpolatedTime((-1.0d));
    double[] d_array79 = dummyStepInterpolator75.getInterpolatedDerivatives();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException46, d_array79);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test187"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator5.storeTime(10.0d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator8 = dummyStepInterpolator5.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator9 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator8);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test188"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, Double.NaN);
    double[] d_array21 = functionEvaluationException20.getArgument();
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array27, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    double[] d_array45 = functionEvaluationException44.getArgument();
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException16, d_array45, "org.apache.commons.math.ode.DerivativeException: ", obj_array51);
    java.lang.Object[] obj_array55 = eventException16.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array55);
    double[] d_array57 = functionEvaluationException56.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator59 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array57, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator61 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array57, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test189"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.resetRelativeAccuracy();
    int i11 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test190"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getMaximalIterationCount();
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = brentSolver0.solve(univariateRealFunction13, 0.0d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 10);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test191"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    dummyStepInterpolator16.shift();
    dummyStepInterpolator16.storeTime(100.0d);
    double[] d_array21 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator16);
    dummyStepInterpolator16.storeTime((-1.0d));
    double[] d_array25 = dummyStepInterpolator16.getInterpolatedState();
    double d26 = dummyStepInterpolator16.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator27 = dummyStepInterpolator16.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator28 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator27);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test192"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, Double.NaN);
    double[] d_array5 = functionEvaluationException4.getArgument();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    double[] d_array29 = functionEvaluationException28.getArgument();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array40);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28, "", obj_array40);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test193"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array8);
    java.lang.String str14 = maxIterationsExceededException13.getPattern();
    java.lang.Object[] obj_array15 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test194"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ode.DerivativeException derivativeException5 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException4);
    java.lang.Throwable throwable10 = null;
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array15);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "hi!", obj_array38);
    java.lang.Throwable throwable42 = null;
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(throwable42, "", obj_array44);
    java.lang.Object[] obj_array46 = mathException45.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException4, "org.apache.commons.math.ConvergenceException: ", obj_array46);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "org.apache.commons.math.ode.DerivativeException: ", obj_array46);
    double[] d_array57 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator59 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array57, false);
    double[] d_array60 = dummyStepInterpolator59.getInterpolatedState();
    boolean b61 = dummyStepInterpolator59.isForward();
    double d62 = dummyStepInterpolator59.getInterpolatedTime();
    dummyStepInterpolator59.shift();
    double[] d_array64 = dummyStepInterpolator59.getInterpolatedDerivatives();
    java.lang.Throwable throwable67 = null;
    java.lang.Object[] obj_array69 = null;
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable67, "", obj_array69);
    double[] d_array71 = new double[] {  };
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    double[] d_array80 = new double[] {  };
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array80, "", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(throwable67, d_array71, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array84);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException90 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array91 = new java.lang.Object[] { functionEvaluationException90 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "Maximal number of iterations ({0}) exceeded", obj_array91);
    org.apache.commons.math.ode.events.EventException eventException93 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array91);
    org.apache.commons.math.MathException mathException95 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException51, "org.apache.commons.math.ode.events.EventException: hi!", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test195"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13);
    java.lang.Throwable throwable15 = null;
    java.lang.Throwable throwable16 = null;
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable16, "", obj_array18);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(throwable16, d_array20, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array20);
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    java.lang.Object[] obj_array43 = mathException42.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "hi!", obj_array43);
    double[] d_array46 = new double[] {  };
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException("", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array20, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException("", obj_array59);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException55, "hi!", obj_array59);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException61);
    double[] d_array63 = new double[] {  };
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException68 = new org.apache.commons.math.ode.events.EventException("", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException62, d_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException11, d_array63);
    java.lang.Object[] obj_array74 = derivativeException11.getArguments();
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array74);
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)mathException75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test196"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array7 = null;
    boolean b8 = eventState4.reset(0.0d, d_array7);
    boolean b9 = eventState4.stop();
    boolean b10 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math.ode.events.EventState eventState16 = new org.apache.commons.math.ode.events.EventState(eventHandler12, 100.0d, 1.0d, 100);
    double d17 = eventState16.getConvergence();
    double[] d_array22 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b23 = eventState16.reset(10.0d, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator25 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator26 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator25);
    double d27 = dummyStepInterpolator26.getInterpolatedTime();
    double d28 = dummyStepInterpolator26.getPreviousTime();
    double[] d_array29 = dummyStepInterpolator26.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0E-6d, d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test197"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    java.lang.Object[] obj_array28 = mathException27.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "hi!", obj_array28);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException42, "hi!", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException29, d_array30, "", obj_array46);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException52);
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException56, Double.NaN);
    double[] d_array59 = functionEvaluationException58.getArgument();
    java.lang.Throwable throwable61 = null;
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException(throwable61, "", obj_array63);
    double[] d_array65 = new double[] {  };
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    double[] d_array74 = new double[] {  };
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException79 = new org.apache.commons.math.ode.events.EventException("", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array74, "", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException(throwable61, d_array65, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array78);
    double[] d_array83 = functionEvaluationException82.getArgument();
    java.lang.Object[] obj_array89 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException90 = new org.apache.commons.math.ode.events.EventException("", obj_array89);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException91 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array89);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException54, d_array83, "org.apache.commons.math.ode.DerivativeException: ", obj_array89);
    functionEvaluationException50.addSuppressed((java.lang.Throwable)functionEvaluationException92);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException50);
    java.lang.String str95 = functionEvaluationException50.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str95 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str95.equals("org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test198"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test199() {}
// Defects4J: flaky method
//   @Test
//   public void test199() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test199"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     double d8 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve((-1.0d), Double.NaN, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-14d);
// 
//   }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test200"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array7 = null;
    boolean b8 = eventState4.reset(0.0d, d_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, Double.NaN);
    double[] d_array14 = functionEvaluationException13.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver16 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i17 = brentSolver16.getMaximalIterationCount();
    brentSolver16.resetMaximalIterationCount();
    brentSolver16.setMaximalIterationCount(10);
    brentSolver16.setMaximalIterationCount((-1));
    double d23 = brentSolver16.getFunctionValueAccuracy();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { d23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "evaluation failed for argument = {0}", obj_array24);
    boolean b26 = eventState4.reset(0.0d, d_array14);
    double d27 = eventState4.getConvergence();
    int i28 = eventState4.getMaxIterationCount();
    boolean b29 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test201() {}
// Defects4J: flaky method
//   @Test
//   public void test201() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test201"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(univariateRealFunction4, 100.0d, 10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
// 
//   }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test202"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array9);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException14, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException22);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException24);
    java.lang.Throwable[] throwable_array26 = convergenceException25.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException14, "org.apache.commons.math.MaxIterationsExceededException: ", (java.lang.Object[])throwable_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test203"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.storeTime(1.0E-6d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator7 = dummyStepInterpolator0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator7);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test204"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test205"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getMaxCheckInterval();
    double d8 = eventState4.getMaxCheckInterval();
    int i9 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState4.getEventHandler();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13);
    java.lang.Throwable throwable15 = null;
    java.lang.Throwable throwable16 = null;
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable16, "", obj_array18);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
    double[] d_array29 = new double[] {  };
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException34 = new org.apache.commons.math.ode.events.EventException("", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(throwable16, d_array20, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array33);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array20);
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    java.lang.Object[] obj_array43 = mathException42.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "hi!", obj_array43);
    double[] d_array46 = new double[] {  };
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException("", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, d_array20, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException13);
    double[] d_array55 = functionEvaluationException13.getArgument();
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "org.apache.commons.math.ConvergenceException: ", obj_array57);
    double[] d_array59 = functionEvaluationException13.getArgument();
    boolean b60 = eventState4.reset(100.0d, d_array59);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array59, false);
    double d63 = dummyStepInterpolator62.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test206"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    dummyStepInterpolator14.storeTime(100.0d);
    double[] d_array19 = dummyStepInterpolator14.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, false);
    dummyStepInterpolator21.setInterpolatedTime(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test207"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.storeTime(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test208"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)derivativeException2);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("evaluation failed for argument = {0}", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)derivativeException12);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)derivativeException13);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.ode.DerivativeException derivativeException44 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: ", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException13, Double.NaN, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    derivativeException2.addSuppressed((java.lang.Throwable)derivativeException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test209"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d8 = dummyStepInterpolator7.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test210"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d1 = dummyStepInterpolator0.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test211"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.setRelativeAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test212"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    boolean b3 = dummyStepInterpolator0.isForward();
    double d4 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d6 = dummyStepInterpolator5.getCurrentTime();
    java.io.ObjectOutput objectOutput7 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.writeExternal(objectOutput7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test213"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetRelativeAccuracy();

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test214"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    java.lang.String str8 = maxIterationsExceededException1.toString();
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.ode.DerivativeException derivativeException16 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException15);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)derivativeException16);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException16, 1.0E-15d, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException67);
    java.lang.Throwable throwable69 = null;
    // The following exception was thrown during execution in test generation
    try {
      functionEvaluationException67.addSuppressed(throwable69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test215"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 10.0d, (-1));
    int i5 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    double[] d_array20 = dummyStepInterpolator19.getInterpolatedState();
    dummyStepInterpolator19.storeTime(1.0E-6d);
    dummyStepInterpolator19.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator24 = dummyStepInterpolator19.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator25 = dummyStepInterpolator19.copy();
    // The following exception was thrown during execution in test generation
    try {
      boolean b26 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator25);

  }

  @Test
  public void test216() {}
// Defects4J: flaky method
//   @Test
//   public void test216() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test216"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getRelativeAccuracy();
//     double d5 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(1.0E-15d, 1.0E-15d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-6d);
// 
//   }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test217"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    dummyStepInterpolator5.shift();
    double[] d_array10 = dummyStepInterpolator5.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator11 = dummyStepInterpolator5.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator11);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test218"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test219"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    dummyStepInterpolator5.storeTime(0.0d);
    double d10 = dummyStepInterpolator5.getCurrentTime();
    dummyStepInterpolator5.setInterpolatedTime(1.0d);
    boolean b13 = dummyStepInterpolator5.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test220"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    double d8 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test221"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getRelativeAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    int i9 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test222"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException8, d_array9);
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 100.0d, 1.0d, 100);
    double d48 = eventState47.getConvergence();
    double[] d_array53 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b54 = eventState47.reset(10.0d, d_array53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    java.lang.Object[] obj_array63 = mathException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException57, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException42, d_array53, "Maximal number of iterations ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(throwable20, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException67 = new org.apache.commons.math.ode.DerivativeException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array63);
    java.lang.Throwable[] throwable_array69 = functionEvaluationException68.getSuppressed();
    java.lang.Object[] obj_array70 = functionEvaluationException68.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test223"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    double[] d_array18 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b19 = eventState12.reset(10.0d, d_array18);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array18, true);
    boolean b22 = eventState6.reset(10.0d, d_array18);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.ode.DerivativeException derivativeException32 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException32, 100.0d);
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException34, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    java.lang.String str39 = functionEvaluationException38.getPattern();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { str39 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array40);
    java.lang.Object[] obj_array42 = functionEvaluationException41.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array42);
    java.lang.String str44 = maxIterationsExceededException43.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str39.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100"+ "'", str44.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100"));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test224"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, (-1.0d), 1);
    int i5 = eventState4.getMaxIterationCount();
    double[] d_array10 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, false);
    double[] d_array13 = dummyStepInterpolator12.getInterpolatedState();
    boolean b14 = dummyStepInterpolator12.isForward();
    double d15 = dummyStepInterpolator12.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator16 = dummyStepInterpolator12.copy();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator12.copy();
    double d18 = dummyStepInterpolator12.getPreviousTime();
    double[] d_array19 = dummyStepInterpolator12.getInterpolatedDerivatives();
    double[] d_array20 = dummyStepInterpolator12.getInterpolatedDerivatives();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(100.0d, d_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test225"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    double[] d_array18 = dummyStepInterpolator16.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
    double[] d_array37 = new double[] {  };
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException42 = new org.apache.commons.math.ode.events.EventException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array37, "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable24, d_array28, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException21, (-1.0d), "", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "org.apache.commons.math.ode.events.EventException: hi!", obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test226"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    boolean b5 = eventState4.stop();
    int i6 = eventState4.getMaxIterationCount();
    boolean b7 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.ode.events.EventState eventState19 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 100.0d, 1.0d, 100);
    double d20 = eventState19.getConvergence();
    double[] d_array25 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b26 = eventState19.reset(10.0d, d_array25);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator28 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array25, true);
    boolean b29 = eventState13.reset(0.0d, d_array25);
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable31, d_array35, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "hi!", obj_array48);
    boolean b53 = eventState4.reset(1.0E-15d, d_array25);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator55 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array25, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator57 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array25, true);
    double[] d_array58 = dummyStepInterpolator57.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test227"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array5);
    java.lang.Throwable[] throwable_array8 = maxIterationsExceededException7.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.events.EventException: ", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState14.getEventHandler();
    double[] d_array20 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, false);
    double[] d_array23 = dummyStepInterpolator22.getInterpolatedState();
    boolean b24 = eventState14.reset(1.0E-6d, d_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test228"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    boolean b17 = dummyStepInterpolator13.isForward();
    double[] d_array18 = dummyStepInterpolator13.getInterpolatedDerivatives();
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException28, "hi!", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException35);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException41, "hi!", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array45);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException36, "hi!", obj_array45);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(throwable23, "org.apache.commons.math.ode.DerivativeException: ", obj_array45);
    java.lang.Object[] obj_array51 = mathException50.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ode.DerivativeException: ", obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "org.apache.commons.math.ode.DerivativeException: ", obj_array51);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException54);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)mathException55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test229() {}
// Defects4J: flaky method
//   @Test
//   public void test229() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test229"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setRelativeAccuracy(100.0d);
//     brentSolver0.setAbsoluteAccuracy((-1.0d));
//     double d7 = brentSolver0.getRelativeAccuracy();
//     int i8 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-14d);
//     double d13 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = brentSolver0.solve(1.0E-6d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 100.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 0.0d);
// 
//   }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test230"); }


    java.lang.Throwable throwable5 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException(throwable5, "", obj_array7);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable5, d_array9, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { functionEvaluationException28 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "Maximal number of iterations ({0}) exceeded", obj_array29);
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("", obj_array29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array29);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("", obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test231"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test232"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    dummyStepInterpolator4.finalizeStep();
    dummyStepInterpolator4.setInterpolatedTime(10.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test233"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test234"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test235"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException29, (-1.0d));
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test236"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getMaximalIterationCount();
    int i9 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test237"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double d21 = eventState4.getEventTime();
    double d22 = eventState4.getMaxCheckInterval();
    java.lang.Throwable throwable24 = null;
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(throwable24, "", obj_array26);
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.ode.events.EventState eventState32 = new org.apache.commons.math.ode.events.EventState(eventHandler28, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable34 = null;
    java.lang.Throwable throwable35 = null;
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(throwable35, "", obj_array37);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    double[] d_array48 = new double[] {  };
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(throwable35, d_array39, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(throwable34, d_array39);
    java.lang.Throwable throwable58 = null;
    java.lang.Object[] obj_array60 = null;
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException(throwable58, "", obj_array60);
    java.lang.Object[] obj_array62 = mathException61.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "hi!", obj_array62);
    boolean b64 = eventState32.reset(0.0d, d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException27, d_array39);
    boolean b66 = eventState4.reset(10.0d, d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test238"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator47 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator46);
    double[] d_array48 = dummyStepInterpolator46.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test239"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test240"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2, "hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    java.lang.Throwable throwable12 = null;
    java.lang.Throwable throwable13 = null;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(throwable13, "", obj_array15);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(throwable13, d_array17, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array17);
    java.lang.Throwable throwable36 = null;
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(throwable36, "", obj_array38);
    java.lang.Object[] obj_array40 = mathException39.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "hi!", obj_array40);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, d_array17, "Maximal number of iterations ({0}) exceeded", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException10);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException10);
    double[] d_array53 = functionEvaluationException10.getArgument();
    maxIterationsExceededException2.addSuppressed((java.lang.Throwable)functionEvaluationException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException57, "hi!", obj_array61);
    java.lang.Object[] obj_array64 = mathException63.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException2, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test241"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b6 = dummyStepInterpolator1.isForward();
    dummyStepInterpolator1.finalizeStep();
    dummyStepInterpolator1.setInterpolatedTime(100.0d);
    dummyStepInterpolator1.storeTime(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test242"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 100.0d, (-1));
    double d5 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test243"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException6);
    java.lang.Throwable throwable8 = null;
    java.lang.Throwable throwable9 = null;
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException(throwable9, "", obj_array11);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable9, d_array13, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array13);
    java.lang.Throwable throwable32 = null;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(throwable32, "", obj_array34);
    java.lang.Object[] obj_array36 = mathException35.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "hi!", obj_array36);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, d_array13, "Maximal number of iterations ({0}) exceeded", obj_array43);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = null;
    org.apache.commons.math.ode.events.EventState eventState52 = new org.apache.commons.math.ode.events.EventState(eventHandler48, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.ode.events.EventState eventState58 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 100.0d, 1.0d, 100);
    double d59 = eventState58.getConvergence();
    double[] d_array64 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b65 = eventState58.reset(10.0d, d_array64);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array64, true);
    boolean b68 = eventState52.reset(10.0d, d_array64);
    double[] d_array71 = new double[] {  };
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException76 = new org.apache.commons.math.ode.events.EventException("", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array71, "", obj_array75);
    org.apache.commons.math.ode.DerivativeException derivativeException78 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array75);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException78, 100.0d);
    java.lang.Object[] obj_array83 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException80, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array83);
    java.lang.String str85 = functionEvaluationException84.getPattern();
    java.lang.Object[] obj_array86 = new java.lang.Object[] { str85 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "", obj_array86);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException("", obj_array86);
    java.lang.Throwable[] throwable_array89 = convergenceException88.getSuppressed();
    functionEvaluationException6.addSuppressed((java.lang.Throwable)convergenceException88);
    java.lang.Throwable[] throwable_array91 = convergenceException88.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array91);
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.events.EventException: hi!", (java.lang.Object[])throwable_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "", (java.lang.Object[])throwable_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str85.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test244"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    dummyStepInterpolator18.setInterpolatedTime(1.0E-14d);
    dummyStepInterpolator18.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator18);
    dummyStepInterpolator18.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test245"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException1);
    double[] d_array44 = functionEvaluationException1.getArgument();
    double[] d_array45 = functionEvaluationException1.getArgument();
    org.apache.commons.math.ode.DerivativeException derivativeException46 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test246"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator1.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    boolean b5 = dummyStepInterpolator4.isForward();
    dummyStepInterpolator4.storeTime(100.0d);
    dummyStepInterpolator4.setInterpolatedTime(1.0d);
    dummyStepInterpolator4.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test247"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double[] d_array6 = dummyStepInterpolator5.getInterpolatedState();
    boolean b7 = dummyStepInterpolator5.isForward();
    double d8 = dummyStepInterpolator5.getInterpolatedTime();
    double d9 = dummyStepInterpolator5.getInterpolatedTime();
    double d10 = dummyStepInterpolator5.getCurrentTime();
    double[] d_array11 = dummyStepInterpolator5.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test248"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.setInterpolatedTime(0.0d);
    double d9 = dummyStepInterpolator0.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test249"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.0d), 1.0E-15d, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test250"); }


    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: ", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test251"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Throwable[] throwable_array9 = maxIterationsExceededException1.getSuppressed();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math.ode.events.EventState eventState18 = new org.apache.commons.math.ode.events.EventState(eventHandler14, 100.0d, 1.0d, 100);
    double d19 = eventState18.getConvergence();
    double[] d_array24 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b25 = eventState18.reset(10.0d, d_array24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException28, "Maximal number of iterations ({0}) exceeded", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array24, "Maximal number of iterations ({0}) exceeded", obj_array34);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array34);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array34);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.ode.DerivativeException derivativeException47 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException47, 100.0d);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array52);
    java.lang.String str54 = functionEvaluationException53.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException53);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str60 = maxIterationsExceededException59.getPattern();
    java.lang.Object[] obj_array61 = new java.lang.Object[] { maxIterationsExceededException59 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException55, (-1.0d), "hi!", obj_array61);
    double[] d_array63 = functionEvaluationException62.getArgument();
    java.lang.Throwable throwable65 = null;
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(throwable65, "", obj_array67);
    double[] d_array69 = new double[] {  };
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException74 = new org.apache.commons.math.ode.events.EventException("", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array69, "", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array69);
    double[] d_array78 = new double[] {  };
    java.lang.Object[] obj_array82 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException83 = new org.apache.commons.math.ode.events.EventException("", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array78, "", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(throwable65, d_array69, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "hi!", obj_array82);
    double[] d_array87 = new double[] {  };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException86, d_array87);
    double[] d_array89 = functionEvaluationException88.getArgument();
    double[] d_array90 = functionEvaluationException88.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException38, d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str54.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str60.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test252"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str5 = maxIterationsExceededException4.getPattern();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8);
    java.lang.Throwable[] throwable_array10 = convergenceException9.getSuppressed();
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException("hi!", (java.lang.Object[])throwable_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array10);
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", (java.lang.Object[])throwable_array10);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.ode.DerivativeException derivativeException22 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException22, 100.0d);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    java.lang.String str29 = functionEvaluationException28.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str35 = maxIterationsExceededException34.getPattern();
    java.lang.Object[] obj_array36 = new java.lang.Object[] { maxIterationsExceededException34 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException30, (-1.0d), "hi!", obj_array36);
    double[] d_array38 = functionEvaluationException37.getArgument();
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "hi!", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException13, d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array52 = new double[] {  };
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array56);
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException59, 1.0d);
    double[] d_array62 = functionEvaluationException61.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException61, 1.0d);
    java.lang.Throwable throwable67 = null;
    java.lang.Throwable throwable68 = null;
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException(throwable68, "", obj_array70);
    double[] d_array72 = new double[] {  };
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException77 = new org.apache.commons.math.ode.events.EventException("", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array72, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    double[] d_array81 = new double[] {  };
    java.lang.Object[] obj_array85 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException86 = new org.apache.commons.math.ode.events.EventException("", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(d_array81, "", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(throwable68, d_array72, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(throwable67, d_array72);
    org.apache.commons.math.ode.DerivativeException derivativeException90 = new org.apache.commons.math.ode.DerivativeException(throwable67);
    java.lang.Object[] obj_array91 = derivativeException90.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, (-1.0d), "evaluation failed for argument = {0}", obj_array91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: hi!", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str5.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str29.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str35.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test253"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-15d, 1.0E-15d, (-1));
    double d5 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test254"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, false);
    dummyStepInterpolator19.setInterpolatedTime(1.0E-6d);
    double d22 = dummyStepInterpolator19.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator19);
    dummyStepInterpolator23.setInterpolatedTime(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test255"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    double d6 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.shift();
    double d8 = dummyStepInterpolator0.getCurrentTime();
    java.io.ObjectInput objectInput9 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.readExternal(objectInput9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test256"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator7.shift();
    dummyStepInterpolator7.shift();
    boolean b10 = dummyStepInterpolator7.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test257"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    int i5 = eventState4.getMaxIterationCount();
    double d6 = eventState4.getMaxCheckInterval();
    boolean b7 = eventState4.stop();
    boolean b8 = eventState4.stop();
    int i9 = eventState4.getMaxIterationCount();
    double d10 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test258"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d9 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test259"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "hi!", obj_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException18, Double.NaN);
    double[] d_array21 = functionEvaluationException20.getArgument();
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array27, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    double[] d_array45 = functionEvaluationException44.getArgument();
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException16, d_array45, "org.apache.commons.math.ode.DerivativeException: ", obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException8, (-1.0d), "", obj_array51);
    java.lang.Object[] obj_array58 = functionEvaluationException57.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test260"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2, "hi!", obj_array6);
    java.lang.String str9 = maxIterationsExceededException2.toString();
    int i10 = maxIterationsExceededException2.getMaxIterations();
    java.lang.Throwable[] throwable_array11 = maxIterationsExceededException2.getSuppressed();
    int i12 = maxIterationsExceededException2.getMaxIterations();
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException17, "hi!", obj_array21);
    java.lang.String str24 = maxIterationsExceededException17.toString();
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.ode.DerivativeException derivativeException32 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException31);
    maxIterationsExceededException17.addSuppressed((java.lang.Throwable)derivativeException32);
    java.lang.Throwable throwable36 = null;
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(throwable36, "", obj_array38);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(throwable36, d_array40, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array53);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler59 = null;
    org.apache.commons.math.ode.events.EventState eventState63 = new org.apache.commons.math.ode.events.EventState(eventHandler59, 100.0d, 1.0d, 100);
    double d64 = eventState63.getConvergence();
    double[] d_array69 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b70 = eventState63.reset(10.0d, d_array69);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException73 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable75 = null;
    java.lang.Object[] obj_array77 = null;
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException(throwable75, "", obj_array77);
    java.lang.Object[] obj_array79 = mathException78.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException73, "Maximal number of iterations ({0}) exceeded", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException58, d_array69, "Maximal number of iterations ({0}) exceeded", obj_array79);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException(throwable36, "", obj_array79);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException32, 1.0E-15d, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array79);
    org.apache.commons.math.ode.DerivativeException derivativeException84 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array79);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException13, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array79);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str9.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str24.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test261"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-6d, 0);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test262"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime((-1.0d));
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test263"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    int i10 = brentSolver0.getMaximalIterationCount();
    double d11 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test264"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    int i5 = eventState4.getMaxIterationCount();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math.ode.events.EventState eventState15 = new org.apache.commons.math.ode.events.EventState(eventHandler11, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler17, 100.0d, 1.0d, 100);
    double d22 = eventState21.getConvergence();
    double[] d_array27 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b28 = eventState21.reset(10.0d, d_array27);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator30 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array27, true);
    boolean b31 = eventState15.reset(10.0d, d_array27);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.ode.DerivativeException derivativeException41 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException41, 100.0d);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    java.lang.String str48 = functionEvaluationException47.getPattern();
    java.lang.Object[] obj_array49 = new java.lang.Object[] { str48 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array27);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator53 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array27, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator55 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array27, false);
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array57);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-15d, d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str48.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test265() {}
// Defects4J: flaky method
//   @Test
//   public void test265() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test265"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i3 = brentSolver0.getMaximalIterationCount();
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
// 
//   }

  @Test
  public void test266() {}
// Defects4J: flaky method
//   @Test
//   public void test266() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test266"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     int i5 = brentSolver0.getIterationCount();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     int i9 = brentSolver0.getMaximalIterationCount();
//     double d10 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, Double.NaN, 1.0E-14d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-14d);
// 
//   }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test267"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, 10.0d, (-1));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test268"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = eventState4.getEventHandler();
    double d13 = eventState4.getMaxCheckInterval();
    double d14 = eventState4.getConvergence();
    double d15 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test269"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.shift();
    dummyStepInterpolator0.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test270"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, Double.NaN);
    double[] d_array10 = functionEvaluationException9.getArgument();
    java.lang.Throwable throwable12 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(throwable12, "", obj_array14);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    double[] d_array34 = functionEvaluationException33.getArgument();
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException5, d_array34, "org.apache.commons.math.ode.DerivativeException: ", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array40);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException56, 100.0d);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    java.lang.String str63 = functionEvaluationException62.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException62);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException64);
    java.lang.Throwable[] throwable_array66 = convergenceException65.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException67 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array66);
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException67, 1.0E-14d, "org.apache.commons.math.ode.events.EventException: ", obj_array70);
    convergenceException45.addSuppressed((java.lang.Throwable)functionEvaluationException71);
    java.lang.Object[] obj_array73 = convergenceException45.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test271"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-6d);
    brentSolver0.resetMaximalIterationCount();
    int i10 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test272"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    int i38 = eventState4.getMaxIterationCount();
    int i39 = eventState4.getMaxIterationCount();
    double d40 = eventState4.getConvergence();
    boolean b41 = eventState4.stop();
    boolean b42 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test273"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, (-1.0d), 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test274"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 0);
    double d5 = eventState4.getMaxCheckInterval();
    boolean b6 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 100.0d, 1.0d, 100);
    double d12 = eventState11.getConvergence();
    double[] d_array17 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b18 = eventState11.reset(10.0d, d_array17);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator20 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator20);
    dummyStepInterpolator21.storeTime(1.0d);
    dummyStepInterpolator21.storeTime(100.0d);
    dummyStepInterpolator21.finalizeStep();
    dummyStepInterpolator21.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator28 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator21);
    dummyStepInterpolator21.finalizeStep();
    // The following exception was thrown during execution in test generation
    try {
      boolean b30 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test275"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NaN);
    double[] d_array4 = functionEvaluationException3.getArgument();
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.ode.DerivativeException derivativeException28 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException27);
    java.lang.String str29 = derivativeException28.getPattern();
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)derivativeException28);
    double[] d_array32 = new double[] {  };
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException37 = new org.apache.commons.math.ode.events.EventException("", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array36);
    org.apache.commons.math.ode.DerivativeException derivativeException39 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array36);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException39, 100.0d);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array44);
    java.lang.String str46 = functionEvaluationException45.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException45);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str52 = maxIterationsExceededException51.getPattern();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { maxIterationsExceededException51 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException47, (-1.0d), "hi!", obj_array53);
    double[] d_array55 = functionEvaluationException54.getArgument();
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "hi!", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException30, d_array55);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array55, true);
    java.io.ObjectInput objectInput68 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator67.readExternal(objectInput68);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + ""+ "'", str29.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str46.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str52.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test276"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.String str4 = maxIterationsExceededException1.toString();
    java.lang.Throwable[] throwable_array5 = maxIterationsExceededException1.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException7);
    java.lang.Throwable throwable9 = null;
    java.lang.Throwable throwable10 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(throwable10, "", obj_array12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array14, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable9, d_array14);
    java.lang.Throwable throwable33 = null;
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable33, "", obj_array35);
    java.lang.Object[] obj_array37 = mathException36.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "hi!", obj_array37);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, d_array14, "Maximal number of iterations ({0}) exceeded", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException7);
    java.lang.Throwable[] throwable_array50 = convergenceException49.getSuppressed();
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)convergenceException49);
    java.lang.Object[] obj_array52 = convergenceException49.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str4.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test277"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 10);
    boolean b5 = eventState4.stop();
    double d6 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 100.0d, 1.0d, 100);
    double d13 = eventState12.getConvergence();
    int i14 = eventState12.getMaxIterationCount();
    double d15 = eventState12.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = eventState12.getEventHandler();
    double d17 = eventState12.getMaxCheckInterval();
    int i18 = eventState12.getMaxIterationCount();
    double d19 = eventState12.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.ode.events.EventState eventState25 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.ode.events.EventState eventState31 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 100.0d, 1.0d, 100);
    double d32 = eventState31.getConvergence();
    double[] d_array37 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b38 = eventState31.reset(10.0d, d_array37);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator40 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array37, true);
    boolean b41 = eventState25.reset(0.0d, d_array37);
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(throwable43, d_array47, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array37, "hi!", obj_array60);
    boolean b65 = eventState12.reset(0.0d, d_array37);
    boolean b66 = eventState4.reset(Double.NaN, d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test278"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, d_array8, "Maximal number of iterations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math.ode.events.EventState eventState47 = new org.apache.commons.math.ode.events.EventState(eventHandler43, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.ode.events.EventState eventState53 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 100.0d, 1.0d, 100);
    double d54 = eventState53.getConvergence();
    double[] d_array59 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b60 = eventState53.reset(10.0d, d_array59);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator62 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array59, true);
    boolean b63 = eventState47.reset(10.0d, d_array59);
    double[] d_array66 = new double[] {  };
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array66, "", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException73, 100.0d);
    java.lang.Object[] obj_array78 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException75, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array78);
    java.lang.String str80 = functionEvaluationException79.getPattern();
    java.lang.Object[] obj_array81 = new java.lang.Object[] { str80 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array81);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException("", obj_array81);
    java.lang.Throwable[] throwable_array84 = convergenceException83.getSuppressed();
    functionEvaluationException1.addSuppressed((java.lang.Throwable)convergenceException83);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str80.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array84);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test279"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 1.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 1.0E-6d);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test280"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    java.lang.Throwable throwable22 = null;
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable22, "", obj_array24);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array26, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { functionEvaluationException45 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "Maximal number of iterations ({0}) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException47, 1.0d);
    double[] d_array50 = functionEvaluationException49.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str55 = maxIterationsExceededException54.getPattern();
    java.lang.Throwable[] throwable_array56 = maxIterationsExceededException54.getSuppressed();
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    double[] d_array63 = new double[] {  };
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException68 = new org.apache.commons.math.ode.events.EventException("", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    double[] d_array72 = new double[] {  };
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException77 = new org.apache.commons.math.ode.events.EventException("", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array72, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(throwable59, d_array63, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { functionEvaluationException82 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "Maximal number of iterations ({0}) exceeded", obj_array83);
    org.apache.commons.math.ode.events.EventException eventException85 = new org.apache.commons.math.ode.events.EventException("", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException54, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException49, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array83);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array83);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator90 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array4, true);
    double[] d_array91 = dummyStepInterpolator90.getInterpolatedDerivatives();
    boolean b92 = dummyStepInterpolator90.isForward();
    dummyStepInterpolator90.storeTime(1.0E-14d);
    java.io.ObjectInput objectInput95 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator90.readExternal(objectInput95);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str55.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test281"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    double d8 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.0d));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test282"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 10.0d, (-1));
    double d5 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 1.0E-14d, 1.0E-15d, 0);
    double d12 = eventState11.getConvergence();
    double d13 = eventState11.getEventTime();
    double d14 = eventState11.getMaxCheckInterval();
    double d15 = eventState11.getMaxCheckInterval();
    int i16 = eventState11.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = eventState11.getEventHandler();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20);
    java.lang.Throwable throwable22 = null;
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(throwable23, "", obj_array25);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable23, d_array27, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array27);
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "hi!", obj_array50);
    double[] d_array53 = new double[] {  };
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array27, "Maximal number of iterations ({0}) exceeded", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20);
    double[] d_array62 = functionEvaluationException20.getArgument();
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException20, "org.apache.commons.math.ConvergenceException: ", obj_array64);
    double[] d_array66 = functionEvaluationException20.getArgument();
    boolean b67 = eventState11.reset(100.0d, d_array66);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator69 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array66, false);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(1.0E-14d, d_array66);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test283"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getAbsoluteAccuracy();
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    double d8 = brentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = brentSolver0.solve(univariateRealFunction9, 100.0d, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test284"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, (-1.0d), 1);
    boolean b5 = eventState4.stop();
    double d6 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test285"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.setMaximalIterationCount(100);
    brentSolver0.resetMaximalIterationCount();
    int i11 = brentSolver0.getIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test286"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array0);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator9 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array0, false);
    dummyStepInterpolator9.storeTime(Double.NaN);
    dummyStepInterpolator9.storeTime(1.0E-15d);
    dummyStepInterpolator9.storeTime(10.0d);
    boolean b16 = dummyStepInterpolator9.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test287() {}
// Defects4J: flaky method
//   @Test
//   public void test287() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test287"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount(0);
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     brentSolver0.resetAbsoluteAccuracy();
//     int i16 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d22 = brentSolver0.solve(Double.NaN, 0.0d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 0);
// 
//   }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test288"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    double d7 = dummyStepInterpolator5.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test289"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array7 = null;
    boolean b8 = eventState4.reset(0.0d, d_array7);
    boolean b9 = eventState4.stop();
    boolean b10 = eventState4.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math.ode.events.EventState eventState16 = new org.apache.commons.math.ode.events.EventState(eventHandler12, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler18, 100.0d, 1.0d, 100);
    double d23 = eventState22.getConvergence();
    double[] d_array28 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b29 = eventState22.reset(10.0d, d_array28);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator31 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array28, true);
    boolean b32 = eventState16.reset(10.0d, d_array28);
    boolean b33 = eventState16.stop();
    double d34 = eventState16.getMaxCheckInterval();
    double[] d_array37 = new double[] {  };
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException42 = new org.apache.commons.math.ode.events.EventException("", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array37, "", obj_array41);
    org.apache.commons.math.ode.DerivativeException derivativeException44 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException44, 1.0d);
    double[] d_array47 = functionEvaluationException46.getArgument();
    boolean b48 = eventState16.reset(0.0d, d_array47);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-14d, d_array47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test290"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test291"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable3 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable3, "", obj_array5);
    java.lang.Object[] obj_array7 = mathException6.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "Maximal number of iterations ({0}) exceeded", obj_array7);
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test292"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test293"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    dummyStepInterpolator0.shift();
    dummyStepInterpolator0.storeTime(0.0d);
    dummyStepInterpolator0.setInterpolatedTime(0.0d);
    dummyStepInterpolator0.storeTime(10.0d);
    dummyStepInterpolator0.storeTime(1.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test294"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator7.shift();
    double d9 = dummyStepInterpolator7.getPreviousTime();
    double d10 = dummyStepInterpolator7.getPreviousTime();
    dummyStepInterpolator7.setInterpolatedTime(10.0d);
    boolean b13 = dummyStepInterpolator7.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test295"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test296"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    boolean b9 = dummyStepInterpolator0.isForward();
    double d10 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator11 = dummyStepInterpolator0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator11);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test297"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 1.0E-6d, 0);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException14, 100.0d);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    java.lang.String str21 = functionEvaluationException20.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException26 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException25);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException26, 1.0E-6d, "hi!", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException26);
    org.apache.commons.math.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math.ode.events.EventState eventState36 = new org.apache.commons.math.ode.events.EventState(eventHandler32, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = eventState36.getEventHandler();
    java.lang.Throwable throwable39 = null;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable39, "", obj_array41);
    double[] d_array43 = new double[] {  };
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException48 = new org.apache.commons.math.ode.events.EventException("", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(d_array43, "", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array52 = new double[] {  };
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException57 = new org.apache.commons.math.ode.events.EventException("", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array56);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(throwable39, d_array43, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array56);
    boolean b60 = eventState36.reset(0.0d, d_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException26, d_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, d_array43);
    double[] d_array63 = functionEvaluationException62.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(0.0d, d_array63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test298"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.shift();
    double d5 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b6 = dummyStepInterpolator1.isForward();
    dummyStepInterpolator1.finalizeStep();
    dummyStepInterpolator1.finalizeStep();
    dummyStepInterpolator1.shift();
    double d10 = dummyStepInterpolator1.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test299"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException2);
    java.lang.String str5 = maxIterationsExceededException2.getPattern();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException7, Double.NaN);
    double[] d_array10 = functionEvaluationException9.getArgument();
    java.lang.Throwable throwable12 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(throwable12, "", obj_array14);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException36, Double.NaN);
    double[] d_array39 = functionEvaluationException38.getArgument();
    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver41 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i42 = brentSolver41.getMaximalIterationCount();
    brentSolver41.resetMaximalIterationCount();
    brentSolver41.setMaximalIterationCount(10);
    brentSolver41.setMaximalIterationCount((-1));
    double d48 = brentSolver41.getFunctionValueAccuracy();
    java.lang.Object[] obj_array49 = new java.lang.Object[] { d48 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "evaluation failed for argument = {0}", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException2, d_array10, "org.apache.commons.math.ode.events.EventException: ", obj_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str55 = maxIterationsExceededException54.getPattern();
    java.lang.Throwable[] throwable_array56 = maxIterationsExceededException54.getSuppressed();
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array56);
    org.apache.commons.math.ode.DerivativeException derivativeException58 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array56);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException58);
    java.lang.Object[] obj_array60 = derivativeException58.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str5.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str55.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test300"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array22);
    java.lang.Throwable[] throwable_array28 = mathException27.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test301"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { functionEvaluationException27 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "Maximal number of iterations ({0}) exceeded", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.MathException: ", obj_array28);
    int i31 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ode.DerivativeException derivativeException33 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)convergenceException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 10);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test302"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime((-1.0d));
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator8 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.setInterpolatedTime(1.0d);
    dummyStepInterpolator0.setInterpolatedTime(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator8);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test303"); }


    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 100.0d, 1.0d, 100);
    double d30 = eventState29.getConvergence();
    double[] d_array35 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b36 = eventState29.reset(10.0d, d_array35);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable41 = null;
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException(throwable41, "", obj_array43);
    java.lang.Object[] obj_array45 = mathException44.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException39, "Maximal number of iterations ({0}) exceeded", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException24, d_array35, "Maximal number of iterations ({0}) exceeded", obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(throwable2, "", obj_array45);
    org.apache.commons.math.ode.DerivativeException derivativeException49 = new org.apache.commons.math.ode.DerivativeException("", obj_array45);
    org.apache.commons.math.ode.DerivativeException derivativeException50 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: ", obj_array45);
    java.lang.String str51 = derivativeException50.toString();
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: "+ "'", str51.equals("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test304"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(throwable1, "", obj_array3);
    double[] d_array5 = new double[] {  };
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array5, "", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array5, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array24 = functionEvaluationException23.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator26 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array24, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test305() {}
// Defects4J: flaky method
//   @Test
//   public void test305() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test305"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-6d);
//     brentSolver0.setAbsoluteAccuracy(1.0d);
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.solve(univariateRealFunction9, 1.0d, (-1.0d), 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0d);
// 
//   }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test306"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    int i3 = brentSolver0.getMaximalIterationCount();
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d8 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test307"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setRelativeAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test308"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 100.0d, 1.0d, 100);
    double d7 = eventState6.getConvergence();
    double[] d_array12 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b13 = eventState6.reset(10.0d, d_array12);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array12, true);
    double[] d_array16 = dummyStepInterpolator15.getInterpolatedState();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable21 = null;
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable21, "", obj_array23);
    java.lang.Object[] obj_array25 = mathException24.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19, "Maximal number of iterations ({0}) exceeded", obj_array25);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException26, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    java.lang.Object[] obj_array31 = convergenceException26.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "evaluation failed for argument = {0}", obj_array31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 0", obj_array31);
    int i34 = maxIterationsExceededException33.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test309"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7, "hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException20, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "hi!", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array24);
    org.apache.commons.math.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler33, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math.ode.events.EventState eventState43 = new org.apache.commons.math.ode.events.EventState(eventHandler39, 100.0d, 1.0d, 100);
    double d44 = eventState43.getConvergence();
    double[] d_array49 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b50 = eventState43.reset(10.0d, d_array49);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator52 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array49, true);
    boolean b53 = eventState37.reset(10.0d, d_array49);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.ode.DerivativeException derivativeException63 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException63, 100.0d);
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array68);
    java.lang.String str70 = functionEvaluationException69.getPattern();
    java.lang.Object[] obj_array71 = new java.lang.Object[] { str70 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array71);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException30, "", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException78, Double.NaN);
    double[] d_array81 = functionEvaluationException80.getArgument();
    double[] d_array82 = functionEvaluationException80.getArgument();
    java.lang.Object[] obj_array84 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException76, d_array82, "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str70.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test310"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 100.0d, 1);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array7, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array7, true);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    boolean b20 = eventState4.reset(1.0E-14d, d_array7);
    boolean b21 = eventState4.stop();
    boolean b22 = eventState4.stop();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException25, "hi!", obj_array29);
    java.lang.String str32 = maxIterationsExceededException25.toString();
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.ode.DerivativeException derivativeException40 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException39);
    maxIterationsExceededException25.addSuppressed((java.lang.Throwable)derivativeException40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException43);
    java.lang.Throwable throwable45 = null;
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(throwable46, d_array50, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(throwable45, d_array50);
    java.lang.Throwable throwable69 = null;
    java.lang.Object[] obj_array71 = null;
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(throwable69, "", obj_array71);
    java.lang.Object[] obj_array73 = mathException72.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "hi!", obj_array73);
    double[] d_array76 = new double[] {  };
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException81 = new org.apache.commons.math.ode.events.EventException("", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array76, "", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, d_array50, "Maximal number of iterations ({0}) exceeded", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException40, d_array50);
    double[] d_array85 = functionEvaluationException84.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-6d, d_array85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test311"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0E-15d, 1);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getMaxCheckInterval();
    double d7 = eventState4.getMaxCheckInterval();
    double d8 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test312"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array2);
    java.lang.String str4 = functionEvaluationException3.getPattern();
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: "+ "'", str4.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: "));

  }

  @Test
  public void test313() {}
// Defects4J: flaky method
//   @Test
//   public void test313() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test313"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.resetRelativeAccuracy();
//     int i8 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction9, 1.0E-6d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 100);
// 
//   }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test314"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4, "hi!", obj_array8);
    java.lang.String str11 = maxIterationsExceededException4.toString();
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.ode.DerivativeException derivativeException19 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException18);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)derivativeException19);
    java.lang.Throwable throwable21 = null;
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable21, "", obj_array23);
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math.ode.events.EventState eventState35 = new org.apache.commons.math.ode.events.EventState(eventHandler31, 100.0d, 1.0d, 100);
    double d36 = eventState35.getConvergence();
    double[] d_array41 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b42 = eventState35.reset(10.0d, d_array41);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator44 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array41, true);
    boolean b45 = eventState29.reset(10.0d, d_array41);
    double[] d_array48 = new double[] {  };
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "", obj_array52);
    org.apache.commons.math.ode.DerivativeException derivativeException55 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException55, 100.0d);
    java.lang.Object[] obj_array60 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    java.lang.String str62 = functionEvaluationException61.getPattern();
    java.lang.Object[] obj_array63 = new java.lang.Object[] { str62 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(throwable21, d_array41);
    derivativeException19.addSuppressed((java.lang.Throwable)functionEvaluationException65);
    double[] d_array69 = new double[] {  };
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException74 = new org.apache.commons.math.ode.events.EventException("", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array69, "", obj_array73);
    org.apache.commons.math.ode.DerivativeException derivativeException76 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array73);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException76, 100.0d);
    java.lang.Object[] obj_array81 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException78, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array81);
    java.lang.String str83 = functionEvaluationException82.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException82);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException88 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str89 = maxIterationsExceededException88.getPattern();
    java.lang.Object[] obj_array90 = new java.lang.Object[] { maxIterationsExceededException88 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException84, (-1.0d), "hi!", obj_array90);
    java.lang.Object[] obj_array92 = functionEvaluationException91.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException93 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException65, "", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array92);
    org.apache.commons.math.MathException mathException95 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.events.EventException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str11.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str62.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str83.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str89 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str89.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test315"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-14d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test316"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-15d, 1.0E-6d, 10);
    boolean b5 = eventState4.stop();
    double d6 = eventState4.getConvergence();
    int i7 = eventState4.getMaxIterationCount();
    double d8 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test317"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    double[] d_array7 = dummyStepInterpolator5.getInterpolatedDerivatives();
    dummyStepInterpolator5.shift();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test318"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getConvergence();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler16, 100.0d, 1.0d, 100);
    double d21 = eventState20.getConvergence();
    double[] d_array26 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b27 = eventState20.reset(10.0d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator29 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, true);
    boolean b30 = eventState14.reset(0.0d, d_array26);
    boolean b31 = eventState4.reset(1.0E-14d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator33 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, false);
    dummyStepInterpolator33.storeTime(Double.NaN);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator36 = dummyStepInterpolator33.copy();
    double d37 = dummyStepInterpolator33.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test319"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double d18 = dummyStepInterpolator14.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator14.copy();
    double[] d_array20 = dummyStepInterpolator14.getInterpolatedState();
    double[] d_array21 = dummyStepInterpolator14.getInterpolatedDerivatives();
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math.ode.events.EventState eventState33 = new org.apache.commons.math.ode.events.EventState(eventHandler29, 100.0d, 1.0d, 100);
    double d34 = eventState33.getConvergence();
    double[] d_array39 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b40 = eventState33.reset(10.0d, d_array39);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator42 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array39, true);
    boolean b43 = eventState27.reset(10.0d, d_array39);
    double[] d_array46 = new double[] {  };
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException51 = new org.apache.commons.math.ode.events.EventException("", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array46, "", obj_array50);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException53, 100.0d);
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException55, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    java.lang.String str60 = functionEvaluationException59.getPattern();
    java.lang.Object[] obj_array61 = new java.lang.Object[] { str60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array65 = functionEvaluationException64.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    java.lang.String str67 = functionEvaluationException66.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str60.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "evaluation failed for argument = {0}"+ "'", str67.equals("evaluation failed for argument = {0}"));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test320"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { eventState8 };
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "", obj_array9);
    int i12 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.ode.events.EventState eventState17 = new org.apache.commons.math.ode.events.EventState(eventHandler13, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable19 = null;
    java.lang.Throwable throwable20 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable20, "", obj_array22);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(throwable20, d_array24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(throwable19, d_array24);
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    java.lang.Object[] obj_array47 = mathException46.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "hi!", obj_array47);
    boolean b49 = eventState17.reset(0.0d, d_array24);
    org.apache.commons.math.ode.events.EventHandler eventHandler55 = null;
    org.apache.commons.math.ode.events.EventState eventState59 = new org.apache.commons.math.ode.events.EventState(eventHandler55, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { eventState59 };
    org.apache.commons.math.ode.DerivativeException derivativeException61 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array24);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator67 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array24, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator68 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator67);
    java.io.ObjectInput objectInput69 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator67.readExternal(objectInput69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test321"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 100.0d, 1.0d, 100);
    double d12 = eventState11.getConvergence();
    double[] d_array17 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b18 = eventState11.reset(10.0d, d_array17);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator20 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array17, true);
    boolean b21 = eventState5.reset(10.0d, d_array17);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.ode.DerivativeException derivativeException31 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException31, 100.0d);
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array36);
    java.lang.String str38 = functionEvaluationException37.getPattern();
    java.lang.Object[] obj_array39 = new java.lang.Object[] { str38 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("", obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str38.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test322"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test323() {}
// Defects4J: flaky method
//   @Test
//   public void test323() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test323"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     int i7 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(1.0E-15d, 100.0d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test324"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator2 = dummyStepInterpolator0.copy();
    boolean b3 = dummyStepInterpolator0.isForward();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test325"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test326"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "hi!", obj_array7);
    java.lang.String str10 = maxIterationsExceededException3.toString();
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException17);
    maxIterationsExceededException3.addSuppressed((java.lang.Throwable)derivativeException18);
    java.lang.Throwable throwable22 = null;
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable22, "", obj_array24);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(throwable22, d_array26, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array39);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventState eventState49 = new org.apache.commons.math.ode.events.EventState(eventHandler45, 100.0d, 1.0d, 100);
    double d50 = eventState49.getConvergence();
    double[] d_array55 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b56 = eventState49.reset(10.0d, d_array55);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable61 = null;
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException(throwable61, "", obj_array63);
    java.lang.Object[] obj_array65 = mathException64.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException59, "Maximal number of iterations ({0}) exceeded", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException44, d_array55, "Maximal number of iterations ({0}) exceeded", obj_array65);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(throwable22, "", obj_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, 1.0E-15d, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array65);
    org.apache.commons.math.ode.events.EventHandler eventHandler70 = null;
    org.apache.commons.math.ode.events.EventState eventState74 = new org.apache.commons.math.ode.events.EventState(eventHandler70, 100.0d, 1.0d, 100);
    double d75 = eventState74.getConvergence();
    double[] d_array80 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b81 = eventState74.reset(10.0d, d_array80);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator83 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array80, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator84 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator83);
    double d85 = dummyStepInterpolator83.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator86 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator83);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator87 = dummyStepInterpolator86.copy();
    dummyStepInterpolator86.shift();
    dummyStepInterpolator86.storeTime(100.0d);
    double[] d_array91 = dummyStepInterpolator86.getInterpolatedDerivatives();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException69, d_array91);
    java.lang.Object[] obj_array93 = functionEvaluationException69.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException94 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array93);
    java.lang.Throwable[] throwable_array95 = maxIterationsExceededException94.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str10.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d85, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array95);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test327"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException7, 0.0d);
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler16, 100.0d, 1.0d, 100);
    double d21 = eventState20.getConvergence();
    double[] d_array26 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b27 = eventState20.reset(10.0d, d_array26);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator29 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, true);
    boolean b30 = eventState14.reset(10.0d, d_array26);
    double[] d_array35 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator37 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array35, false);
    boolean b38 = eventState14.reset(10.0d, d_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException41);
    java.lang.Throwable throwable43 = null;
    java.lang.Throwable throwable44 = null;
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(throwable44, "", obj_array46);
    double[] d_array48 = new double[] {  };
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException53 = new org.apache.commons.math.ode.events.EventException("", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "", obj_array52);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array48);
    double[] d_array57 = new double[] {  };
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException62 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array57, "", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(throwable44, d_array48, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(throwable43, d_array48);
    java.lang.Throwable throwable67 = null;
    java.lang.Object[] obj_array69 = null;
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(throwable67, "", obj_array69);
    java.lang.Object[] obj_array71 = mathException70.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array48, "hi!", obj_array71);
    double[] d_array74 = new double[] {  };
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException79 = new org.apache.commons.math.ode.events.EventException("", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(d_array74, "", obj_array78);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException41, d_array48, "Maximal number of iterations ({0}) exceeded", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    double[] d_array84 = functionEvaluationException41.getArgument();
    double[] d_array85 = functionEvaluationException41.getArgument();
    boolean b86 = eventState14.reset(1.0E-14d, d_array85);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator88 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array85, false);
    java.lang.Object[] obj_array92 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException93 = new org.apache.commons.math.ode.events.EventException("", obj_array92);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException94 = new org.apache.commons.math.FunctionEvaluationException(d_array85, "evaluation failed for argument = {0}", obj_array92);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator96 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array85, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException97 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test328"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = brentSolver0.solve(univariateRealFunction9, Double.NaN, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test329() {}
// Defects4J: flaky method
//   @Test
//   public void test329() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test329"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setRelativeAccuracy(100.0d);
//     brentSolver0.setAbsoluteAccuracy((-1.0d));
//     double d7 = brentSolver0.getRelativeAccuracy();
//     int i8 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.setFunctionValueAccuracy(1.0E-14d);
//     double d13 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 100.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 0.0d);
// 
//   }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test330"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double d18 = dummyStepInterpolator14.getInterpolatedTime();
    double d19 = dummyStepInterpolator14.getPreviousTime();
    dummyStepInterpolator14.setInterpolatedTime(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test331() {}
// Defects4J: flaky method
//   @Test
//   public void test331() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test331"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
// 
//   }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test332"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.setAbsoluteAccuracy(100.0d);
    double d9 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test333"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d13 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test334"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    double d8 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test335"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException8);
    java.lang.String str11 = convergenceException10.getPattern();
    java.lang.Throwable[] throwable_array12 = convergenceException10.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test336"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException10 = new org.apache.commons.math.ode.events.EventException("", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException13, "hi!", obj_array22);
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array22);
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math.ode.events.EventState eventState35 = new org.apache.commons.math.ode.events.EventState(eventHandler31, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math.ode.events.EventState eventState41 = new org.apache.commons.math.ode.events.EventState(eventHandler37, 100.0d, 1.0d, 100);
    double d42 = eventState41.getConvergence();
    double[] d_array47 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b48 = eventState41.reset(10.0d, d_array47);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator50 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array47, true);
    boolean b51 = eventState35.reset(10.0d, d_array47);
    double[] d_array54 = new double[] {  };
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException("", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "", obj_array58);
    org.apache.commons.math.ode.DerivativeException derivativeException61 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException61, 100.0d);
    java.lang.Object[] obj_array66 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array66);
    java.lang.String str68 = functionEvaluationException67.getPattern();
    java.lang.Object[] obj_array69 = new java.lang.Object[] { str68 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array69);
    org.apache.commons.math.ode.DerivativeException derivativeException71 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException28, "", obj_array69);
    java.lang.Throwable[] throwable_array73 = eventException28.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str68.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array73);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test337"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array2);
    java.lang.String str11 = functionEvaluationException10.getPattern();
    java.lang.Object[] obj_array12 = functionEvaluationException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1, "hi!", obj_array12);
    int i14 = maxIterationsExceededException13.getMaxIterations();
    int i15 = maxIterationsExceededException13.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "evaluation failed for argument = {0}"+ "'", str11.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test338"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.setMaximalIterationCount(100);
    double d9 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test339"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    double d8 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i10 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test340"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    java.lang.Object[] obj_array23 = mathException22.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException17, "Maximal number of iterations ({0}) exceeded", obj_array23);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    java.lang.Object[] obj_array29 = convergenceException24.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "evaluation failed for argument = {0}", obj_array29);
    java.lang.String str31 = functionEvaluationException30.getPattern();
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30);
    double[] d_array33 = functionEvaluationException30.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "evaluation failed for argument = {0}"+ "'", str31.equals("evaluation failed for argument = {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test341"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.0d), 1.0E-14d, (-1));
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test342"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test343"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array3);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6, "hi!", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    double[] d_array14 = new double[] {  };
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array14, "", obj_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException13, d_array14);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)functionEvaluationException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Throwable throwable28 = null;
    java.lang.Throwable throwable29 = null;
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(throwable29, "", obj_array31);
    double[] d_array33 = new double[] {  };
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    double[] d_array42 = new double[] {  };
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException(throwable29, d_array33, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(throwable28, d_array33);
    java.lang.Throwable throwable52 = null;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(throwable52, "", obj_array54);
    java.lang.Object[] obj_array56 = mathException55.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "hi!", obj_array56);
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    java.lang.Object[] obj_array64 = mathException63.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException57, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array64);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException66 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array64);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array64);
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)convergenceException68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test344"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    boolean b28 = eventState4.reset(0.0d, d_array11);
    boolean b29 = eventState4.stop();
    double d30 = eventState4.getMaxCheckInterval();
    java.lang.Throwable throwable32 = null;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(throwable32, "", obj_array34);
    org.apache.commons.math.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math.ode.events.EventState eventState40 = new org.apache.commons.math.ode.events.EventState(eventHandler36, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math.ode.events.EventState eventState46 = new org.apache.commons.math.ode.events.EventState(eventHandler42, 100.0d, 1.0d, 100);
    double d47 = eventState46.getConvergence();
    double[] d_array52 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b53 = eventState46.reset(10.0d, d_array52);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator55 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array52, true);
    boolean b56 = eventState40.reset(10.0d, d_array52);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException66 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException66, 100.0d);
    java.lang.Object[] obj_array71 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array71);
    java.lang.String str73 = functionEvaluationException72.getPattern();
    java.lang.Object[] obj_array74 = new java.lang.Object[] { str73 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(throwable32, d_array52);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str73.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test345"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    double[] d_array18 = dummyStepInterpolator16.getInterpolatedState();
    double d19 = dummyStepInterpolator16.getInterpolatedTime();
    double[] d_array20 = dummyStepInterpolator16.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test346"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    dummyStepInterpolator13.storeTime(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test347"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(100.0d, "evaluation failed for argument = {0}", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array7);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test348"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    boolean b9 = dummyStepInterpolator0.isForward();
    dummyStepInterpolator0.shift();
    dummyStepInterpolator0.setInterpolatedTime(100.0d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator13 = dummyStepInterpolator0.copy();
    boolean b14 = dummyStepInterpolator0.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test349"); }


    java.lang.Throwable throwable2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException(throwable2, "", obj_array4);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array6, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: ", obj_array19);
    org.apache.commons.math.ode.DerivativeException derivativeException25 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)eventException24);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.ode.events.EventState eventState30 = new org.apache.commons.math.ode.events.EventState(eventHandler26, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math.ode.events.EventState eventState36 = new org.apache.commons.math.ode.events.EventState(eventHandler32, 100.0d, 1.0d, 100);
    double d37 = eventState36.getConvergence();
    double[] d_array42 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b43 = eventState36.reset(10.0d, d_array42);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array42, true);
    boolean b46 = eventState30.reset(10.0d, d_array42);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = null;
    org.apache.commons.math.ode.events.EventState eventState52 = new org.apache.commons.math.ode.events.EventState(eventHandler48, 100.0d, 1.0d, 100);
    double d53 = eventState52.getConvergence();
    double[] d_array58 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b59 = eventState52.reset(10.0d, d_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator61 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array58, true);
    boolean b62 = eventState30.reset(100.0d, d_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array58);
    eventException24.addSuppressed((java.lang.Throwable)functionEvaluationException63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test350"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double d21 = eventState4.getEventTime();
    int i22 = eventState4.getMaxIterationCount();
    double d23 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState4.getEventHandler();
    double d25 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler26);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test351"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0d);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException14, 100.0d);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    java.lang.String str21 = functionEvaluationException20.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str27 = maxIterationsExceededException26.getPattern();
    java.lang.Object[] obj_array28 = new java.lang.Object[] { maxIterationsExceededException26 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, (-1.0d), "hi!", obj_array28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    functionEvaluationException3.addSuppressed((java.lang.Throwable)maxIterationsExceededException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    org.apache.commons.math.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math.ode.events.EventState eventState40 = new org.apache.commons.math.ode.events.EventState(eventHandler36, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math.ode.events.EventState eventState46 = new org.apache.commons.math.ode.events.EventState(eventHandler42, 100.0d, 1.0d, 100);
    double d47 = eventState46.getConvergence();
    double[] d_array52 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b53 = eventState46.reset(10.0d, d_array52);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator55 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array52, true);
    boolean b56 = eventState40.reset(10.0d, d_array52);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException66 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException66, 100.0d);
    java.lang.Object[] obj_array71 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException68, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array71);
    java.lang.String str73 = functionEvaluationException72.getPattern();
    java.lang.Object[] obj_array74 = new java.lang.Object[] { str73 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", obj_array74);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("", obj_array74);
    java.lang.Throwable[] throwable_array77 = convergenceException76.getSuppressed();
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array77);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException3, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", (java.lang.Object[])throwable_array77);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "", (java.lang.Object[])throwable_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str27.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str73.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array77);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test352"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "", obj_array8);
    java.lang.Throwable throwable10 = null;
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable10, d_array15);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "hi!", obj_array38);
    double[] d_array40 = new double[] {  };
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException45 = new org.apache.commons.math.ode.events.EventException("", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array40, "", obj_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array48 = functionEvaluationException47.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    java.lang.Throwable throwable54 = null;
    java.lang.Object[] obj_array56 = null;
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException(throwable54, "", obj_array56);
    double[] d_array58 = new double[] {  };
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array58, "", obj_array62);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array58);
    double[] d_array67 = new double[] {  };
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException72 = new org.apache.commons.math.ode.events.EventException("", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array67, "", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(throwable54, d_array58, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, (-1.0d), "", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, d_array48, "Maximal number of iterations ({0}) exceeded", obj_array71);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array48);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(100.0d, d_array48);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test353"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setAbsoluteAccuracy(10.0d);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test354"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d, "", obj_array2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException3);
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException12, "hi!", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException25, "hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException20, "hi!", obj_array29);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable7, "org.apache.commons.math.ode.DerivativeException: ", obj_array29);
    java.lang.Object[] obj_array35 = mathException34.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ode.DerivativeException: ", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException36);
    double[] d_array38 = functionEvaluationException36.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException4, d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test355"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, 0.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    java.lang.Object[] obj_array8 = functionEvaluationException7.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d, "hi!", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11);
    java.lang.Throwable throwable13 = null;
    java.lang.Throwable throwable14 = null;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable14, "", obj_array16);
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array18, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable13, d_array18);
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    java.lang.Object[] obj_array41 = mathException40.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "hi!", obj_array41);
    double[] d_array44 = new double[] {  };
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException49 = new org.apache.commons.math.ode.events.EventException("", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array44, "", obj_array48);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, d_array18, "Maximal number of iterations ({0}) exceeded", obj_array48);
    double[] d_array52 = functionEvaluationException11.getArgument();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator54 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array52, true);
    double[] d_array55 = dummyStepInterpolator54.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array55);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator58 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array55, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test356"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, Double.NaN, (-1));
    double d5 = eventState4.getEventTime();
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { functionEvaluationException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of iterations ({0}) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0d);
    double[] d_array35 = functionEvaluationException34.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    boolean b37 = eventState4.reset(10.0d, d_array35);
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math.ode.events.EventState eventState43 = new org.apache.commons.math.ode.events.EventState(eventHandler39, 100.0d, 1.0d, 100);
    double d44 = eventState43.getConvergence();
    double[] d_array49 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b50 = eventState43.reset(10.0d, d_array49);
    org.apache.commons.math.ode.events.EventHandler eventHandler51 = eventState43.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler52 = eventState43.getEventHandler();
    double[] d_array55 = new double[] {  };
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException("", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "", obj_array59);
    org.apache.commons.math.ode.DerivativeException derivativeException62 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException62, 100.0d);
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException64, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array67);
    java.lang.String str69 = functionEvaluationException68.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException68);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str75 = maxIterationsExceededException74.getPattern();
    java.lang.Object[] obj_array76 = new java.lang.Object[] { maxIterationsExceededException74 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException70, (-1.0d), "hi!", obj_array76);
    java.lang.Object[] obj_array78 = functionEvaluationException77.getArguments();
    double[] d_array79 = functionEvaluationException77.getArgument();
    boolean b80 = eventState43.reset(1.0d, d_array79);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(0.0d, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str69.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str75.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test357"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable6 = null;
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array11);
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "hi!", obj_array34);
    boolean b36 = eventState4.reset(0.0d, d_array11);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator38 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test358"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException8, "hi!", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12);
    org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array12);
    org.apache.commons.math.ode.events.EventException eventException19 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test359"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10);
    java.lang.String str12 = mathException11.getPattern();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler16, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState20.reset(10.0d, d_array32);
    double[] d_array39 = new double[] {  };
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException44 = new org.apache.commons.math.ode.events.EventException("", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array39, "", obj_array43);
    org.apache.commons.math.ode.DerivativeException derivativeException46 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array43);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException46, 100.0d);
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException48, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array51);
    java.lang.String str53 = functionEvaluationException52.getPattern();
    java.lang.Object[] obj_array54 = new java.lang.Object[] { str53 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "", obj_array54);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException11, 0.0d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array54);
    double[] d_array58 = functionEvaluationException57.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str53.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test360() {}
// Defects4J: flaky method
//   @Test
//   public void test360() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test360"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     double d3 = brentSolver0.getFunctionValueAccuracy();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(100.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
// 
//   }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test361"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b2 = dummyStepInterpolator1.isForward();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    dummyStepInterpolator1.finalizeStep();
    dummyStepInterpolator1.setInterpolatedTime(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test362() {}
// Defects4J: flaky method
//   @Test
//   public void test362() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test362"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(Double.NaN);
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test363"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    double d38 = eventState4.getConvergence();
    int i39 = eventState4.getMaxIterationCount();
    boolean b40 = eventState4.stop();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator41 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b42 = eventState4.evaluateStep(stepInterpolator41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test364"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NaN);
    double[] d_array4 = functionEvaluationException3.getArgument();
    java.lang.Throwable throwable6 = null;
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(throwable6, "", obj_array8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    org.apache.commons.math.ode.DerivativeException derivativeException28 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException27);
    double[] d_array30 = new double[] {  };
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException35 = new org.apache.commons.math.ode.events.EventException("", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "", obj_array34);
    org.apache.commons.math.ode.DerivativeException derivativeException37 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array34);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException37, 100.0d);
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException39, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array42);
    java.lang.String str44 = functionEvaluationException43.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException43);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str50 = maxIterationsExceededException49.getPattern();
    java.lang.Object[] obj_array51 = new java.lang.Object[] { maxIterationsExceededException49 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException45, (-1.0d), "hi!", obj_array51);
    double[] d_array53 = functionEvaluationException52.getArgument();
    java.lang.Throwable throwable55 = null;
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(throwable55, "", obj_array57);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(throwable55, d_array59, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "hi!", obj_array72);
    double[] d_array78 = new double[] {  };
    java.lang.Object[] obj_array82 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException83 = new org.apache.commons.math.ode.events.EventException("", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array78, "", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array53, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array82);
    double[] d_array86 = functionEvaluationException85.getArgument();
    java.lang.Object[] obj_array88 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, d_array86, "org.apache.commons.math.FunctionEvaluationException: hi!", obj_array88);
    org.apache.commons.math.ode.DerivativeException derivativeException90 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str44.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str50.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test365"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = eventState8.getEventHandler();
    double d10 = eventState8.getConvergence();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException13, Double.NaN);
    double[] d_array16 = functionEvaluationException15.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException20);
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array23 = maxIterationsExceededException20.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    boolean b25 = eventState8.reset((-1.0d), d_array16);
    java.lang.Throwable throwable28 = null;
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.ode.DerivativeException derivativeException38 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException38, 100.0d);
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array43);
    java.lang.String str45 = functionEvaluationException44.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException44);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str51 = maxIterationsExceededException50.getPattern();
    java.lang.Object[] obj_array52 = new java.lang.Object[] { maxIterationsExceededException50 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException46, (-1.0d), "hi!", obj_array52);
    java.lang.Object[] obj_array54 = functionEvaluationException53.getArguments();
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(throwable28, "Maximal number of iterations ({0}) exceeded", obj_array54);
    org.apache.commons.math.ode.events.EventException eventException56 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(throwable1, 1.0E-6d, "", obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("", obj_array54);
    java.lang.String str60 = convergenceException59.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str45.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str51.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str60.equals("org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test366"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException2, 1.0E-6d, "hi!", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException2);
    java.lang.Throwable throwable11 = null;
    java.lang.Throwable throwable12 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(throwable12, "", obj_array14);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array16);
    org.apache.commons.math.ode.DerivativeException derivativeException34 = new org.apache.commons.math.ode.DerivativeException(throwable11);
    java.lang.Object[] obj_array35 = derivativeException34.getArguments();
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException7, (-1.0d), "org.apache.commons.math.ode.events.EventException: ", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test367"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, (-1.0d), 1);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    double d6 = eventState4.getMaxCheckInterval();
    double d7 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test368"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setMaximalIterationCount(0);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = brentSolver0.solve(univariateRealFunction15, 0.0d, 1.0E-14d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test369"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i6 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test370"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 1.0d);
    org.apache.commons.math.ode.DerivativeException derivativeException12 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException11);
    java.lang.Object[] obj_array14 = convergenceException13.getArguments();
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.events.EventException: org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException15, 1.0E-6d);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException21, "hi!", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException28);
    eventException15.addSuppressed((java.lang.Throwable)mathException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test371"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array4);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test372"); }


    double[] d_array2 = new double[] {  };
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array2, "", obj_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException9 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array6);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException9, 100.0d);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException11, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14);
    java.lang.String str16 = functionEvaluationException15.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str22 = maxIterationsExceededException21.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { maxIterationsExceededException21 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, (-1.0d), "hi!", obj_array23);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.ode.events.EventState eventState30 = new org.apache.commons.math.ode.events.EventState(eventHandler26, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math.ode.events.EventState eventState36 = new org.apache.commons.math.ode.events.EventState(eventHandler32, 100.0d, 1.0d, 100);
    double d37 = eventState36.getConvergence();
    double[] d_array42 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b43 = eventState36.reset(10.0d, d_array42);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array42, true);
    boolean b46 = eventState30.reset(10.0d, d_array42);
    double[] d_array49 = new double[] {  };
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException54 = new org.apache.commons.math.ode.events.EventException("", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array53);
    org.apache.commons.math.ode.DerivativeException derivativeException56 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array53);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException56, 100.0d);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException58, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array61);
    java.lang.String str63 = functionEvaluationException62.getPattern();
    java.lang.Object[] obj_array64 = new java.lang.Object[] { str63 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException24, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("", obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str22.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test373"); }


    double[] d_array3 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator5.storeTime(10.0d);
    dummyStepInterpolator5.storeTime((-1.0d));
    double d10 = dummyStepInterpolator5.getPreviousTime();
    double[] d_array11 = dummyStepInterpolator5.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test374"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test375"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d9 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-14d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test376"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    boolean b3 = dummyStepInterpolator0.isForward();
    double d4 = dummyStepInterpolator0.getPreviousTime();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator6 = dummyStepInterpolator0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator6);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test377"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedState();
    double d18 = dummyStepInterpolator14.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator14);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator20 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator19);
    double[] d_array21 = dummyStepInterpolator20.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array21, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test378"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    int i38 = eventState4.getMaxIterationCount();
    int i39 = eventState4.getMaxIterationCount();
    double d40 = eventState4.getConvergence();
    java.lang.Throwable throwable42 = null;
    java.lang.Throwable throwable43 = null;
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable43, "", obj_array45);
    double[] d_array47 = new double[] {  };
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException("", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(throwable43, d_array47, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(throwable42, d_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    boolean b67 = eventState4.reset((-1.0d), d_array47);
    double d68 = eventState4.getEventTime();
    double d69 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test379"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, Double.NaN, 1);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = eventState4.evaluateStep(stepInterpolator5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test380"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array5);
    java.lang.Throwable[] throwable_array7 = convergenceException6.getSuppressed();
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.ode.DerivativeException derivativeException18 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException18, 100.0d);
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException20, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array23);
    java.lang.String str25 = functionEvaluationException24.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str31 = maxIterationsExceededException30.getPattern();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { maxIterationsExceededException30 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException26, (-1.0d), "hi!", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException6, 0.0d, "", obj_array32);
    java.lang.Throwable[] throwable_array35 = convergenceException6.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str25.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str31.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test381"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getConvergence();
    double d10 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test382() {}
// Defects4J: flaky method
//   @Test
//   public void test382() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test382"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.setMaximalIterationCount((-1));
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     double d8 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     brentSolver0.resetRelativeAccuracy();
//     double d12 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(0.0d, 0.0d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.0E-15d);
// 
//   }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test383"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test384"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 100.0d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    java.lang.String str15 = functionEvaluationException14.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable18 = null;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(throwable18, "", obj_array20);
    double[] d_array22 = new double[] {  };
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException27 = new org.apache.commons.math.ode.events.EventException("", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array31 = new double[] {  };
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException36 = new org.apache.commons.math.ode.events.EventException("", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(throwable18, d_array22, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { functionEvaluationException41 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException17, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator46 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { eventState57 };
    org.apache.commons.math.ode.DerivativeException derivativeException59 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "", obj_array58);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator64 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.ode.DerivativeException derivativeException75 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException75, 100.0d);
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException81 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException77, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array80);
    java.lang.String str82 = functionEvaluationException81.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException81);
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException83);
    java.lang.Throwable[] throwable_array85 = convergenceException84.getSuppressed();
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException87 = new org.apache.commons.math.FunctionEvaluationException(d_array22, "evaluation failed for argument = {0}", (java.lang.Object[])throwable_array85);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException89 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str82.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array85);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test385"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    double d15 = dummyStepInterpolator13.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = dummyStepInterpolator16.copy();
    dummyStepInterpolator16.shift();
    dummyStepInterpolator16.storeTime(100.0d);
    double[] d_array21 = dummyStepInterpolator16.getInterpolatedDerivatives();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array21, false);
    dummyStepInterpolator23.shift();
    double d25 = dummyStepInterpolator23.getPreviousTime();
    double[] d_array26 = dummyStepInterpolator23.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator27 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test386() {}
// Defects4J: flaky method
//   @Test
//   public void test386() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test386"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setAbsoluteAccuracy(1.0E-14d);
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction6, Double.NaN, 1.0E-6d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
// 
//   }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test387"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.ode.DerivativeException derivativeException14 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException14, 100.0d);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException16, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    java.lang.String str21 = functionEvaluationException20.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str27 = maxIterationsExceededException26.getPattern();
    java.lang.Object[] obj_array28 = new java.lang.Object[] { maxIterationsExceededException26 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException22, (-1.0d), "hi!", obj_array28);
    double[] d_array30 = functionEvaluationException29.getArgument();
    java.lang.Throwable throwable32 = null;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(throwable32, "", obj_array34);
    double[] d_array36 = new double[] {  };
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException("", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array36, "", obj_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    double[] d_array45 = new double[] {  };
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array45, "", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(throwable32, d_array36, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "hi!", obj_array49);
    double[] d_array55 = new double[] {  };
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException("", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array55, "", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array59);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: ", obj_array59);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 10.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded", obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str27.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test388() {}
// Defects4J: flaky method
//   @Test
//   public void test388() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test388"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     brentSolver0.setMaximalIterationCount(1);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 1.0E-15d, 1.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
// 
//   }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test389"); }


    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "", obj_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Throwable[] throwable_array11 = maxIterationsExceededException10.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, 0.0d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 1", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test390"); }


    java.lang.Throwable throwable2 = null;
    java.lang.Throwable throwable3 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable3, "", obj_array5);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array7, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array7);
    java.lang.Throwable throwable26 = null;
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable26, "", obj_array28);
    java.lang.Object[] obj_array30 = mathException29.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "hi!", obj_array30);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array38);
    org.apache.commons.math.ode.DerivativeException derivativeException40 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array38);
    org.apache.commons.math.ode.DerivativeException derivativeException41 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: ", obj_array38);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException50 = new org.apache.commons.math.ode.events.EventException("", obj_array49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array49);
    org.apache.commons.math.ode.DerivativeException derivativeException52 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: ", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException41, 1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test391"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetMaximalIterationCount();
    double d14 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-6d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test392"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException4 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1);
    org.apache.commons.math.ode.DerivativeException derivativeException6 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)mathException5);

  }

  @Test
  public void test393() {}
// Defects4J: flaky method
//   @Test
//   public void test393() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test393"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     int i7 = brentSolver0.getMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(univariateRealFunction8, 0.0d, 1.0E-15d, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == (-1));
// 
//   }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test394"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    double d12 = eventState4.getEventTime();
    double d13 = eventState4.getConvergence();
    boolean b14 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test395"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetFunctionValueAccuracy();
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d10 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    double d13 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test396"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test397() {}
// Defects4J: flaky method
//   @Test
//   public void test397() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test397"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.setMaximalIterationCount(100);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(1.0E-6d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
// 
//   }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test398"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    int i8 = brentSolver0.getMaximalIterationCount();
    int i9 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    double d12 = brentSolver0.getRelativeAccuracy();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-6d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test399"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    double d8 = brentSolver0.getFunctionValueAccuracy();
    int i9 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test400"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d10 = brentSolver0.getRelativeAccuracy();
    int i11 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setFunctionValueAccuracy(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test401"); }


    java.lang.Throwable throwable2 = null;
    java.lang.Throwable throwable3 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException(throwable3, "", obj_array5);
    double[] d_array7 = new double[] {  };
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array7, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable2, d_array7);
    java.lang.Throwable throwable26 = null;
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(throwable26, "", obj_array28);
    java.lang.Object[] obj_array30 = mathException29.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array7, "hi!", obj_array30);
    java.lang.Throwable throwable34 = null;
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable34, "", obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array38);
    java.lang.Throwable[] throwable_array40 = functionEvaluationException39.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException41 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException39);
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "org.apache.commons.math.MathException: hi!", (java.lang.Object[])throwable_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException43, 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test402"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    double d5 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    double d7 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test403"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test404"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, Double.NaN);
    double[] d_array4 = functionEvaluationException3.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 100.0d, 1.0d, 100);
    double d35 = eventState34.getConvergence();
    double[] d_array40 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b41 = eventState34.reset(10.0d, d_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable46 = null;
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(throwable46, "", obj_array48);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException44, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException29, d_array40, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable7, "", obj_array50);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array50);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator56 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array4, true);
    double[] d_array57 = dummyStepInterpolator56.getInterpolatedState();
    dummyStepInterpolator56.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator59 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator56);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator60 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test405"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setMaximalIterationCount(0);
    double d13 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test406"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5);
    java.lang.Throwable throwable7 = null;
    java.lang.Throwable throwable8 = null;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable8, "", obj_array10);
    double[] d_array12 = new double[] {  };
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException17 = new org.apache.commons.math.ode.events.EventException("", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "", obj_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array12);
    double[] d_array21 = new double[] {  };
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException26 = new org.apache.commons.math.ode.events.EventException("", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array21, "", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable8, d_array12, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array25);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array12);
    java.lang.Throwable throwable31 = null;
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable31, "", obj_array33);
    java.lang.Object[] obj_array35 = mathException34.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "hi!", obj_array35);
    double[] d_array38 = new double[] {  };
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException5, d_array12, "Maximal number of iterations ({0}) exceeded", obj_array42);
    org.apache.commons.math.ode.events.EventHandler eventHandler47 = null;
    org.apache.commons.math.ode.events.EventState eventState51 = new org.apache.commons.math.ode.events.EventState(eventHandler47, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.ode.events.EventState eventState57 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 100.0d, 1.0d, 100);
    double d58 = eventState57.getConvergence();
    double[] d_array63 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b64 = eventState57.reset(10.0d, d_array63);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator66 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array63, true);
    boolean b67 = eventState51.reset(10.0d, d_array63);
    double[] d_array70 = new double[] {  };
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException75 = new org.apache.commons.math.ode.events.EventException("", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array70, "", obj_array74);
    org.apache.commons.math.ode.DerivativeException derivativeException77 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array74);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException77, 100.0d);
    java.lang.Object[] obj_array82 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException79, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array82);
    java.lang.String str84 = functionEvaluationException83.getPattern();
    java.lang.Object[] obj_array85 = new java.lang.Object[] { str84 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "", obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException("", obj_array85);
    java.lang.Throwable[] throwable_array88 = convergenceException87.getSuppressed();
    functionEvaluationException5.addSuppressed((java.lang.Throwable)convergenceException87);
    java.lang.Throwable[] throwable_array90 = convergenceException87.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array90);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException92 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "", (java.lang.Object[])throwable_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str84.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array90);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test407"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getEventTime();
    double d7 = eventState4.getConvergence();
    double d8 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test408"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime(Double.NaN);
    dummyStepInterpolator0.shift();
    double d9 = dummyStepInterpolator0.getInterpolatedTime();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator11.setInterpolatedTime(1.0d);
    boolean b14 = dummyStepInterpolator11.isForward();
    dummyStepInterpolator11.storeTime(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test409"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, 1.0E-6d, 0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test410"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator6 = dummyStepInterpolator0.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d8 = dummyStepInterpolator7.getPreviousTime();
    boolean b9 = dummyStepInterpolator7.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test411() {}
// Defects4J: flaky method
//   @Test
//   public void test411() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test411"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     double d4 = brentSolver0.getRelativeAccuracy();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(100.0d, 1.0d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test412"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);

  }

  @Test
  public void test413() {}
// Defects4J: flaky method
//   @Test
//   public void test413() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test413"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setFunctionValueAccuracy((-1.0d));
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d12 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.0E-14d);
// 
//   }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test414"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    dummyStepInterpolator1.storeTime(Double.NaN);
    double d6 = dummyStepInterpolator1.getCurrentTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test415"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    brentSolver0.resetMaximalIterationCount();
    int i13 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test416"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 0.0d, 0);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test417"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator2 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator4 = dummyStepInterpolator0.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d6 = dummyStepInterpolator0.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test418"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array3);
    java.lang.Throwable[] throwable_array5 = functionEvaluationException4.getSuppressed();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array5);
    java.lang.String str7 = mathException6.getPattern();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException10, "hi!", obj_array14);
    java.lang.String str17 = maxIterationsExceededException10.toString();
    int i18 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Throwable[] throwable_array19 = maxIterationsExceededException10.getSuppressed();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, "org.apache.commons.math.ode.events.EventException: ", (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str7.equals("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test419"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable0, "", obj_array2);
    double[] d_array4 = new double[] {  };
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException9 = new org.apache.commons.math.ode.events.EventException("", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "", obj_array8);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array4, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { functionEvaluationException23 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array4, "Maximal number of iterations ({0}) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 1.0d);
    double[] d_array28 = functionEvaluationException27.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str33 = maxIterationsExceededException32.getPattern();
    java.lang.Throwable[] throwable_array34 = maxIterationsExceededException32.getSuppressed();
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { functionEvaluationException60 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of iterations ({0}) exceeded", obj_array61);
    org.apache.commons.math.ode.events.EventException eventException63 = new org.apache.commons.math.ode.events.EventException("", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array61);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 10.0d);
    double[] d_array68 = functionEvaluationException67.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str33.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test420"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-6d, 0.0d, 10);
    double d5 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.ode.events.EventState eventState17 = new org.apache.commons.math.ode.events.EventState(eventHandler13, 100.0d, 1.0d, 100);
    double d18 = eventState17.getConvergence();
    double[] d_array23 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b24 = eventState17.reset(10.0d, d_array23);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator26 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array23, true);
    boolean b27 = eventState11.reset(0.0d, d_array23);
    boolean b28 = eventState4.reset(1.0d, d_array23);
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math.ode.events.EventState eventState35 = new org.apache.commons.math.ode.events.EventState(eventHandler31, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math.ode.events.EventState eventState41 = new org.apache.commons.math.ode.events.EventState(eventHandler37, 100.0d, 1.0d, 100);
    double d42 = eventState41.getConvergence();
    double[] d_array47 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b48 = eventState41.reset(10.0d, d_array47);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator50 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array47, true);
    boolean b51 = eventState35.reset(10.0d, d_array47);
    double[] d_array54 = new double[] {  };
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException("", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array54, "", obj_array58);
    org.apache.commons.math.ode.DerivativeException derivativeException61 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array58);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException61, 100.0d);
    java.lang.Object[] obj_array66 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException63, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array66);
    java.lang.String str68 = functionEvaluationException67.getPattern();
    java.lang.Object[] obj_array69 = new java.lang.Object[] { str68 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array47, "", obj_array69);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator72 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array47, true);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(1.0E-6d, d_array47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str68.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test421"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator0.finalizeStep();
    java.io.ObjectOutput objectOutput10 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.writeExternal(objectOutput10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test422"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test423"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array1);
    double[] d_array6 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array6, false);
    double[] d_array9 = dummyStepInterpolator8.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, d_array9);
    org.apache.commons.math.ode.DerivativeException derivativeException11 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)mathException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test424"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, Double.NaN);
    double[] d_array12 = functionEvaluationException11.getArgument();
    java.lang.Throwable throwable14 = null;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable14, "", obj_array16);
    double[] d_array18 = new double[] {  };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "", obj_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    double[] d_array27 = new double[] {  };
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException32 = new org.apache.commons.math.ode.events.EventException("", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(throwable14, d_array18, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array12, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31);
    double[] d_array36 = functionEvaluationException35.getArgument();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array42);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array42);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException7, d_array36, "org.apache.commons.math.ode.DerivativeException: ", obj_array42);
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException45);
    java.lang.Object[] obj_array47 = eventException46.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array47);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(1.0E-6d, "", obj_array52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException57);
    org.apache.commons.math.ode.events.EventException eventException59 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException57);
    org.apache.commons.math.ode.DerivativeException derivativeException60 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)eventException59);
    java.lang.Throwable throwable62 = null;
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException(throwable62, "", obj_array64);
    java.lang.Object[] obj_array66 = mathException65.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException60, "Maximal number of iterations ({0}) exceeded", obj_array66);
    org.apache.commons.math.ode.DerivativeException derivativeException68 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ConvergenceException: ", obj_array66);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException53, "org.apache.commons.math.MathException: hi!", obj_array66);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException48, "", obj_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(1.0E-14d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {1; 0; -1}", obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test425"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler1 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler1, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { eventState5 };
    org.apache.commons.math.ode.DerivativeException derivativeException7 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)derivativeException7);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 1.0E-14d, 1.0E-15d, 0);
    int i14 = eventState13.getMaxIterationCount();
    double[] d_array19 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array19, false);
    double[] d_array22 = dummyStepInterpolator21.getInterpolatedDerivatives();
    boolean b23 = eventState13.reset(1.0E-15d, d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException7, d_array22);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator28 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array22, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test426"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException11, "hi!", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException18, d_array19);
    maxIterationsExceededException9.addSuppressed((java.lang.Throwable)functionEvaluationException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException9);
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 100.0d, 1.0d, 100);
    double d35 = eventState34.getConvergence();
    double[] d_array40 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b41 = eventState34.reset(10.0d, d_array40);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator43 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array40, true);
    double[] d_array44 = dummyStepInterpolator43.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator45 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator43);
    double[] d_array46 = dummyStepInterpolator45.getInterpolatedState();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException58 = new org.apache.commons.math.ode.events.EventException("", obj_array57);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException53, "hi!", obj_array57);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array57);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException66 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("", obj_array70);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException66, "hi!", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException61, "hi!", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException75 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.DerivativeException: hi!", obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException9, d_array46, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException78 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException77);
    double[] d_array79 = functionEvaluationException77.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.reinitializeBegin(0.0d, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test427"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator2 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d3 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator6.setInterpolatedTime(100.0d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator9 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator6);
    dummyStepInterpolator6.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test428() {}
// Defects4J: flaky method
//   @Test
//   public void test428() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test428"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setMaximalIterationCount(1);
//     brentSolver0.setMaximalIterationCount(100);
//     brentSolver0.resetRelativeAccuracy();
//     int i11 = brentSolver0.getMaximalIterationCount();
//     double d12 = brentSolver0.getAbsoluteAccuracy();
//     double d13 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0E-15d);
// 
//   }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test429"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array3);
    java.lang.Throwable[] throwable_array5 = functionEvaluationException4.getSuppressed();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test430"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d11 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    int i14 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test431"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    double d5 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(100.0d);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException9);
    java.lang.Throwable throwable11 = null;
    java.lang.Throwable throwable12 = null;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(throwable12, "", obj_array14);
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable12, d_array16, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array16);
    java.lang.Throwable throwable35 = null;
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(throwable35, "", obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "hi!", obj_array39);
    double[] d_array42 = new double[] {  };
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException47 = new org.apache.commons.math.ode.events.EventException("", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "", obj_array46);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException9, d_array16, "Maximal number of iterations ({0}) exceeded", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException9);
    double[] d_array52 = functionEvaluationException9.getArgument();
    java.lang.Throwable throwable54 = null;
    java.lang.Throwable throwable55 = null;
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(throwable55, "", obj_array57);
    double[] d_array59 = new double[] {  };
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException64 = new org.apache.commons.math.ode.events.EventException("", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "", obj_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    double[] d_array68 = new double[] {  };
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException73 = new org.apache.commons.math.ode.events.EventException("", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(throwable55, d_array59, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(throwable54, d_array59);
    java.lang.Throwable throwable78 = null;
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(throwable78, "", obj_array80);
    java.lang.Object[] obj_array82 = mathException81.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException83 = new org.apache.commons.math.FunctionEvaluationException(d_array59, "hi!", obj_array82);
    java.lang.Throwable throwable86 = null;
    java.lang.Object[] obj_array88 = null;
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException(throwable86, "", obj_array88);
    java.lang.Object[] obj_array90 = mathException89.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException91 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException83, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array90);
    java.lang.Throwable[] throwable_array92 = functionEvaluationException91.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException(d_array52, "", (java.lang.Object[])throwable_array92);
    boolean b94 = eventState4.reset(10.0d, d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test432"); }


    java.lang.Throwable throwable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 100.0d, 1.0d, 100);
    double d7 = eventState6.getConvergence();
    double[] d_array12 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b13 = eventState6.reset(10.0d, d_array12);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array12, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator15);
    dummyStepInterpolator15.finalizeStep();
    double d18 = dummyStepInterpolator15.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator19 = dummyStepInterpolator15.copy();
    double[] d_array20 = dummyStepInterpolator15.getInterpolatedState();
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(throwable1, d_array20, "org.apache.commons.math.ode.DerivativeException: ", obj_array22);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException28.addSuppressed((java.lang.Throwable)maxIterationsExceededException30);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException38 = new org.apache.commons.math.ode.events.EventException("", obj_array37);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException28, "", obj_array37);
    java.lang.Throwable[] throwable_array41 = convergenceException40.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array20, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", (java.lang.Object[])throwable_array41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException52 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException50.addSuppressed((java.lang.Throwable)maxIterationsExceededException52);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException60 = new org.apache.commons.math.ode.events.EventException("", obj_array59);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException50, "", obj_array59);
    java.lang.Throwable[] throwable_array63 = convergenceException62.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(1.0E-15d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array63);
    double[] d_array67 = functionEvaluationException66.getArgument();
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test433"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    double[] d_array6 = null;
    boolean b7 = eventState4.reset((-1.0d), d_array6);
    double[] d_array11 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, false);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    boolean b15 = dummyStepInterpolator13.isForward();
    dummyStepInterpolator13.storeTime(0.0d);
    dummyStepInterpolator13.setInterpolatedTime(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      boolean b20 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test434"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.ode.events.EventState eventState26 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 100.0d, 1.0d, 100);
    double d27 = eventState26.getConvergence();
    double[] d_array32 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b33 = eventState26.reset(10.0d, d_array32);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator35 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array32, true);
    boolean b36 = eventState4.reset(100.0d, d_array32);
    double d37 = eventState4.getConvergence();
    int i38 = eventState4.getMaxIterationCount();
    int i39 = eventState4.getMaxIterationCount();
    double d40 = eventState4.getConvergence();
    double d41 = eventState4.getConvergence();
    double d42 = eventState4.getEventTime();
    boolean b43 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test435"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test436"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b3 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator4);
    dummyStepInterpolator4.storeTime(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test437"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    boolean b5 = dummyStepInterpolator0.isForward();
    java.io.ObjectInput objectInput6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.readExternal(objectInput6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test438"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState4.getEventHandler();
    double d9 = eventState4.getMaxCheckInterval();
    int i10 = eventState4.getMaxIterationCount();
    double d11 = eventState4.getEventTime();
    double[] d_array13 = new double[] {  };
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException18 = new org.apache.commons.math.ode.events.EventException("", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "", obj_array17);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array21 = functionEvaluationException20.getArgument();
    boolean b22 = eventState4.reset(0.0d, d_array21);
    double d23 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState4.getEventHandler();
    double d25 = eventState4.getEventTime();
    double d26 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test439"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    boolean b21 = eventState4.stop();
    double d22 = eventState4.getMaxCheckInterval();
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.ode.DerivativeException derivativeException32 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException32, 1.0d);
    double[] d_array35 = functionEvaluationException34.getArgument();
    boolean b36 = eventState4.reset(0.0d, d_array35);
    double d37 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test440"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime((-1.0d));
    dummyStepInterpolator0.setInterpolatedTime(1.0E-14d);
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator11 = dummyStepInterpolator0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator11);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test441"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    int i6 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test442"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test443"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test444"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.finalizeStep();
    double[] d_array16 = dummyStepInterpolator13.getInterpolatedState();
    boolean b17 = dummyStepInterpolator13.isForward();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = dummyStepInterpolator13.copy();
    double d19 = dummyStepInterpolator13.getInterpolatedTime();
    dummyStepInterpolator13.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test445"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException30, 100.0d);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array35);
    java.lang.String str37 = functionEvaluationException36.getPattern();
    java.lang.Object[] obj_array38 = new java.lang.Object[] { str37 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array38);
    java.lang.Object[] obj_array40 = functionEvaluationException39.getArguments();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException39);
    java.lang.Throwable[] throwable_array42 = functionEvaluationException39.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);

  }

  @Test
  public void test446() {}
// Defects4J: flaky method
//   @Test
//   public void test446() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test446"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.setMaximalIterationCount(0);
//     int i6 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(1.0E-6d);
//     brentSolver0.setRelativeAccuracy(1.0d);
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve(univariateRealFunction11, 10.0d, 0.0d, 10.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
// 
//   }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test447"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 100.0d, 1.0d, 100);
    double d11 = eventState10.getConvergence();
    double[] d_array16 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b17 = eventState10.reset(10.0d, d_array16);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator19 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array16, true);
    boolean b20 = eventState4.reset(10.0d, d_array16);
    double d21 = eventState4.getEventTime();
    int i22 = eventState4.getMaxIterationCount();
    double d23 = eventState4.getMaxCheckInterval();
    double d24 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = eventState4.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler26);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test448"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    double[] d_array17 = dummyStepInterpolator16.getInterpolatedDerivatives();
    double d18 = dummyStepInterpolator16.getInterpolatedTime();
    dummyStepInterpolator16.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test449"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    boolean b2 = dummyStepInterpolator0.isForward();
    double d3 = dummyStepInterpolator0.getPreviousTime();
    boolean b4 = dummyStepInterpolator0.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test450"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    java.lang.Throwable throwable6 = null;
    java.lang.Throwable throwable7 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(throwable7, "", obj_array9);
    double[] d_array11 = new double[] {  };
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException16 = new org.apache.commons.math.ode.events.EventException("", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "", obj_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    double[] d_array20 = new double[] {  };
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array20, "", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(throwable7, d_array11, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(throwable6, d_array11);
    java.lang.Throwable throwable30 = null;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException(throwable30, "", obj_array32);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "hi!", obj_array34);
    boolean b36 = eventState4.reset(0.0d, d_array11);
    org.apache.commons.math.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math.ode.events.EventState eventState46 = new org.apache.commons.math.ode.events.EventState(eventHandler42, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { eventState46 };
    org.apache.commons.math.ode.DerivativeException derivativeException48 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("hi!", obj_array47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ode.DerivativeException: ", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    org.apache.commons.math.ode.events.EventException eventException52 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException51);
    org.apache.commons.math.ode.DerivativeException derivativeException53 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException51);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException61 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException59.addSuppressed((java.lang.Throwable)maxIterationsExceededException61);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException69 = new org.apache.commons.math.ode.events.EventException("", obj_array68);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException70 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException59, "", obj_array68);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {}", obj_array68);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException51, Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test451"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 100.0d, 1.0d, 100);
    double d8 = eventState7.getConvergence();
    double[] d_array13 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b14 = eventState7.reset(10.0d, d_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable19 = null;
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(throwable19, "", obj_array21);
    java.lang.Object[] obj_array23 = mathException22.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException17, "Maximal number of iterations ({0}) exceeded", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, d_array13, "Maximal number of iterations ({0}) exceeded", obj_array23);
    double[] d_array26 = functionEvaluationException25.getArgument();
    java.lang.Throwable[] throwable_array27 = functionEvaluationException25.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array27);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException28);
    java.lang.Throwable[] throwable_array31 = maxIterationsExceededException28.getSuppressed();
    java.lang.String str32 = maxIterationsExceededException28.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test452"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.FunctionEvaluationException: ", obj_array2);
    int i4 = maxIterationsExceededException3.getMaxIterations();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException3, 10.0d);
    double[] d_array7 = functionEvaluationException6.getArgument();
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test453() {}
// Defects4J: flaky method
//   @Test
//   public void test453() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test453"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d11 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = brentSolver0.solve((-1.0d), (-1.0d), 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-14d);
// 
//   }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test454"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.ode.events.EventException eventException4 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(0.0d);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException6, Double.NaN);
    double[] d_array9 = functionEvaluationException8.getArgument();
    java.lang.Throwable throwable11 = null;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable11, "", obj_array13);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array24 = new double[] {  };
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array24, "", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(throwable11, d_array15, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    double[] d_array33 = functionEvaluationException32.getArgument();
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eventException4, d_array33, "org.apache.commons.math.ode.DerivativeException: ", obj_array39);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", obj_array44);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.ode.DerivativeException derivativeException49 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)maxIterationsExceededException48);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException49, 1.0E-6d, "hi!", obj_array52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)derivativeException49);
    java.lang.Throwable throwable58 = null;
    java.lang.Throwable throwable59 = null;
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable59, "", obj_array61);
    double[] d_array63 = new double[] {  };
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException68 = new org.apache.commons.math.ode.events.EventException("", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array63, "", obj_array67);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    double[] d_array72 = new double[] {  };
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException77 = new org.apache.commons.math.ode.events.EventException("", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException(d_array72, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(throwable59, d_array63, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException(throwable58, d_array63);
    org.apache.commons.math.ode.DerivativeException derivativeException81 = new org.apache.commons.math.ode.DerivativeException(throwable58);
    java.lang.Object[] obj_array82 = derivativeException81.getArguments();
    org.apache.commons.math.ode.events.EventException eventException83 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException54, (-1.0d), "org.apache.commons.math.ode.events.EventException: ", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array33, "org.apache.commons.math.ode.DerivativeException: hi!", obj_array82);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException86 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test455"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator2 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d3 = dummyStepInterpolator0.getInterpolatedTime();
    boolean b4 = dummyStepInterpolator0.isForward();
    boolean b5 = dummyStepInterpolator0.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test456"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException7 = new org.apache.commons.math.ode.events.EventException("", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2, "hi!", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    double[] d_array10 = new double[] {  };
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array14);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException9, d_array10);
    java.lang.Throwable throwable21 = null;
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException(throwable21, "", obj_array23);
    double[] d_array25 = new double[] {  };
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array25, "", obj_array29);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array34 = new double[] {  };
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException39 = new org.apache.commons.math.ode.events.EventException("", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array34, "", obj_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(throwable21, d_array25, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array38);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math.ode.events.EventState eventState48 = new org.apache.commons.math.ode.events.EventState(eventHandler44, 100.0d, 1.0d, 100);
    double d49 = eventState48.getConvergence();
    double[] d_array54 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b55 = eventState48.reset(10.0d, d_array54);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable60 = null;
    java.lang.Object[] obj_array62 = null;
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(throwable60, "", obj_array62);
    java.lang.Object[] obj_array64 = mathException63.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException58, "Maximal number of iterations ({0}) exceeded", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException43, d_array54, "Maximal number of iterations ({0}) exceeded", obj_array64);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(throwable21, "", obj_array64);
    org.apache.commons.math.ode.DerivativeException derivativeException68 = new org.apache.commons.math.ode.DerivativeException("", obj_array64);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array10, "", obj_array64);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: ", obj_array64);
    org.apache.commons.math.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math.ode.events.EventState eventState75 = new org.apache.commons.math.ode.events.EventState(eventHandler71, 100.0d, 1.0d, 100);
    double d76 = eventState75.getConvergence();
    double[] d_array81 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b82 = eventState75.reset(10.0d, d_array81);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator84 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array81, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator85 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator84);
    double d86 = dummyStepInterpolator84.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator87 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator84);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator88 = dummyStepInterpolator87.copy();
    double d89 = dummyStepInterpolator87.getInterpolatedTime();
    dummyStepInterpolator87.setInterpolatedTime(1.0E-14d);
    double[] d_array92 = dummyStepInterpolator87.getInterpolatedState();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException93 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException70, d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test457"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    dummyStepInterpolator0.shift();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator6 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    boolean b9 = dummyStepInterpolator8.isForward();
    dummyStepInterpolator8.setInterpolatedTime(0.0d);
    double d12 = dummyStepInterpolator8.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test458"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator1.getInterpolatedTime();
    boolean b3 = dummyStepInterpolator1.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator1.copy();
    dummyStepInterpolator1.setInterpolatedTime(0.0d);
    dummyStepInterpolator1.setInterpolatedTime(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test459"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0E-15d, 100.0d, 0);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test460"); }


    java.lang.Throwable throwable3 = null;
    java.lang.Throwable throwable4 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException(throwable4, "", obj_array6);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array17 = new double[] {  };
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException22 = new org.apache.commons.math.ode.events.EventException("", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array17, "", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(throwable4, d_array8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array21);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(throwable3, d_array8);
    java.lang.Throwable throwable27 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(throwable27, "", obj_array29);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "hi!", obj_array31);
    java.lang.Throwable throwable35 = null;
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(throwable35, "", obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException32, 1.0E-14d, "org.apache.commons.math.MathException: ", obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array39);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: ", obj_array39);
    org.apache.commons.math.ode.events.EventException eventException43 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test461"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    double d4 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator5 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.storeTime((-1.0d));
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator9 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator9.storeTime(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator5);

  }

  @Test
  public void test462() {}
// Defects4J: flaky method
//   @Test
//   public void test462() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test462"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i4 = brentSolver0.getMaximalIterationCount();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(Double.NaN, 0.0d, Double.NaN);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
// 
//   }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test463"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    dummyStepInterpolator5.storeTime(0.0d);
    double d8 = dummyStepInterpolator5.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator9 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    double d10 = dummyStepInterpolator9.getPreviousTime();
    dummyStepInterpolator9.storeTime(1.0E-6d);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator9);
    java.io.ObjectInput objectInput14 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator9.readExternal(objectInput14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test464() {}
// Defects4J: flaky method
//   @Test
//   public void test464() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test464"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetAbsoluteAccuracy();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d9 = brentSolver0.getFunctionValueAccuracy();
//     int i10 = brentSolver0.getMaximalIterationCount();
//     double d11 = brentSolver0.getRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.solve(univariateRealFunction12, 1.0E-14d, 100.0d, 1.0E-14d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 1.0E-14d);
// 
//   }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test465"); }


    double[] d_array3 = new double[] {  };
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array7);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException10, 100.0d);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException12, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    java.lang.String str17 = functionEvaluationException16.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException16);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    java.lang.Throwable[] throwable_array20 = convergenceException19.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array20);
    int i22 = maxIterationsExceededException21.getMaxIterations();
    java.lang.Throwable throwable25 = null;
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.ode.DerivativeException derivativeException35 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException35, 100.0d);
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array40);
    java.lang.String str42 = functionEvaluationException41.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException47 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str48 = maxIterationsExceededException47.getPattern();
    java.lang.Object[] obj_array49 = new java.lang.Object[] { maxIterationsExceededException47 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException43, (-1.0d), "hi!", obj_array49);
    java.lang.Object[] obj_array51 = functionEvaluationException50.getArguments();
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable25, "Maximal number of iterations ({0}) exceeded", obj_array51);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException21, 1.0E-15d, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array51);
    java.lang.Throwable[] throwable_array54 = maxIterationsExceededException21.getSuppressed();
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)maxIterationsExceededException21);
    java.lang.String str56 = eventException55.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str17.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str42.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str48.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + ""+ "'", str56.equals(""));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test466"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    double d8 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    int i11 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test467"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array5);
    java.lang.Object[] obj_array8 = mathException7.getArguments();
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math.ode.events.EventState eventState16 = new org.apache.commons.math.ode.events.EventState(eventHandler12, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler18, 100.0d, 1.0d, 100);
    double d23 = eventState22.getConvergence();
    double[] d_array28 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b29 = eventState22.reset(10.0d, d_array28);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator31 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array28, true);
    boolean b32 = eventState16.reset(10.0d, d_array28);
    double[] d_array35 = new double[] {  };
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException40 = new org.apache.commons.math.ode.events.EventException("", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "", obj_array39);
    org.apache.commons.math.ode.DerivativeException derivativeException42 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException42, 100.0d);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException44, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array47);
    java.lang.String str49 = functionEvaluationException48.getPattern();
    java.lang.Object[] obj_array50 = new java.lang.Object[] { str49 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array50);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("", obj_array50);
    java.lang.Throwable[] throwable_array53 = convergenceException52.getSuppressed();
    java.lang.Object[] obj_array56 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException52, 1.0E-14d, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array56);
    java.lang.Throwable throwable61 = null;
    double[] d_array66 = new double[] {  };
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException71 = new org.apache.commons.math.ode.events.EventException("", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array66, "", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException74 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(throwable61, 1.0E-6d, "hi!", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array70);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException57, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException7, 1.0E-6d, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = {1; 0; -1}", obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str49.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test468"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i6 = brentSolver0.getIterationCount();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    double d8 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    int i11 = brentSolver0.getIterationCount();
    int i12 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);

  }

  @Test
  public void test469() {}
// Defects4J: flaky method
//   @Test
//   public void test469() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test469"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     double d6 = brentSolver0.getRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.solve(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-14d);
// 
//   }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test470"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.setMaximalIterationCount(0);
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-6d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setAbsoluteAccuracy(Double.NaN);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test471() {}
// Defects4J: flaky method
//   @Test
//   public void test471() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test471"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     int i1 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(1.0E-15d);
//     brentSolver0.resetMaximalIterationCount();
//     double d10 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d13 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i1 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0E-6d);
// 
//   }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test472"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.shift();
    dummyStepInterpolator13.finalizeStep();
    java.io.ObjectInput objectInput18 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator13.readExternal(objectInput18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test473"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    double[] d_array17 = dummyStepInterpolator14.getInterpolatedDerivatives();
    dummyStepInterpolator14.setInterpolatedTime(10.0d);
    double[] d_array20 = dummyStepInterpolator14.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test474"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test475"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d3 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test476"); }


    double[] d_array0 = new double[] {  };
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException5 = new org.apache.commons.math.ode.events.EventException("", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array0, "", obj_array4);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array0);
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException7);
    java.lang.Object[] obj_array9 = eventException8.getArguments();
    java.lang.Object[] obj_array10 = eventException8.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test477"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "", obj_array10);
    double[] d_array15 = new double[] {  };
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException20 = new org.apache.commons.math.ode.events.EventException("", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array15, "", obj_array19);
    org.apache.commons.math.ode.DerivativeException derivativeException22 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException22, 100.0d);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException24, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    java.lang.String str29 = functionEvaluationException28.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str35 = maxIterationsExceededException34.getPattern();
    java.lang.Object[] obj_array36 = new java.lang.Object[] { maxIterationsExceededException34 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException30, (-1.0d), "hi!", obj_array36);
    double[] d_array38 = functionEvaluationException37.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxIterationsExceededException1, d_array38);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str29.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str35.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test478"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator14.storeTime(1.0d);
    dummyStepInterpolator14.storeTime(100.0d);
    dummyStepInterpolator14.finalizeStep();
    dummyStepInterpolator14.finalizeStep();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator21 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator14);
    dummyStepInterpolator14.finalizeStep();
    dummyStepInterpolator14.setInterpolatedTime(100.0d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator25 = dummyStepInterpolator14.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator25);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test479"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.setMaximalIterationCount((-1));
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(100.0d);
    double d15 = brentSolver0.getFunctionValueAccuracy();
    int i16 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test480"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d8 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test481"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    double d6 = brentSolver0.getRelativeAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test482"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    double d5 = eventState4.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    double d7 = eventState4.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test483"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 100.0d, 100);
    double d5 = eventState4.getEventTime();
    double d6 = eventState4.getConvergence();
    double[] d_array11 = new double[] { 100.0d, 0.0d, 1.0d };
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, false);
    double d14 = dummyStepInterpolator13.getCurrentTime();
    double[] d_array15 = dummyStepInterpolator13.getInterpolatedDerivatives();
    boolean b16 = eventState4.reset(0.0d, d_array15);
    double[] d_array18 = null;
    boolean b19 = eventState4.reset(10.0d, d_array18);
    double d20 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test484"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array2);
    int i4 = maxIterationsExceededException3.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str7 = maxIterationsExceededException6.getPattern();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10);
    java.lang.Throwable[] throwable_array12 = convergenceException11.getSuppressed();
    double[] d_array16 = new double[] {  };
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException21 = new org.apache.commons.math.ode.events.EventException("", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "", obj_array20);
    org.apache.commons.math.ode.DerivativeException derivativeException23 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array20);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException23, 100.0d);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException25, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array28);
    java.lang.String str30 = functionEvaluationException29.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str36 = maxIterationsExceededException35.getPattern();
    java.lang.Object[] obj_array37 = new java.lang.Object[] { maxIterationsExceededException35 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException31, (-1.0d), "hi!", obj_array37);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException11, 0.0d, "", obj_array37);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException39, "org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array41);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException42, (-1.0d));
    maxIterationsExceededException3.addSuppressed((java.lang.Throwable)functionEvaluationException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str7.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str30.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str36.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test485"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0E-15d, 1);
    double d5 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test486"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException12 = new org.apache.commons.math.ode.events.EventException("", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7, "hi!", obj_array11);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException25 = new org.apache.commons.math.ode.events.EventException("", obj_array24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException20, "hi!", obj_array24);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException((-1.0d), "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException15, "hi!", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException29 = new org.apache.commons.math.ode.events.EventException("evaluation failed for argument = {0}", obj_array24);
    org.apache.commons.math.ode.events.EventException eventException30 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", obj_array24);
    org.apache.commons.math.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler33, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math.ode.events.EventState eventState43 = new org.apache.commons.math.ode.events.EventState(eventHandler39, 100.0d, 1.0d, 100);
    double d44 = eventState43.getConvergence();
    double[] d_array49 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b50 = eventState43.reset(10.0d, d_array49);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator52 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array49, true);
    boolean b53 = eventState37.reset(10.0d, d_array49);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.ode.DerivativeException derivativeException63 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException63, 100.0d);
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException65, 100.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array68);
    java.lang.String str70 = functionEvaluationException69.getPattern();
    java.lang.Object[] obj_array71 = new java.lang.Object[] { str70 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array49, "", obj_array71);
    org.apache.commons.math.ode.DerivativeException derivativeException73 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException30, "", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array71);
    java.lang.Object[] obj_array77 = convergenceException76.getArguments();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException76, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str70.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test487"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    org.apache.commons.math.ode.DerivativeException derivativeException5 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException4);
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)functionEvaluationException4);
    double[] d_array8 = new double[] {  };
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException13 = new org.apache.commons.math.ode.events.EventException("", obj_array12);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "", obj_array12);
    org.apache.commons.math.ode.DerivativeException derivativeException15 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException23 = new org.apache.commons.math.ode.events.EventException("", obj_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException18, "hi!", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24);
    double[] d_array26 = new double[] {  };
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException31 = new org.apache.commons.math.ode.events.EventException("", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array30);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException25, d_array26);
    java.lang.Throwable throwable37 = null;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(throwable37, "", obj_array39);
    double[] d_array41 = new double[] {  };
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException46 = new org.apache.commons.math.ode.events.EventException("", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "", obj_array45);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array50 = new double[] {  };
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException55 = new org.apache.commons.math.ode.events.EventException("", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array50, "", obj_array54);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(throwable37, d_array41, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array54);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.events.EventHandler eventHandler60 = null;
    org.apache.commons.math.ode.events.EventState eventState64 = new org.apache.commons.math.ode.events.EventState(eventHandler60, 100.0d, 1.0d, 100);
    double d65 = eventState64.getConvergence();
    double[] d_array70 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b71 = eventState64.reset(10.0d, d_array70);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.Throwable throwable76 = null;
    java.lang.Object[] obj_array78 = null;
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException(throwable76, "", obj_array78);
    java.lang.Object[] obj_array80 = mathException79.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException74, "Maximal number of iterations ({0}) exceeded", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException59, d_array70, "Maximal number of iterations ({0}) exceeded", obj_array80);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException(throwable37, "", obj_array80);
    org.apache.commons.math.ode.DerivativeException derivativeException84 = new org.apache.commons.math.ode.DerivativeException("", obj_array80);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException(d_array26, "", obj_array80);
    java.lang.Object[] obj_array90 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException91 = new org.apache.commons.math.ode.events.EventException("", obj_array90);
    org.apache.commons.math.ode.DerivativeException derivativeException92 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array90);
    java.lang.String str93 = derivativeException92.toString();
    java.lang.Throwable[] throwable_array94 = derivativeException92.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException16, d_array26, "org.apache.commons.math.FunctionEvaluationException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)eventException6, "org.apache.commons.math.FunctionEvaluationException: hi!", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.ode.events.EventException eventException97 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException98 = new org.apache.commons.math.FunctionEvaluationException(10.0d, "hi!", (java.lang.Object[])throwable_array94);
    org.apache.commons.math.ConvergenceException convergenceException99 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)functionEvaluationException98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"+ "'", str93.equals("org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array94);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test488"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException8 = new org.apache.commons.math.ode.events.EventException("", obj_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "hi!", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array7);
    java.lang.Object[] obj_array12 = convergenceException11.getArguments();
    java.lang.Throwable throwable15 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable15, "", obj_array17);
    double[] d_array19 = new double[] {  };
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException24 = new org.apache.commons.math.ode.events.EventException("", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "", obj_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
    double[] d_array28 = new double[] {  };
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException33 = new org.apache.commons.math.ode.events.EventException("", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(throwable15, d_array19, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array32);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { functionEvaluationException38 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array19, "Maximal number of iterations ({0}) exceeded", obj_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException40, 1.0d);
    double[] d_array43 = functionEvaluationException42.getArgument();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException47 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.String str48 = maxIterationsExceededException47.getPattern();
    java.lang.Throwable[] throwable_array49 = maxIterationsExceededException47.getSuppressed();
    java.lang.Throwable throwable52 = null;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(throwable52, "", obj_array54);
    double[] d_array56 = new double[] {  };
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException61 = new org.apache.commons.math.ode.events.EventException("", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "", obj_array60);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array56);
    double[] d_array65 = new double[] {  };
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException70 = new org.apache.commons.math.ode.events.EventException("", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException71 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(throwable52, d_array56, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array69);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { functionEvaluationException75 };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "Maximal number of iterations ({0}) exceeded", obj_array76);
    org.apache.commons.math.ode.events.EventException eventException78 = new org.apache.commons.math.ode.events.EventException("", obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException47, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException80 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, (-1.0d), "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 100", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException42, 10.0d);
    double[] d_array83 = functionEvaluationException42.getArgument();
    java.lang.Throwable[] throwable_array84 = functionEvaluationException42.getSuppressed();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException11, 0.0d, "org.apache.commons.math.MathException: org.apache.commons.math.ode.DerivativeException: org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str48.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array84);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test489"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    int i1 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d4 = brentSolver0.getAbsoluteAccuracy();
    int i5 = brentSolver0.getIterationCount();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    double d7 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test490"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0d);
    double d7 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(Double.NaN);
    double d11 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test491"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.0d, 1.0d, 100);
    double d5 = eventState4.getConvergence();
    double[] d_array10 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b11 = eventState4.reset(10.0d, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    double[] d_array14 = dummyStepInterpolator13.getInterpolatedState();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator16 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array14, false);
    dummyStepInterpolator18.setInterpolatedTime(1.0E-14d);
    double d21 = dummyStepInterpolator18.getCurrentTime();
    double d22 = dummyStepInterpolator18.getCurrentTime();
    java.io.ObjectOutput objectOutput23 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator18.writeExternal(objectOutput23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test492"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d2 = dummyStepInterpolator0.getInterpolatedTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator3 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    double d5 = dummyStepInterpolator0.getCurrentTime();
    double d6 = dummyStepInterpolator0.getCurrentTime();
    dummyStepInterpolator0.setInterpolatedTime(1.0E-6d);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator0.copy();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    java.io.ObjectOutput objectOutput11 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator10.writeExternal(objectOutput11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test493"); }


    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(1.0d, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4);
    java.lang.Throwable[] throwable_array6 = functionEvaluationException5.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array6);
    double[] d_array9 = new double[] {  };
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException14 = new org.apache.commons.math.ode.events.EventException("", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array9, "", obj_array13);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator18 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array9, false);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException8, d_array9);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator22 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array9, false);
    dummyStepInterpolator22.setInterpolatedTime((-1.0d));
    double d25 = dummyStepInterpolator22.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == (-1.0d));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test494"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.0d, 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = eventState4.getEventHandler();
    boolean b6 = eventState4.stop();
    boolean b7 = eventState4.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test495"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator1 = dummyStepInterpolator0.copy();
    dummyStepInterpolator0.finalizeStep();
    boolean b3 = dummyStepInterpolator0.isForward();
    double d4 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d6 = dummyStepInterpolator5.getPreviousTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test496() {}
// Defects4J: flaky method
//   @Test
//   public void test496() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test496"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     int i4 = brentSolver0.getIterationCount();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
// 
//   }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test497"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test498() {}
// Defects4J: flaky method
//   @Test
//   public void test498() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test498"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setMaximalIterationCount(10);
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test499"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[] d_array6 = new double[] {  };
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException11 = new org.apache.commons.math.ode.events.EventException("", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array6, "", obj_array10);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException2, (-1.0d), "Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.ode.events.EventException eventException15 = new org.apache.commons.math.ode.events.EventException("org.apache.commons.math.FunctionEvaluationException: org.apache.commons.math.ode.DerivativeException: ", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test500"); }


    double[] d_array1 = new double[] {  };
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException6 = new org.apache.commons.math.ode.events.EventException("", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array1, "", obj_array5);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, 1.0d);
    double[] d_array11 = functionEvaluationException10.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException10, 1.0d);
    java.lang.String str14 = functionEvaluationException10.toString();
    java.lang.Throwable throwable18 = null;
    double[] d_array23 = new double[] {  };
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.0f };
    org.apache.commons.math.ode.events.EventException eventException28 = new org.apache.commons.math.ode.events.EventException("", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array23, "", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException30 = new org.apache.commons.math.ode.DerivativeException("hi!", obj_array27);
    org.apache.commons.math.ode.DerivativeException derivativeException31 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(throwable18, 1.0E-6d, "hi!", obj_array27);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ode.DerivativeException: Maximal number of iterations (1) exceeded", obj_array27);
    org.apache.commons.math.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math.ode.events.EventState eventState38 = new org.apache.commons.math.ode.events.EventState(eventHandler34, 100.0d, 1.0d, 100);
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = eventState38.getEventHandler();
    double d40 = eventState38.getConvergence();
    double d41 = eventState38.getConvergence();
    double d42 = eventState38.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math.ode.events.EventState eventState48 = new org.apache.commons.math.ode.events.EventState(eventHandler44, 1.0d, Double.NaN, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler50 = null;
    org.apache.commons.math.ode.events.EventState eventState54 = new org.apache.commons.math.ode.events.EventState(eventHandler50, 100.0d, 1.0d, 100);
    double d55 = eventState54.getConvergence();
    double[] d_array60 = new double[] { 1.0d, 0.0d, (-1.0d) };
    boolean b61 = eventState54.reset(10.0d, d_array60);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator63 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array60, true);
    boolean b64 = eventState48.reset(0.0d, d_array60);
    boolean b65 = eventState38.reset(1.0E-14d, d_array60);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math.ode.events.EventState eventState75 = new org.apache.commons.math.ode.events.EventState(eventHandler71, 1.0E-14d, 1.0E-15d, 0);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { eventState75 };
    org.apache.commons.math.ode.DerivativeException derivativeException77 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array76);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException68, "", obj_array76);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException33, d_array60, "org.apache.commons.math.ode.DerivativeException: ", obj_array76);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException10, "org.apache.commons.math.ode.events.EventException: ", obj_array76);
    double[] d_array81 = functionEvaluationException10.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.FunctionEvaluationException: "+ "'", str14.equals("org.apache.commons.math.FunctionEvaluationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

}
